<?php
/**
 * The template for displaying 404 pages (Not Found).
 *
 * @package WordPress
 * @subpackage tracian
 */
get_header();

$gg_title = _get_field('gg_error_page_title', 'option', esc_html__('404 Error','tracian') );
$gg_desc = _get_field('gg_error_page_description', 'option',esc_html__('It seems we can\'t find what you\'re looking for. Perhaps searching can help.','tracian') );
?>

<div class="col-md-12">
    <div class="not_found_wrapper">
        <div class="col-md-12">
            <div class="not_found_box">
                <?php if ($gg_title) : ?>
                <h1><?php echo esc_html($gg_title); ?></h1>
                <?php endif; ?>

                <?php if ($gg_desc) : ?> 
                <p class="info-404"><?php echo esc_html($gg_desc); ?></p>
                <?php endif; ?>
                
                <a class="btn btn-primary" href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php esc_html_e('Go to homepage', 'tracian'); ?></a>
            </div>
        </div>
    </div><!-- /.not_found_wrapper -->
</div>
    
<?php get_footer();