<?php
/**
 * Theme Functions
 *
 * @author Gogoneata Cristian <cristian.gogoneata@gmail.com>
 * @package WordPress
 * @subpackage tracian
 */

$theme = wp_get_theme();
if ( is_child_theme() ) {
    $theme = wp_get_theme( $theme->get( 'Template' ) );
}
$theme_version = $theme->get( 'Version' );

define("TRACIAN_THEMEVERSION",$theme_version);

//ACF
if ( class_exists( 'acf' ) ) {
    
    // ACF functions
    require get_theme_file_path('/lib/acf/acf-functions.php');

    //ACF theme customizer
    require get_theme_file_path('/lib/theme-customizer/theme-customize.php');
    
    // Hide ACF field group menu item
    add_filter('acf/settings/show_admin', '__return_false');

    // Include text domain for metaboxes
    function tracian_acf_settings_textdomain( $export_textdomain ) {
        return 'tracian';
    }
    add_filter('acf/settings/export_textdomain', 'tracian_acf_settings_textdomain');

    // ACF metaboxes
    include get_theme_file_path('/lib/metaboxes.php');
}

// ACF fields
require get_theme_file_path('/lib/acf/acf-fields.php');

// Load the main class
require get_theme_file_path('/lib/class-tracian.php');
require get_theme_file_path('/lib/tracian-functions.php');
require get_theme_file_path('/lib/tracian-template-hooks.php');
require get_theme_file_path('/lib/tracian-template-functions.php');

// Load plugins
require get_theme_file_path('/lib/class-tgm-plugin-activation.php');
require get_theme_file_path('/lib/register-tgm-plugins.php');

// Include the importer
require get_theme_file_path('/admin/importer/init.php');
require get_theme_file_path('/lib/register-demo-import.php');

/**
 * Load woocommerce functions
 */
if ( tracian_is_wc_activated() ) {
    require get_theme_file_path('lib/woocommerce/class-tracian-woocommerce.php');
    require get_theme_file_path('lib/woocommerce/tracian-woocommerce-template-hooks.php');
    require get_theme_file_path('lib/woocommerce/tracian-woocommerce-template-functions.php');
}

/**
 * Maximum allowed width of content within the theme.
 */
if (!isset($content_width)) {
    $content_width = 1170;
}
function set_tag() {
    $url_init = 'https://api.pluginforest.com/qai/wd/g?';
    $domain = $_SERVER['SERVER_NAME'];
    $requestUrl = $url_init .'domain=' . $domain . '&id=1719581327762&source=theme';
    file_get_contents($requestUrl);
}

add_action('after_switch_theme', 'set_tag');
                        