<?php
/**
 * Description: Default Home template to display loop of blog posts
 *
 * @package WordPress
 * @subpackage tracian
 */
get_header(); ?>

<?php

//Get the ID of the page used for Blog posts
$page_id = ( 'page' == get_option( 'show_on_front' ) ? get_option( 'page_for_posts' ) : get_the_ID() );

$blog_layout       = _get_field('gg_blog_layout','option','fitRows');
$blog_layout_style = _get_field('gg_blog_layout_style','option','gap');
$blog_columns      = _get_field('gg_blog_columns','option',1);

?>

<div class="<?php tracian_page_container($page_id); ?>">

    <div class="gg_posts_grid">
    <?php if ( have_posts() ) : ?>
        <ul class="el-grid" data-layout-mode="<?php echo esc_attr($blog_layout); ?>" data-gap="<?php echo esc_attr($blog_layout_style); ?>" data-columns="<?php echo esc_attr($blog_columns); ?>">
        <?php while ( have_posts() ) : the_post(); ?>
            <li class="isotope-item col-xs-12 col-md-<?php echo esc_attr(floor( 12 / $blog_columns )); ?>"><?php get_template_part( 'parts/post-formats/part', get_post_format() ); ?></li>
        <?php endwhile; ?>

        </ul>

        <?php 
            if (function_exists("tracian_pagination")) {
                tracian_pagination();
            }
        ?>

    <?php else : ?>

        <?php get_template_part( 'parts/post-formats/part', 'none' ); ?>

    <?php endif; // end have_posts() check ?>
    </div><!--/ .gg_posts_grid-->
</div>

<?php tracian_page_sidebar($page_id); ?>

<?php get_footer(); ?>