<?php
if( function_exists('acf_add_local_field_group') ):

acf_add_local_field_group(array(
    'key' => 'group_546cd8557271d',
    'title' => __('Page Layout', 'tracian'),
    'fields' => array(
        array(
            'key' => 'field_546cd877c748e',
            'label' => __('Page layout', 'tracian'),
            'name' => 'gg_page_layout_select',
            'type' => 'select',
            'instructions' => __('Select the page layout', 'tracian'),
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '',
                'class' => '',
                'id' => '',
            ),
            'choices' => array(
                'with_left_sidebar' => __('With left sidebar', 'tracian'),
                'with_right_sidebar' => __('With right sidebar', 'tracian'),
                'no_sidebar' => __('No sidebar', 'tracian'),
            ),
            'default_value' => array(
                0 => 'with_right_sidebar',
            ),
            'allow_null' => 0,
            'multiple' => 0,
            'ui' => 0,
            'return_format' => 'value',
            'ajax' => 0,
            'placeholder' => '',
        ),
        array(
            'key' => 'field_559664aeaedce',
            'label' => __('Select sidebar', 'tracian'),
            'name' => 'gg_select_sidebar',
            'type' => 'select',
            'instructions' => __('Select a sidebar. You can create unlimited sidebars in Appearance >> Theme options.', 'tracian'),
            'required' => 0,
            'conditional_logic' => array(
                array(
                    array(
                        'field' => 'field_546cd877c748e',
                        'operator' => '!=',
                        'value' => 'no_sidebar',
                    ),
                ),
            ),
            'wrapper' => array(
                'width' => '',
                'class' => '',
                'id' => '',
            ),
            'choices' => array(
                'default-sidebar' => 'Default Sidebar',
            ),
            'default_value' => array(
            ),
            'allow_null' => 0,
            'multiple' => 0,
            'ui' => 0,
            'ajax' => 0,
            'return_format' => 'value',
            'placeholder' => '',
        ),
        array(
            'key' => 'field_5be45be0d6c8f',
            'label' => __('Display content in a 780px container', 'tracian'),
            'name' => 'gg_page_layout_container',
            'type' => 'true_false',
            'instructions' => '',
            'required' => 0,
            'conditional_logic' => array(
                array(
                    array(
                        'field' => 'field_546cd877c748e',
                        'operator' => '==',
                        'value' => 'no_sidebar',
                    ),
                ),
            ),
            'wrapper' => array(
                'width' => '',
                'class' => '',
                'id' => '',
            ),
            'message' => '',
            'default_value' => 0,
            'ui' => 0,
            'ui_on_text' => '',
            'ui_off_text' => '',
        ),
    ),
    'location' => array(
        array(
            array(
                'param' => 'post_type',
                'operator' => '==',
                'value' => 'page',
            ),
        ),
        array(
            array(
                'param' => 'post_type',
                'operator' => '==',
                'value' => 'post',
            ),
        ),
        array(
            array(
                'param' => 'post_type',
                'operator' => '==',
                'value' => 'post',
            ),
        ),
        array(
            array(
                'param' => 'post_type',
                'operator' => '==',
                'value' => 'post',
            ),
        ),
    ),
    'menu_order' => 0,
    'position' => 'normal',
    'style' => 'default',
    'label_placement' => 'top',
    'instruction_placement' => 'label',
    'hide_on_screen' => '',
    'active' => true,
    'description' => '',
));

acf_add_local_field_group(array(
    'key' => 'group_5c4834e8b12ca',
    'title' => __('Product options', 'tracian'),
    'fields' => array(
        array(
            'key' => 'field_5c483505afcdb',
            'label' => __('PDF Factsheet', 'tracian'),
            'name' => 'gg_product_fact_sheet',
            'type' => 'file',
            'instructions' => __('Upload the PDF file here', 'tracian'),
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '',
                'class' => '',
                'id' => '',
            ),
            'return_format' => 'url',
            'library' => 'all',
            'min_size' => '',
            'max_size' => '',
            'mime_types' => '',
        ),
        array(
            'key' => 'field_5c4843539db24',
            'label' => __('Awards', 'tracian'),
            'name' => 'gg_product_awards',
            'type' => 'repeater',
            'instructions' => '',
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '',
                'class' => '',
                'id' => '',
            ),
            'collapsed' => '',
            'min' => 0,
            'max' => 0,
            'layout' => 'table',
            'button_label' => __('Add award', 'tracian'),
            'sub_fields' => array(
                array(
                    'key' => 'field_5c4844399db25',
                    'label' => __('Award points', 'tracian'),
                    'name' => 'gg_award_points',
                    'type' => 'text',
                    'instructions' => '',
                    'required' => 0,
                    'conditional_logic' => 0,
                    'wrapper' => array(
                        'width' => '33',
                        'class' => '',
                        'id' => '',
                    ),
                    'default_value' => '',
                    'placeholder' => '',
                    'prepend' => '',
                    'append' => '',
                    'maxlength' => '',
                ),
                array(
                    'key' => 'field_5c48446a9db26',
                    'label' => __('Award name', 'tracian'),
                    'name' => 'gg_award_name',
                    'type' => 'text',
                    'instructions' => '',
                    'required' => 0,
                    'conditional_logic' => 0,
                    'wrapper' => array(
                        'width' => '33',
                        'class' => '',
                        'id' => '',
                    ),
                    'default_value' => '',
                    'placeholder' => '',
                    'prepend' => '',
                    'append' => '',
                    'maxlength' => '',
                ),
                array(
                    'key' => 'field_5c4844789db27',
                    'label' => __('Award icon/image', 'tracian'),
                    'name' => 'gg_award_icon',
                    'type' => 'image',
                    'instructions' => '',
                    'required' => 0,
                    'conditional_logic' => 0,
                    'wrapper' => array(
                        'width' => '38',
                        'class' => '',
                        'id' => '',
                    ),
                    'return_format' => 'url',
                    'preview_size' => 'thumbnail',
                    'library' => 'all',
                    'min_width' => '',
                    'min_height' => '',
                    'min_size' => '',
                    'max_width' => '',
                    'max_height' => '',
                    'max_size' => '',
                    'mime_types' => '',
                ),
            ),
        ),
    ),
    'location' => array(
        array(
            array(
                'param' => 'post_type',
                'operator' => '==',
                'value' => 'product',
            ),
        ),
    ),
    'menu_order' => 0,
    'position' => 'normal',
    'style' => 'default',
    'label_placement' => 'top',
    'instruction_placement' => 'label',
    'hide_on_screen' => '',
    'active' => true,
    'description' => '',
));

acf_add_local_field_group(array(
    'key' => 'group_5596602ed43d1',
    'title' => __('Theme Options', 'tracian'),
    'fields' => array(
        array(
            'key' => 'field_55ae15bef4259',
            'label' => __('Logo', 'tracian'),
            'name' => '',
            'type' => 'tab',
            'instructions' => '',
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '',
                'class' => '',
                'id' => '',
            ),
            'placement' => 'left',
            'endpoint' => 0,
        ),
        array(
            'key' => 'field_5c6be64248ef3',
            'label' => __('Set or change the theme logo', 'tracian'),
            'name' => 'link_to_customizer',
            'type' => 'customizer_logo',
            'instructions' => '',
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '',
                'class' => '',
                'id' => '',
            ),
            'select_custom_type_field' => 'customizer_logo_link',
            'font_size' => 14,
        ),
        array(
            'key' => 'field_55ae186d8b80a',
            'label' => __('Display wp admin image logo', 'tracian'),
            'name' => 'gg_display_admin_image_logo',
            'type' => 'true_false',
            'instructions' => __('Display a custom image/logo on the wp admin login area.', 'tracian'),
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '',
                'class' => '',
                'id' => '',
            ),
            'message' => '',
            'default_value' => 0,
            'ui' => 0,
            'ui_on_text' => '',
            'ui_off_text' => '',
        ),
        array(
            'key' => 'field_55ae18d28b80b',
            'label' => __('WP admin logo image', 'tracian'),
            'name' => 'gg_admin_logo_image',
            'type' => 'image',
            'instructions' => __('Upload the logo image', 'tracian'),
            'required' => 0,
            'conditional_logic' => array(
                array(
                    array(
                        'field' => 'field_55ae186d8b80a',
                        'operator' => '==',
                        'value' => '1',
                    ),
                ),
            ),
            'wrapper' => array(
                'width' => '',
                'class' => '',
                'id' => '',
            ),
            'return_format' => 'array',
            'preview_size' => 'thumbnail',
            'library' => 'all',
            'min_width' => '',
            'min_height' => '',
            'min_size' => '',
            'max_width' => '',
            'max_height' => '',
            'max_size' => '',
            'mime_types' => '',
        ),
        array(
            'key' => 'field_55ae1d5d599aa',
            'label' => __('Header', 'tracian'),
            'name' => '',
            'type' => 'tab',
            'instructions' => '',
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '',
                'class' => '',
                'id' => '',
            ),
            'placement' => 'left',
            'endpoint' => 0,
        ),
        array(
            'key' => 'field_5b6f274df697f',
            'label' => __('Header Style', 'tracian'),
            'name' => 'gg_header_style',
            'type' => 'select',
            'instructions' => '',
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '',
                'class' => '',
                'id' => '',
            ),
            'choices' => array(
                'style_1' => __('Style 1', 'tracian'),
                'style_2' => __('Style 2', 'tracian'),
                'style_3' => __('Style 3', 'tracian'),
                'style_4' => __('Style 4', 'tracian'),
                'style_5' => __('Style 5', 'tracian'),
            ),
            'default_value' => array(
                0 => 'style_1',
            ),
            'allow_null' => 0,
            'multiple' => 0,
            'ui' => 0,
            'return_format' => 'value',
            'ajax' => 0,
            'placeholder' => '',
        ),
        array(
            'key' => 'field_5608f53a557d7',
            'label' => __('Sticky menu', 'tracian'),
            'name' => 'gg_sticky_menu',
            'type' => 'true_false',
            'instructions' => __('Enable/disable sticky menu', 'tracian'),
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '50',
                'class' => '',
                'id' => '',
            ),
            'message' => '',
            'default_value' => 1,
            'ui' => 0,
            'ui_on_text' => '',
            'ui_off_text' => '',
        ),
        array(
            'key' => 'field_5613a477e58af',
            'label' => __('Header Minicart', 'tracian'),
            'name' => 'gg_header_minicart',
            'type' => 'true_false',
            'instructions' => __('Enable/disable header minicart (if WooCommerce is installed)', 'tracian'),
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '50',
                'class' => '',
                'id' => '',
            ),
            'message' => '',
            'default_value' => 1,
            'ui' => 0,
            'ui_on_text' => '',
            'ui_off_text' => '',
        ),
        array(
            'key' => 'field_5b6d3a26cc662',
            'label' => __('Header My Account', 'tracian'),
            'name' => 'gg_header_myaccount',
            'type' => 'true_false',
            'instructions' => __('Enable/disable header myaccount (if WooCommerce is installed)', 'tracian'),
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '50',
                'class' => '',
                'id' => '',
            ),
            'message' => '',
            'default_value' => 1,
            'ui' => 0,
            'ui_on_text' => '',
            'ui_off_text' => '',
        ),
        array(
            'key' => 'field_5885d6b7b6959',
            'label' => __('Header Search', 'tracian'),
            'name' => 'gg_header_search',
            'type' => 'true_false',
            'instructions' => __('Enable/disable header search', 'tracian'),
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '50',
                'class' => '',
                'id' => '',
            ),
            'message' => '',
            'default_value' => 1,
            'ui' => 0,
            'ui_on_text' => '',
            'ui_off_text' => '',
        ),
        array(
            'key' => 'field_55ae23940e41e',
            'label' => __('Footer', 'tracian'),
            'name' => '',
            'type' => 'tab',
            'instructions' => '',
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '',
                'class' => '',
                'id' => '',
            ),
            'placement' => 'left',
            'endpoint' => 0,
        ),
        array(
            'key' => 'field_5b7d28f8e368c',
            'label' => __('Footer style', 'tracian'),
            'name' => 'gg_footer_style',
            'type' => 'select',
            'instructions' => '',
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '',
                'class' => '',
                'id' => '',
            ),
            'choices' => array(
                'style_1' => __('Style 1', 'tracian'),
                'style_2' => __('Style 2', 'tracian'),
            ),
            'default_value' => array(
                0 => 'style_2',
            ),
            'allow_null' => 0,
            'multiple' => 0,
            'ui' => 0,
            'return_format' => 'value',
            'ajax' => 0,
            'placeholder' => '',
        ),
        array(
            'key' => 'field_5b7f18674785d',
            'label' => __('Add footer image', 'tracian'),
            'name' => 'gg_add_footer_image',
            'type' => 'true_false',
            'instructions' => '',
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '',
                'class' => '',
                'id' => '',
            ),
            'message' => '',
            'default_value' => 0,
            'ui' => 1,
            'ui_on_text' => '',
            'ui_off_text' => '',
        ),
        array(
            'key' => 'field_5b7f18274785b',
            'label' => __('Footer image', 'tracian'),
            'name' => 'gg_footer_image',
            'type' => 'image',
            'instructions' => '',
            'required' => 0,
            'conditional_logic' => array(
                array(
                    array(
                        'field' => 'field_5b7f18674785d',
                        'operator' => '==',
                        'value' => '1',
                    ),
                ),
            ),
            'wrapper' => array(
                'width' => '50',
                'class' => '',
                'id' => '',
            ),
            'return_format' => 'url',
            'preview_size' => 'thumbnail',
            'library' => 'all',
            'min_width' => '',
            'min_height' => '',
            'min_size' => '',
            'max_width' => '',
            'max_height' => '',
            'max_size' => '',
            'mime_types' => '',
        ),
        array(
            'key' => 'field_5b7f18524785c',
            'label' => __('Footer image link', 'tracian'),
            'name' => 'gg_footer_image_link',
            'type' => 'text',
            'instructions' => '',
            'required' => 0,
            'conditional_logic' => array(
                array(
                    array(
                        'field' => 'field_5b7f18674785d',
                        'operator' => '==',
                        'value' => '1',
                    ),
                ),
            ),
            'wrapper' => array(
                'width' => '50',
                'class' => '',
                'id' => '',
            ),
            'default_value' => '',
            'placeholder' => '',
            'prepend' => '',
            'append' => '',
            'maxlength' => '',
        ),
        array(
            'key' => 'field_55ae511944ef9',
            'label' => __('Footer widgets', 'tracian'),
            'name' => 'gg_footer_widgets',
            'type' => 'true_false',
            'instructions' => '',
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '',
                'class' => '',
                'id' => '',
            ),
            'message' => '',
            'default_value' => 1,
            'ui' => 1,
            'ui_on_text' => __('On', 'tracian'),
            'ui_off_text' => __('Off', 'tracian'),
        ),
        array(
            'key' => 'field_55ae239f0e41f',
            'label' => __('Footer extras', 'tracian'),
            'name' => 'gg_footer_credit',
            'type' => 'true_false',
            'instructions' => __('Enable/Disable copyright and social icons', 'tracian'),
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '',
                'class' => '',
                'id' => '',
            ),
            'message' => '',
            'default_value' => 1,
            'ui' => 1,
            'ui_on_text' => __('On', 'tracian'),
            'ui_off_text' => __('Off', 'tracian'),
        ),
        array(
            'key' => 'field_55ae23e30e420',
            'label' => __('Footer Copyright', 'tracian'),
            'name' => 'gg_footer_credit_copyright',
            'type' => 'textarea',
            'instructions' => '',
            'required' => 0,
            'conditional_logic' => array(
                array(
                    array(
                        'field' => 'field_55ae239f0e41f',
                        'operator' => '==',
                        'value' => '1',
                    ),
                ),
            ),
            'wrapper' => array(
                'width' => '50',
                'class' => '',
                'id' => '',
            ),
            'default_value' => '&copy; 2019 Tracian. All rights reserved',
            'placeholder' => '',
            'maxlength' => '',
            'rows' => 2,
            'new_lines' => 'br',
        ),
        array(
            'key' => 'field_56e02b2484692',
            'label' => __('Footer social icons', 'tracian'),
            'name' => 'gg_footer_credit_social',
            'type' => 'true_false',
            'instructions' => '',
            'required' => 0,
            'conditional_logic' => array(
                array(
                    array(
                        'field' => 'field_55ae239f0e41f',
                        'operator' => '==',
                        'value' => '1',
                    ),
                ),
            ),
            'wrapper' => array(
                'width' => '50',
                'class' => '',
                'id' => '',
            ),
            'message' => '',
            'default_value' => 1,
            'ui' => 1,
            'ui_on_text' => __('On', 'tracian'),
            'ui_off_text' => __('Off', 'tracian'),
        ),
        array(
            'key' => 'field_55ae24280e421',
            'label' => __('Comments', 'tracian'),
            'name' => '',
            'type' => 'tab',
            'instructions' => '',
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '',
                'class' => '',
                'id' => '',
            ),
            'placement' => 'left',
            'endpoint' => 0,
        ),
        array(
            'key' => 'field_55ae24370e422',
            'label' => __('Page comments', 'tracian'),
            'name' => 'gg_page_comments',
            'type' => 'true_false',
            'instructions' => __('Enable/Disable comments on all pages.', 'tracian'),
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '',
                'class' => '',
                'id' => '',
            ),
            'message' => '',
            'default_value' => 1,
            'ui' => 0,
            'ui_on_text' => '',
            'ui_off_text' => '',
        ),
        array(
            'key' => 'field_55ae24590e423',
            'label' => __('Post comments', 'tracian'),
            'name' => 'gg_post_comments',
            'type' => 'true_false',
            'instructions' => __('Enable/Disable comments on all posts.', 'tracian'),
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '',
                'class' => '',
                'id' => '',
            ),
            'message' => '',
            'default_value' => 1,
            'ui' => 0,
            'ui_on_text' => '',
            'ui_off_text' => '',
        ),
        array(
            'key' => 'field_55ae253671016',
            'label' => __('Social media', 'tracian'),
            'name' => '',
            'type' => 'tab',
            'instructions' => '',
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '',
                'class' => '',
                'id' => '',
            ),
            'placement' => 'left',
            'endpoint' => 0,
        ),
        array(
            'key' => 'field_55ae2ea138e91',
            'label' => __('Social icons', 'tracian'),
            'name' => 'gg_social_icons',
            'type' => 'repeater',
            'instructions' => __('These icons are displayed with the help of "Social Icons Widget"', 'tracian'),
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '',
                'class' => '',
                'id' => '',
            ),
            'min' => 0,
            'max' => 0,
            'layout' => 'table',
            'button_label' => __('Add Row', 'tracian'),
            'collapsed' => '',
            'sub_fields' => array(
                array(
                    'key' => 'field_55ae2eb438e92',
                    'label' => __('Name', 'tracian'),
                    'name' => 'gg_social_icon_name',
                    'type' => 'text',
                    'instructions' => '',
                    'required' => 0,
                    'conditional_logic' => 0,
                    'wrapper' => array(
                        'width' => '',
                        'class' => '',
                        'id' => '',
                    ),
                    'default_value' => '',
                    'placeholder' => '',
                    'prepend' => '',
                    'append' => '',
                    'maxlength' => '',
                    'readonly' => 0,
                    'disabled' => 0,
                ),
                array(
                    'key' => 'field_55ae2ed038e93',
                    'label' => __('Icon', 'tracian'),
                    'name' => 'gg_select_social_icon',
                    'type' => 'select',
                    'instructions' => '',
                    'required' => 0,
                    'conditional_logic' => 0,
                    'wrapper' => array(
                        'width' => '',
                        'class' => '',
                        'id' => '',
                    ),
                    'choices' => array(
                        'fab fa-500px' => '500px',
                        'fab fa-accessible-icon' => 'accessible-icon',
                        'fab fa-accusoft' => 'accusoft',
                        'fab fa-adn' => 'adn',
                        'fab fa-adversal' => 'adversal',
                        'fab fa-affiliatetheme' => 'affiliatetheme',
                        'fab fa-algolia' => 'algolia',
                        'fab fa-amazon' => 'amazon',
                        'fab fa-amazon-pay' => 'amazon-pay',
                        'fab fa-amilia' => 'amilia',
                        'fab fa-android' => 'android',
                        'fab fa-angellist' => 'angellist',
                        'fab fa-angrycreative' => 'angrycreative',
                        'fab fa-angular' => 'angular',
                        'fab fa-apper' => 'apper',
                        'fab fa-apple' => 'apple',
                        'fab fa-apple-pay' => 'apple-pay',
                        'fab fa-app-store' => 'app-store',
                        'fab fa-app-store-ios' => 'app-store-ios',
                        'fab fa-asymmetrik' => 'asymmetrik',
                        'fab fa-audible' => 'audible',
                        'fab fa-autoprefixer' => 'autoprefixer',
                        'fab fa-avianex' => 'avianex',
                        'fab fa-aviato' => 'aviato',
                        'fab fa-aws' => 'aws',
                        'fab fa-bandcamp' => 'bandcamp',
                        'fab fa-behance' => 'behance',
                        'fab fa-behance-square' => 'behance-square',
                        'fab fa-bimobject' => 'bimobject',
                        'fab fa-bitbucket' => 'bitbucket',
                        'fab fa-bitcoin' => 'bitcoin',
                        'fab fa-bity' => 'bity',
                        'fab fa-blackberry' => 'blackberry',
                        'fab fa-black-tie' => 'black-tie',
                        'fab fa-blogger' => 'blogger',
                        'fab fa-blogger-b' => 'blogger-b',
                        'fab fa-bluetooth' => 'bluetooth',
                        'fab fa-bluetooth-b' => 'bluetooth-b',
                        'fab fa-btc' => 'btc',
                        'fab fa-buromobelexperte' => 'buromobelexperte',
                        'fab fa-buysellads' => 'buysellads',
                        'fab fa-cc-amazon-pay' => 'cc-amazon-pay',
                        'fab fa-cc-amex' => 'cc-amex',
                        'fab fa-cc-apple-pay' => 'cc-apple-pay',
                        'fab fa-cc-diners-club' => 'cc-diners-club',
                        'fab fa-cc-discover' => 'cc-discover',
                        'fab fa-cc-jcb' => 'cc-jcb',
                        'fab fa-cc-mastercard' => 'cc-mastercard',
                        'fab fa-cc-paypal' => 'cc-paypal',
                        'fab fa-cc-stripe' => 'cc-stripe',
                        'fab fa-cc-visa' => 'cc-visa',
                        'fab fa-centercode' => 'centercode',
                        'fab fa-chrome' => 'chrome',
                        'fab fa-cloudscale' => 'cloudscale',
                        'fab fa-cloudsmith' => 'cloudsmith',
                        'fab fa-cloudversify' => 'cloudversify',
                        'fab fa-codepen' => 'codepen',
                        'fab fa-codiepie' => 'codiepie',
                        'fab fa-connectdevelop' => 'connectdevelop',
                        'fab fa-contao' => 'contao',
                        'fab fa-cpanel' => 'cpanel',
                        'fab fa-creative-commons' => 'creative-commons',
                        'fab fa-creative-commons-by' => 'creative-commons-by',
                        'fab fa-creative-commons-nc' => 'creative-commons-nc',
                        'fab fa-creative-commons-nc-eu' => 'creative-commons-nc-eu',
                        'fab fa-creative-commons-nc-jp' => 'creative-commons-nc-jp',
                        'fab fa-creative-commons-nd' => 'creative-commons-nd',
                        'fab fa-creative-commons-pd' => 'creative-commons-pd',
                        'fab fa-creative-commons-pd-alt' => 'creative-commons-pd-alt',
                        'fab fa-creative-commons-remix' => 'creative-commons-remix',
                        'fab fa-creative-commons-sa' => 'creative-commons-sa',
                        'fab fa-creative-commons-sampling' => 'creative-commons-sampling',
                        'fab fa-creative-commons-sampling-plus' => 'creative-commons-sampling-plus',
                        'fab fa-creative-commons-share' => 'creative-commons-share',
                        'fab fa-css3' => 'css3',
                        'fab fa-css3-alt' => 'css3-alt',
                        'fab fa-cuttlefish' => 'cuttlefish',
                        'fab fa-d-and-d' => 'd-and-d',
                        'fab fa-dashcube' => 'dashcube',
                        'fab fa-delicious' => 'delicious',
                        'fab fa-deploydog' => 'deploydog',
                        'fab fa-deskpro' => 'deskpro',
                        'fab fa-deviantart' => 'deviantart',
                        'fab fa-digg' => 'digg',
                        'fab fa-digital-ocean' => 'digital-ocean',
                        'fab fa-discord' => 'discord',
                        'fab fa-discourse' => 'discourse',
                        'fab fa-dochub' => 'dochub',
                        'fab fa-docker' => 'docker',
                        'fab fa-draft2digital' => 'draft2digital',
                        'fab fa-dribbble' => 'dribbble',
                        'fab fa-dribbble-square' => 'dribbble-square',
                        'fab fa-dropbox' => 'dropbox',
                        'fab fa-drupal' => 'drupal',
                        'fab fa-dyalog' => 'dyalog',
                        'fab fa-earlybirds' => 'earlybirds',
                        'fab fa-ebay' => 'ebay',
                        'fab fa-edge' => 'edge',
                        'fab fa-elementor' => 'elementor',
                        'fab fa-ello' => 'ello',
                        'fab fa-ember' => 'ember',
                        'fab fa-empire' => 'empire',
                        'fab fa-envira' => 'envira',
                        'fab fa-erlang' => 'erlang',
                        'fab fa-ethereum' => 'ethereum',
                        'fab fa-etsy' => 'etsy',
                        'fab fa-expeditedssl' => 'expeditedssl',
                        'fab fa-facebook' => 'facebook',
                        'fab fa-facebook-f' => 'facebook-f',
                        'fab fa-facebook-messenger' => 'facebook-messenger',
                        'fab fa-facebook-square' => 'facebook-square',
                        'fab fa-firefox' => 'firefox',
                        'fab fa-firstdraft' => 'firstdraft',
                        'fab fa-first-order' => 'first-order',
                        'fab fa-first-order-alt' => 'first-order-alt',
                        'fab fa-flickr' => 'flickr',
                        'fab fa-flipboard' => 'flipboard',
                        'fab fa-fly' => 'fly',
                        'fab fa-font-awesome' => 'font-awesome',
                        'fab fa-font-awesome-alt' => 'font-awesome-alt',
                        'fab fa-font-awesome-flag' => 'font-awesome-flag',
                        'fab fa-font-awesome-logo-full' => 'font-awesome-logo-full',
                        'fab fa-fonticons' => 'fonticons',
                        'fab fa-fonticons-fi' => 'fonticons-fi',
                        'fab fa-fort-awesome' => 'fort-awesome',
                        'fab fa-fort-awesome-alt' => 'fort-awesome-alt',
                        'fab fa-forumbee' => 'forumbee',
                        'fab fa-foursquare' => 'foursquare',
                        'fab fa-freebsd' => 'freebsd',
                        'fab fa-free-code-camp' => 'free-code-camp',
                        'fab fa-fulcrum' => 'fulcrum',
                        'fab fa-galactic-republic' => 'galactic-republic',
                        'fab fa-galactic-senate' => 'galactic-senate',
                        'fab fa-get-pocket' => 'get-pocket',
                        'fab fa-gg' => 'gg',
                        'fab fa-gg-circle' => 'gg-circle',
                        'fab fa-git' => 'git',
                        'fab fa-github' => 'github',
                        'fab fa-github-alt' => 'github-alt',
                        'fab fa-github-square' => 'github-square',
                        'fab fa-gitkraken' => 'gitkraken',
                        'fab fa-gitlab' => 'gitlab',
                        'fab fa-git-square' => 'git-square',
                        'fab fa-gitter' => 'gitter',
                        'fab fa-glide' => 'glide',
                        'fab fa-glide-g' => 'glide-g',
                        'fab fa-gofore' => 'gofore',
                        'fab fa-goodreads' => 'goodreads',
                        'fab fa-goodreads-g' => 'goodreads-g',
                        'fab fa-google' => 'google',
                        'fab fa-google-drive' => 'google-drive',
                        'fab fa-google-play' => 'google-play',
                        'fab fa-google-plus' => 'google-plus',
                        'fab fa-google-plus-g' => 'google-plus-g',
                        'fab fa-google-plus-square' => 'google-plus-square',
                        'fab fa-google-wallet' => 'google-wallet',
                        'fab fa-gratipay' => 'gratipay',
                        'fab fa-grav' => 'grav',
                        'fab fa-gripfire' => 'gripfire',
                        'fab fa-grunt' => 'grunt',
                        'fab fa-gulp' => 'gulp',
                        'fab fa-hacker-news' => 'hacker-news',
                        'fab fa-hacker-news-square' => 'hacker-news-square',
                        'fab fa-hackerrank' => 'hackerrank',
                        'fab fa-hips' => 'hips',
                        'fab fa-hire-a-helper' => 'hire-a-helper',
                        'fab fa-hooli' => 'hooli',
                        'fab fa-hornbill' => 'hornbill',
                        'fab fa-hotjar' => 'hotjar',
                        'fab fa-houzz' => 'houzz',
                        'fab fa-html5' => 'html5',
                        'fab fa-hubspot' => 'hubspot',
                        'fab fa-imdb' => 'imdb',
                        'fab fa-instagram' => 'instagram',
                        'fab fa-internet-explorer' => 'internet-explorer',
                        'fab fa-ioxhost' => 'ioxhost',
                        'fab fa-itunes' => 'itunes',
                        'fab fa-itunes-note' => 'itunes-note',
                        'fab fa-java' => 'java',
                        'fab fa-jedi-order' => 'jedi-order',
                        'fab fa-jenkins' => 'jenkins',
                        'fab fa-joget' => 'joget',
                        'fab fa-joomla' => 'joomla',
                        'fab fa-js' => 'js',
                        'fab fa-jsfiddle' => 'jsfiddle',
                        'fab fa-js-square' => 'js-square',
                        'fab fa-kaggle' => 'kaggle',
                        'fab fa-keybase' => 'keybase',
                        'fab fa-keycdn' => 'keycdn',
                        'fab fa-kickstarter' => 'kickstarter',
                        'fab fa-kickstarter-k' => 'kickstarter-k',
                        'fab fa-korvue' => 'korvue',
                        'fab fa-laravel' => 'laravel',
                        'fab fa-lastfm' => 'lastfm',
                        'fab fa-lastfm-square' => 'lastfm-square',
                        'fab fa-leanpub' => 'leanpub',
                        'fab fa-less' => 'less',
                        'fab fa-line' => 'line',
                        'fab fa-linkedin' => 'linkedin',
                        'fab fa-linkedin-in' => 'linkedin-in',
                        'fab fa-linode' => 'linode',
                        'fab fa-linux' => 'linux',
                        'fab fa-lyft' => 'lyft',
                        'fab fa-magento' => 'magento',
                        'fab fa-mailchimp' => 'mailchimp',
                        'fab fa-mandalorian' => 'mandalorian',
                        'fab fa-markdown' => 'markdown',
                        'fab fa-mastodon' => 'mastodon',
                        'fab fa-maxcdn' => 'maxcdn',
                        'fab fa-medapps' => 'medapps',
                        'fab fa-medium' => 'medium',
                        'fab fa-medium-m' => 'medium-m',
                        'fab fa-medrt' => 'medrt',
                        'fab fa-meetup' => 'meetup',
                        'fab fa-megaport' => 'megaport',
                        'fab fa-microsoft' => 'microsoft',
                        'fab fa-mix' => 'mix',
                        'fab fa-mixcloud' => 'mixcloud',
                        'fab fa-mizuni' => 'mizuni',
                        'fab fa-modx' => 'modx',
                        'fab fa-monero' => 'monero',
                        'fab fa-napster' => 'napster',
                        'fab fa-neos' => 'neos',
                        'fab fa-nimblr' => 'nimblr',
                        'fab fa-nintendo-switch' => 'nintendo-switch',
                        'fab fa-node' => 'node',
                        'fab fa-node-js' => 'node-js',
                        'fab fa-npm' => 'npm',
                        'fab fa-ns8' => 'ns8',
                        'fab fa-nutritionix' => 'nutritionix',
                        'fab fa-odnoklassniki' => 'odnoklassniki',
                        'fab fa-odnoklassniki-square' => 'odnoklassniki-square',
                        'fab fa-old-republic' => 'old-republic',
                        'fab fa-opencart' => 'opencart',
                        'fab fa-openid' => 'openid',
                        'fab fa-opera' => 'opera',
                        'fab fa-optin-monster' => 'optin-monster',
                        'fab fa-osi' => 'osi',
                        'fab fa-page4' => 'page4',
                        'fab fa-pagelines' => 'pagelines',
                        'fab fa-palfed' => 'palfed',
                        'fab fa-patreon' => 'patreon',
                        'fab fa-paypal' => 'paypal',
                        'fab fa-periscope' => 'periscope',
                        'fab fa-phabricator' => 'phabricator',
                        'fab fa-phoenix-framework' => 'phoenix-framework',
                        'fab fa-phoenix-squadron' => 'phoenix-squadron',
                        'fab fa-php' => 'php',
                        'fab fa-pied-piper' => 'pied-piper',
                        'fab fa-pied-piper-alt' => 'pied-piper-alt',
                        'fab fa-pied-piper-hat' => 'pied-piper-hat',
                        'fab fa-pied-piper-pp' => 'pied-piper-pp',
                        'fab fa-pinterest' => 'pinterest',
                        'fab fa-pinterest-p' => 'pinterest-p',
                        'fab fa-pinterest-square' => 'pinterest-square',
                        'fab fa-playstation' => 'playstation',
                        'fab fa-product-hunt' => 'product-hunt',
                        'fab fa-pushed' => 'pushed',
                        'fab fa-python' => 'python',
                        'fab fa-qq' => 'qq',
                        'fab fa-quinscape' => 'quinscape',
                        'fab fa-quora' => 'quora',
                        'fab fa-ravelry' => 'ravelry',
                        'fab fa-react' => 'react',
                        'fab fa-readme' => 'readme',
                        'fab fa-rebel' => 'rebel',
                        'fab fa-reddit' => 'reddit',
                        'fab fa-reddit-alien' => 'reddit-alien',
                        'fab fa-reddit-square' => 'reddit-square',
                        'fab fa-red-river' => 'red-river',
                        'fab fa-rendact' => 'rendact',
                        'fab fa-renren' => 'renren',
                        'fab fa-replyd' => 'replyd',
                        'fab fa-researchgate' => 'researchgate',
                        'fab fa-resolving' => 'resolving',
                        'fab fa-rev' => 'rev',
                        'fab fa-rocketchat' => 'rocketchat',
                        'fab fa-rockrms' => 'rockrms',
                        'fab fa-r-project' => 'r-project',
                        'fab fa-safari' => 'safari',
                        'fab fa-sass' => 'sass',
                        'fab fa-schlix' => 'schlix',
                        'fab fa-scribd' => 'scribd',
                        'fab fa-searchengin' => 'searchengin',
                        'fab fa-sellcast' => 'sellcast',
                        'fab fa-sellsy' => 'sellsy',
                        'fab fa-servicestack' => 'servicestack',
                        'fab fa-shirtsinbulk' => 'shirtsinbulk',
                        'fab fa-shopware' => 'shopware',
                        'fab fa-simplybuilt' => 'simplybuilt',
                        'fab fa-sistrix' => 'sistrix',
                        'fab fa-sith' => 'sith',
                        'fab fa-skyatlas' => 'skyatlas',
                        'fab fa-skype' => 'skype',
                        'fab fa-slack' => 'slack',
                        'fab fa-slack-hash' => 'slack-hash',
                        'fab fa-slideshare' => 'slideshare',
                        'fab fa-snapchat' => 'snapchat',
                        'fab fa-snapchat-ghost' => 'snapchat-ghost',
                        'fab fa-snapchat-square' => 'snapchat-square',
                        'fab fa-soundcloud' => 'soundcloud',
                        'fab fa-speakap' => 'speakap',
                        'fab fa-spotify' => 'spotify',
                        'fab fa-squarespace' => 'squarespace',
                        'fab fa-stack-exchange' => 'stack-exchange',
                        'fab fa-stack-overflow' => 'stack-overflow',
                        'fab fa-staylinked' => 'staylinked',
                        'fab fa-steam' => 'steam',
                        'fab fa-steam-square' => 'steam-square',
                        'fab fa-steam-symbol' => 'steam-symbol',
                        'fab fa-sticker-mule' => 'sticker-mule',
                        'fab fa-strava' => 'strava',
                        'fab fa-stripe' => 'stripe',
                        'fab fa-stripe-s' => 'stripe-s',
                        'fab fa-studiovinari' => 'studiovinari',
                        'fab fa-stumbleupon' => 'stumbleupon',
                        'fab fa-stumbleupon-circle' => 'stumbleupon-circle',
                        'fab fa-superpowers' => 'superpowers',
                        'fab fa-supple' => 'supple',
                        'fab fa-teamspeak' => 'teamspeak',
                        'fab fa-telegram' => 'telegram',
                        'fab fa-telegram-plane' => 'telegram-plane',
                        'fab fa-tencent-weibo' => 'tencent-weibo',
                        'fab fa-themeco' => 'themeco',
                        'fab fa-themeisle' => 'themeisle',
                        'fab fa-trade-federation' => 'trade-federation',
                        'fab fa-trello' => 'trello',
                        'fab fa-tripadvisor' => 'tripadvisor',
                        'fab fa-tumblr' => 'tumblr',
                        'fab fa-tumblr-square' => 'tumblr-square',
                        'fab fa-twitch' => 'twitch',
                        'fab fa-twitter' => 'twitter',
                        'fab fa-twitter-square' => 'twitter-square',
                        'fab fa-typo3' => 'typo3',
                        'fab fa-uber' => 'uber',
                        'fab fa-uikit' => 'uikit',
                        'fab fa-uniregistry' => 'uniregistry',
                        'fab fa-untappd' => 'untappd',
                        'fab fa-usb' => 'usb',
                        'fab fa-ussunnah' => 'ussunnah',
                        'fab fa-vaadin' => 'vaadin',
                        'fab fa-viacoin' => 'viacoin',
                        'fab fa-viadeo' => 'viadeo',
                        'fab fa-viadeo-square' => 'viadeo-square',
                        'fab fa-viber' => 'viber',
                        'fab fa-vimeo' => 'vimeo',
                        'fab fa-vimeo-square' => 'vimeo-square',
                        'fab fa-vimeo-v' => 'vimeo-v',
                        'fab fa-vine' => 'vine',
                        'fab fa-vk' => 'vk',
                        'fab fa-vnv' => 'vnv',
                        'fab fa-vuejs' => 'vuejs',
                        'fab fa-weebly' => 'weebly',
                        'fab fa-weibo' => 'weibo',
                        'fab fa-weixin' => 'weixin',
                        'fab fa-whatsapp' => 'whatsapp',
                        'fab fa-whatsapp-square' => 'whatsapp-square',
                        'fab fa-whmcs' => 'whmcs',
                        'fab fa-wikipedia-w' => 'wikipedia-w',
                        'fab fa-windows' => 'windows',
                        'fab fa-wix' => 'wix',
                        'fab fa-wolf-pack-battalion' => 'wolf-pack-battalion',
                        'fab fa-wordpress' => 'wordpress',
                        'fab fa-wordpress-simple' => 'wordpress-simple',
                        'fab fa-wpbeginner' => 'wpbeginner',
                        'fab fa-wpexplorer' => 'wpexplorer',
                        'fab fa-wpforms' => 'wpforms',
                        'fab fa-xbox' => 'xbox',
                        'fab fa-xing' => 'xing',
                        'fab fa-xing-square' => 'xing-square',
                        'fab fa-yahoo' => 'yahoo',
                        'fab fa-yandex' => 'yandex',
                        'fab fa-yandex-international' => 'yandex-international',
                        'fab fa-y-combinator' => 'y-combinator',
                        'fab fa-yelp' => 'yelp',
                        'fab fa-yoast' => 'yoast',
                        'fab fa-youtube' => 'youtube',
                        'fab fa-youtube-square' => 'youtube-square',
                        'fab fa-zhihu' => 'zhihu',
                    ),
                    'default_value' => array(
                        '' => '',
                    ),
                    'allow_null' => 0,
                    'multiple' => 0,
                    'ui' => 0,
                    'ajax' => 0,
                    'placeholder' => '',
                    'disabled' => 0,
                    'readonly' => 0,
                    'return_format' => 'value',
                ),
                array(
                    'key' => 'field_55ae2ee638e94',
                    'label' => __('Link', 'tracian'),
                    'name' => 'gg_social_icon_link',
                    'type' => 'url',
                    'instructions' => '',
                    'required' => 0,
                    'conditional_logic' => 0,
                    'wrapper' => array(
                        'width' => '',
                        'class' => '',
                        'id' => '',
                    ),
                    'default_value' => '',
                    'placeholder' => '',
                ),
            ),
        ),
        array(
            'key' => 'field_55ae13a120209',
            'label' => __('Sidebars', 'tracian'),
            'name' => '',
            'type' => 'tab',
            'instructions' => '',
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '',
                'class' => '',
                'id' => '',
            ),
            'placement' => 'left',
            'endpoint' => 0,
        ),
        array(
            'key' => 'field_5596604147ece',
            'label' => __('Sidebar options', 'tracian'),
            'name' => 'gg_sidebars',
            'type' => 'repeater',
            'instructions' => __('Create a custom sidebar to use on pages or posts. Then go to Appearance >> Widgets to add widgets.', 'tracian'),
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '',
                'class' => '',
                'id' => '',
            ),
            'min' => 0,
            'max' => 0,
            'layout' => 'row',
            'button_label' => __('Add Sidebar', 'tracian'),
            'collapsed' => '',
            'sub_fields' => array(
                array(
                    'key' => 'field_5596607347ecf',
                    'label' => __('Sidebar name', 'tracian'),
                    'name' => 'gg_sidebar_name',
                    'type' => 'text',
                    'instructions' => '',
                    'required' => 0,
                    'conditional_logic' => 0,
                    'wrapper' => array(
                        'width' => '',
                        'class' => '',
                        'id' => '',
                    ),
                    'default_value' => '',
                    'placeholder' => '',
                    'prepend' => '',
                    'append' => '',
                    'maxlength' => '',
                    'readonly' => 0,
                    'disabled' => 0,
                ),
            ),
        ),
        array(
            'key' => 'field_55ae256271017',
            'label' => __('Fonts', 'tracian'),
            'name' => '',
            'type' => 'tab',
            'instructions' => '',
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '',
                'class' => '',
                'id' => '',
            ),
            'placement' => 'left',
            'endpoint' => 0,
        ),
        array(
            'key' => 'field_55ae488439030',
            'label' => __('Headings font', 'tracian'),
            'name' => 'gg_headings_font',
            'type' => 'google_font_selector',
            'instructions' => __('Select the theme font. Default: Old Standard TT', 'tracian'),
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '',
                'class' => '',
                'id' => '',
            ),
            'include_web_safe_fonts' => 1,
            'enqueue_font' => 1,
            'default_font' => 'Old Standard TT',
        ),
        array(
            'key' => 'field_55d2f67f05559',
            'label' => __('Body font', 'tracian'),
            'name' => 'gg_body_font',
            'type' => 'google_font_selector',
            'instructions' => __('Select the theme font. Default: Arapey', 'tracian'),
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '',
                'class' => '',
                'id' => '',
            ),
            'include_web_safe_fonts' => 1,
            'enqueue_font' => 1,
            'default_font' => 'Arapey',
        ),
        array(
            'key' => 'field_55ae25eb2fbac',
            'label' => __('Colors', 'tracian'),
            'name' => '',
            'type' => 'tab',
            'instructions' => '',
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '',
                'class' => '',
                'id' => '',
            ),
            'placement' => 'left',
            'endpoint' => 0,
        ),
        array(
            'key' => 'field_55b0e470292f2',
            'label' => __('Text colors', 'tracian'),
            'name' => '',
            'type' => 'message',
            'instructions' => '',
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '',
                'class' => '',
                'id' => '',
            ),
            'message' => __('Modify the default text colors', 'tracian'),
            'esc_html' => 0,
            'new_lines' => 'wpautop',
        ),
        array(
            'key' => 'field_55b0e601907ba',
            'label' => __('Text body color', 'tracian'),
            'name' => 'gg_text_body_color',
            'type' => 'color_picker',
            'instructions' => __('Default value: #666666', 'tracian'),
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '50',
                'class' => '',
                'id' => '',
            ),
            'default_value' => '#666666',
        ),
        array(
            'key' => 'field_55b0e65d11068',
            'label' => __('Headings color', 'tracian'),
            'name' => 'gg_headings_color',
            'type' => 'color_picker',
            'instructions' => __('Default value: #000000', 'tracian'),
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '50',
                'class' => '',
                'id' => '',
            ),
            'default_value' => '#000000',
        ),
        array(
            'key' => 'field_55b0e5e3907b9',
            'label' => __('Elements color', 'tracian'),
            'name' => '',
            'type' => 'message',
            'instructions' => '',
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '',
                'class' => '',
                'id' => '',
            ),
            'message' => __('Modify the default elements color. 
Affects: elements with background color, like footer, badges, menu, buttons, etc', 'tracian'),
            'new_lines' => 'wpautop',
            'esc_html' => 0,
        ),
        array(
            'key' => 'field_55b0f17e116ef',
            'label' => __('Primary color', 'tracian'),
            'name' => 'gg_primary_color',
            'type' => 'color_picker',
            'instructions' => __('Default value: #c89500', 'tracian'),
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '50',
                'class' => '',
                'id' => '',
            ),
            'default_value' => '#c89500',
        ),
        array(
            'key' => 'field_573f25d0eb78f',
            'label' => __('Primary color alt', 'tracian'),
            'name' => 'gg_primary_color_alt',
            'type' => 'color_picker',
            'instructions' => __('Default value: #000000', 'tracian'),
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '50',
                'class' => '',
                'id' => '',
            ),
            'default_value' => '#000000',
        ),
        array(
            'key' => 'field_55ae258271018',
            'label' => __('Page templates', 'tracian'),
            'name' => '',
            'type' => 'tab',
            'instructions' => '',
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '',
                'class' => '',
                'id' => '',
            ),
            'placement' => 'left',
            'endpoint' => 0,
        ),
        array(
            'key' => 'field_55b12f77bbf75',
            'label' => __('Search page', 'tracian'),
            'name' => '',
            'type' => 'message',
            'instructions' => '',
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '',
                'class' => '',
                'id' => '',
            ),
            'message' => __('Select the layout of the search page.', 'tracian'),
            'esc_html' => 0,
            'new_lines' => 'wpautop',
        ),
        array(
            'key' => 'field_55b12f90bbf76',
            'label' => __('Search page layout', 'tracian'),
            'name' => 'gg_search_page_layout',
            'type' => 'select',
            'instructions' => '',
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '',
                'class' => '',
                'id' => '',
            ),
            'choices' => array(
                'with_left_sidebar' => __('With left sidebar', 'tracian'),
                'with_right_sidebar' => __('With right sidebar', 'tracian'),
                'no_sidebar' => __('No sidebar', 'tracian'),
            ),
            'default_value' => array(
                'with_left_sidebar' => 'with_left_sidebar',
            ),
            'allow_null' => 0,
            'multiple' => 0,
            'ui' => 0,
            'ajax' => 0,
            'placeholder' => '',
            'disabled' => 0,
            'readonly' => 0,
            'return_format' => 'value',
        ),
        array(
            'key' => 'field_55b1fc9e637e3',
            'label' => __('404 page', 'tracian'),
            'name' => '',
            'type' => 'message',
            'instructions' => '',
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '',
                'class' => '',
                'id' => '',
            ),
            'message' => __('Set the options for the 404 error page.', 'tracian'),
            'esc_html' => 0,
            'new_lines' => 'wpautop',
        ),
        array(
            'key' => 'field_55b1fcba637e4',
            'label' => __('Error page title', 'tracian'),
            'name' => 'gg_error_page_title',
            'type' => 'text',
            'instructions' => __('Set the page title', 'tracian'),
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '',
                'class' => '',
                'id' => '',
            ),
            'default_value' => '404 Error',
            'placeholder' => '',
            'prepend' => '',
            'append' => '',
            'maxlength' => '',
            'readonly' => 0,
            'disabled' => 0,
        ),
        array(
            'key' => 'field_55b1fcf2637e5',
            'label' => __('Error page description', 'tracian'),
            'name' => 'gg_error_page_description',
            'type' => 'textarea',
            'instructions' => __('Set a message', 'tracian'),
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '',
                'class' => '',
                'id' => '',
            ),
            'default_value' => 'It seems we can\'t find what you\'re looking for. Perhaps searching can help.',
            'placeholder' => '',
            'maxlength' => '',
            'rows' => '',
            'new_lines' => '',
            'readonly' => 0,
            'disabled' => 0,
        ),
        array(
            'key' => 'field_55b1fe58f8dee',
            'label' => __('Category/Archive page', 'tracian'),
            'name' => '',
            'type' => 'message',
            'instructions' => '',
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '',
                'class' => '',
                'id' => '',
            ),
            'message' => __('Select the layout of the posts category/archive page.', 'tracian'),
            'esc_html' => 0,
            'new_lines' => 'wpautop',
        ),
        array(
            'key' => 'field_55b1fe77f8def',
            'label' => __('Page layout', 'tracian'),
            'name' => 'gg_cat_page_layout',
            'type' => 'select',
            'instructions' => '',
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '',
                'class' => '',
                'id' => '',
            ),
            'choices' => array(
                'with_left_sidebar' => __('With left sidebar', 'tracian'),
                'with_right_sidebar' => __('With right sidebar', 'tracian'),
                'no_sidebar' => __('No sidebar', 'tracian'),
            ),
            'default_value' => array(
                'with_left_sidebar' => 'with_left_sidebar',
            ),
            'allow_null' => 0,
            'multiple' => 0,
            'ui' => 0,
            'ajax' => 0,
            'placeholder' => '',
            'disabled' => 0,
            'readonly' => 0,
            'return_format' => 'value',
        ),
        array(
            'key' => 'field_55ae234a0e41c',
            'label' => __('Custom CSS', 'tracian'),
            'name' => '',
            'type' => 'tab',
            'instructions' => '',
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '',
                'class' => '',
                'id' => '',
            ),
            'placement' => 'left',
            'endpoint' => 0,
        ),
        array(
            'key' => 'field_5c6befc08d9c0',
            'label' => __('Customizer Custom CSS', 'tracian'),
            'name' => 'customizer_custom_css',
            'type' => 'customizer_logo',
            'instructions' => '',
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '',
                'class' => '',
                'id' => '',
            ),
            'select_custom_type_field' => 'customizer_css_link',
            'font_size' => 14,
        ),
        array(
            'key' => 'field_55ae22d40e41a',
            'label' => __('Custom scripts', 'tracian'),
            'name' => '',
            'type' => 'tab',
            'instructions' => '',
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '',
                'class' => '',
                'id' => '',
            ),
            'placement' => 'left',
            'endpoint' => 0,
        ),
        array(
            'key' => 'field_55ae22e10e41b',
            'label' => __('JS', 'tracian'),
            'name' => 'gg_script',
            'type' => 'textarea',
            'instructions' => __('Add custom footer scripts such as Google Analytics.', 'tracian'),
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '',
                'class' => '',
                'id' => '',
            ),
            'default_value' => '',
            'placeholder' => '',
            'maxlength' => '',
            'rows' => '',
            'new_lines' => '',
        ),
        array(
            'key' => 'field_56138d8a5c1d8',
            'label' => __('Store', 'tracian'),
            'name' => '',
            'type' => 'tab',
            'instructions' => '',
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '',
                'class' => '',
                'id' => '',
            ),
            'placement' => 'left',
            'endpoint' => 0,
        ),
        array(
            'key' => 'field_56ab62e3bf028',
            'label' => __('Activate product image sizes', 'tracian'),
            'name' => 'gg_activate_product_image_sizes',
            'type' => 'true_false',
            'instructions' => __('Check this to activate the inputs for image size change from WooCommerce >> Settings >> Products >> Display', 'tracian'),
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => 50,
                'class' => '',
                'id' => '',
            ),
            'message' => '',
            'default_value' => 0,
            'ui' => 0,
            'ui_on_text' => '',
            'ui_off_text' => '',
        ),
        array(
            'key' => 'field_56138d965c1d9',
            'label' => __('Catalog mode', 'tracian'),
            'name' => 'gg_store_catalog_mode',
            'type' => 'true_false',
            'instructions' => __('Enable/Disable catalog mode. This will disable: add to cart, checkout and buy functions.', 'tracian'),
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => 50,
                'class' => '',
                'id' => '',
            ),
            'message' => '',
            'default_value' => 0,
            'ui' => 0,
            'ui_on_text' => '',
            'ui_off_text' => '',
        ),
        array(
            'key' => 'field_56138df55c1da',
            'label' => __('Shop page options', 'tracian'),
            'name' => '',
            'type' => 'message',
            'instructions' => '',
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '',
                'class' => '',
                'id' => '',
            ),
            'message' => __('Shop page options', 'tracian'),
            'new_lines' => '',
            'esc_html' => 0,
        ),
        array(
            'key' => 'field_5c6bf5bc0d6d6',
            'label' => __('Shop page options', 'tracian'),
            'name' => 'shop_page_options',
            'type' => 'customizer_logo',
            'instructions' => '',
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '',
                'class' => '',
                'id' => '',
            ),
            'select_custom_type_field' => 'customizer_shop_link',
            'font_size' => 14,
        ),
        array(
            'key' => 'field_5613901b5c1dd',
            'label' => __('Products sale flash', 'tracian'),
            'name' => 'gg_store_sale_flash',
            'type' => 'true_false',
            'instructions' => __('Enable/Disable sale flash on products.', 'tracian'),
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '33',
                'class' => '',
                'id' => '',
            ),
            'message' => '',
            'default_value' => 1,
            'ui' => 0,
            'ui_on_text' => '',
            'ui_off_text' => '',
        ),
        array(
            'key' => 'field_561390b438a60',
            'label' => __('Products price', 'tracian'),
            'name' => 'gg_store_products_price',
            'type' => 'true_false',
            'instructions' => __('Enable/Disable products price.', 'tracian'),
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '33',
                'class' => '',
                'id' => '',
            ),
            'message' => '',
            'default_value' => 1,
            'ui' => 0,
            'ui_on_text' => '',
            'ui_off_text' => '',
        ),
        array(
            'key' => 'field_5613910138a61',
            'label' => __('Add to cart button', 'tracian'),
            'name' => 'gg_store_add_to_cart',
            'type' => 'true_false',
            'instructions' => __('Enable/Disable add to cart button', 'tracian'),
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '33',
                'class' => '',
                'id' => '',
            ),
            'message' => '',
            'default_value' => 1,
            'ui' => 0,
            'ui_on_text' => '',
            'ui_off_text' => '',
        ),
        array(
            'key' => 'field_5613914738a62',
            'label' => __('Product page options', 'tracian'),
            'name' => '',
            'type' => 'message',
            'instructions' => '',
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '',
                'class' => '',
                'id' => '',
            ),
            'message' => __('Product page options', 'tracian'),
            'new_lines' => '',
            'esc_html' => 0,
        ),
        array(
            'key' => 'field_5c6c0a8a17032',
            'label' => __('Product awards', 'tracian'),
            'name' => 'gg_product_awards',
            'type' => 'true_false',
            'instructions' => __('Enable/Disable awards on product', 'tracian'),
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '50',
                'class' => '',
                'id' => '',
            ),
            'message' => '',
            'default_value' => 1,
            'ui' => 0,
            'ui_on_text' => '',
            'ui_off_text' => '',
        ),
        array(
            'key' => 'field_5c6c0aa317033',
            'label' => __('Product PDF factsheet', 'tracian'),
            'name' => 'gg_product_pdf_factsheet',
            'type' => 'true_false',
            'instructions' => __('Enable/Disable PDF factsheet on product', 'tracian'),
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '50',
                'class' => '',
                'id' => '',
            ),
            'message' => '',
            'default_value' => 1,
            'ui' => 0,
            'ui_on_text' => '',
            'ui_off_text' => '',
        ),
        array(
            'key' => 'field_5613916938a63',
            'label' => __('Product sale flash', 'tracian'),
            'name' => 'gg_product_sale_flash',
            'type' => 'true_false',
            'instructions' => __('Enable/Disable sale flash on product', 'tracian'),
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => 33,
                'class' => '',
                'id' => '',
            ),
            'message' => '',
            'default_value' => 1,
            'ui' => 0,
            'ui_on_text' => '',
            'ui_off_text' => '',
        ),
        array(
            'key' => 'field_561391a238a64',
            'label' => __('Product price', 'tracian'),
            'name' => 'gg_product_products_price',
            'type' => 'true_false',
            'instructions' => __('Enable/Disable product price', 'tracian'),
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => 33,
                'class' => '',
                'id' => '',
            ),
            'message' => '',
            'default_value' => 1,
            'ui' => 0,
            'ui_on_text' => '',
            'ui_off_text' => '',
        ),
        array(
            'key' => 'field_561391d138a65',
            'label' => __('Product short description', 'tracian'),
            'name' => 'gg_product_products_excerpt',
            'type' => 'true_false',
            'instructions' => __('Enable/Disable product short description', 'tracian'),
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => 33,
                'class' => '',
                'id' => '',
            ),
            'message' => '',
            'default_value' => 1,
            'ui' => 0,
            'ui_on_text' => '',
            'ui_off_text' => '',
        ),
        array(
            'key' => 'field_5613920038a66',
            'label' => __('Product meta', 'tracian'),
            'name' => 'gg_product_products_meta',
            'type' => 'true_false',
            'instructions' => __('Enable/Disable product meta (sku, category, tag)', 'tracian'),
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '33',
                'class' => '',
                'id' => '',
            ),
            'message' => '',
            'default_value' => 0,
            'ui' => 0,
            'ui_on_text' => '',
            'ui_off_text' => '',
        ),
        array(
            'key' => 'field_5613922d38a67',
            'label' => __('Product add to cart button', 'tracian'),
            'name' => 'gg_product_add_to_cart',
            'type' => 'true_false',
            'instructions' => __('Enable/Disable product add to cart button', 'tracian'),
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => 33,
                'class' => '',
                'id' => '',
            ),
            'message' => '',
            'default_value' => 1,
            'ui' => 0,
            'ui_on_text' => '',
            'ui_off_text' => '',
        ),
        array(
            'key' => 'field_5613925238a68',
            'label' => __('Related products', 'tracian'),
            'name' => 'gg_product_related_products',
            'type' => 'true_false',
            'instructions' => __('Enable/Disable Related products', 'tracian'),
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => 33,
                'class' => '',
                'id' => '',
            ),
            'message' => '',
            'default_value' => 1,
            'ui' => 0,
            'ui_on_text' => '',
            'ui_off_text' => '',
        ),
        array(
            'key' => 'field_5613927438a69',
            'label' => __('Up Sells products', 'tracian'),
            'name' => 'gg_product_upsells_products',
            'type' => 'true_false',
            'instructions' => __('Enable/Disable Up Sells products', 'tracian'),
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => 33,
                'class' => '',
                'id' => '',
            ),
            'message' => '',
            'default_value' => 1,
            'ui' => 0,
            'ui_on_text' => '',
            'ui_off_text' => '',
        ),
        array(
            'key' => 'field_5613929938a6a',
            'label' => __('Reviews tab', 'tracian'),
            'name' => 'gg_product_reviews_tab',
            'type' => 'true_false',
            'instructions' => __('Enable/Disable reviews tab', 'tracian'),
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => 33,
                'class' => '',
                'id' => '',
            ),
            'message' => '',
            'default_value' => 1,
            'ui' => 0,
            'ui_on_text' => '',
            'ui_off_text' => '',
        ),
        array(
            'key' => 'field_561392b938a6b',
            'label' => __('Description tab', 'tracian'),
            'name' => 'gg_product_description_tab',
            'type' => 'true_false',
            'instructions' => __('Enable/Disable description tab', 'tracian'),
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => 33,
                'class' => '',
                'id' => '',
            ),
            'message' => '',
            'default_value' => 1,
            'ui' => 0,
            'ui_on_text' => '',
            'ui_off_text' => '',
        ),
        array(
            'key' => 'field_561392e538a6c',
            'label' => __('Additional information tab', 'tracian'),
            'name' => 'gg_product_attributes_tab',
            'type' => 'true_false',
            'instructions' => __('Enable/Disable additional information tab', 'tracian'),
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '',
                'class' => '',
                'id' => '',
            ),
            'message' => '',
            'default_value' => 1,
            'ui' => 0,
            'ui_on_text' => '',
            'ui_off_text' => '',
        ),
        array(
            'key' => 'field_5613930338a6d',
            'label' => __('Cart page options', 'tracian'),
            'name' => '',
            'type' => 'message',
            'instructions' => '',
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '',
                'class' => '',
                'id' => '',
            ),
            'message' => __('Cart page options', 'tracian'),
            'new_lines' => '',
            'esc_html' => 0,
        ),
        array(
            'key' => 'field_5613931c38a6e',
            'label' => __('Cross Sells products', 'tracian'),
            'name' => 'gg_product_crosssells_products',
            'type' => 'true_false',
            'instructions' => __('Enable/Disable Cross Sells products', 'tracian'),
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '',
                'class' => '',
                'id' => '',
            ),
            'message' => '',
            'default_value' => 1,
            'ui' => 0,
            'ui_on_text' => '',
            'ui_off_text' => '',
        ),
        array(
            'key' => 'field_5c31116e76809',
            'label' => __('Blog & posts', 'tracian'),
            'name' => '',
            'type' => 'tab',
            'instructions' => '',
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '',
                'class' => '',
                'id' => '',
            ),
            'placement' => 'top',
            'endpoint' => 0,
        ),
        array(
            'key' => 'field_5c3112487680c',
            'label' => __('Blog columns', 'tracian'),
            'name' => 'gg_blog_columns',
            'type' => 'select',
            'instructions' => '',
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '33',
                'class' => '',
                'id' => '',
            ),
            'choices' => array(
                1 => __('1', 'tracian'),
                2 => __('2', 'tracian'),
                3 => __('3', 'tracian'),
                4 => __('4', 'tracian'),
            ),
            'default_value' => array(
                0 => 1,
            ),
            'allow_null' => 0,
            'multiple' => 0,
            'ui' => 0,
            'return_format' => 'value',
            'ajax' => 0,
            'placeholder' => '',
        ),
        array(
            'key' => 'field_5c3111937680a',
            'label' => __('Blog layout', 'tracian'),
            'name' => 'gg_blog_layout',
            'type' => 'select',
            'instructions' => '',
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '33',
                'class' => '',
                'id' => '',
            ),
            'choices' => array(
                'fitRows' => __('Grid Fit rows', 'tracian'),
                'masonry' => __('Grid Masonry', 'tracian'),
            ),
            'default_value' => array(
                0 => 'fitRows',
            ),
            'allow_null' => 0,
            'multiple' => 0,
            'ui' => 0,
            'return_format' => 'value',
            'ajax' => 0,
            'placeholder' => '',
        ),
        array(
            'key' => 'field_5c3111c67680b',
            'label' => __('Blog layout style', 'tracian'),
            'name' => 'gg_blog_layout_style',
            'type' => 'select',
            'instructions' => '',
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '33',
                'class' => '',
                'id' => '',
            ),
            'choices' => array(
                'gap' => __('Gap', 'tracian'),
                'nogap' => __('No Gap', 'tracian'),
            ),
            'default_value' => array(
                0 => 'gap',
            ),
            'allow_null' => 0,
            'multiple' => 0,
            'ui' => 0,
            'return_format' => 'value',
            'ajax' => 0,
            'placeholder' => '',
        ),
        array(
            'key' => 'field_5c6ecffe64d7b',
            'label' => __('Blog post content', 'tracian'),
            'name' => 'gg_blog_post_content',
            'type' => 'select',
            'instructions' => '',
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '50',
                'class' => '',
                'id' => '',
            ),
            'choices' => array(
                'show_content' => __('Show full content', 'tracian'),
                'show_excerpt' => __('Show excerpt', 'tracian'),
                'show_nothing' => __('Show nothing', 'tracian'),
            ),
            'default_value' => array(
                0 => 'show_content',
            ),
            'allow_null' => 0,
            'multiple' => 0,
            'ui' => 0,
            'return_format' => 'value',
            'ajax' => 0,
            'placeholder' => '',
        ),
        array(
            'key' => 'field_5c3112947680e',
            'label' => __('Show read more', 'tracian'),
            'name' => 'gg_blog_show_read_more',
            'type' => 'true_false',
            'instructions' => __('Enable to activate Read more button on posts', 'tracian'),
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '50',
                'class' => '',
                'id' => '',
            ),
            'message' => '',
            'default_value' => 0,
            'ui' => 0,
            'ui_on_text' => '',
            'ui_off_text' => '',
        ),
    ),
    'location' => array(
        array(
            array(
                'param' => 'options_page',
                'operator' => '==',
                'value' => 'theme-options',
            ),
        ),
    ),
    'menu_order' => 0,
    'position' => 'normal',
    'style' => 'default',
    'label_placement' => 'top',
    'instruction_placement' => 'label',
    'hide_on_screen' => '',
    'active' => true,
    'description' => '',
));

acf_add_local_field_group(array(
    'key' => 'group_546f25c33193d',
    'title' => __('Post Options', 'tracian'),
    'fields' => array(
        array(
            'key' => 'field_546f25d44af1e',
            'label' => __('Social share', 'tracian'),
            'name' => 'gg_post_social_share',
            'type' => 'true_false',
            'instructions' => __('Enable/Disable social share on post', 'tracian'),
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '50',
                'class' => '',
                'id' => '',
            ),
            'message' => '',
            'default_value' => 1,
            'ui' => 1,
            'ui_on_text' => '',
            'ui_off_text' => '',
        ),
        array(
            'key' => 'field_54bfb0c1e5f56',
            'label' => __('Post navigation', 'tracian'),
            'name' => 'gg_post_navigation',
            'type' => 'true_false',
            'instructions' => __('Enable/Disable the posts navigation', 'tracian'),
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '50',
                'class' => '',
                'id' => '',
            ),
            'message' => '',
            'default_value' => 1,
            'ui' => 1,
            'ui_on_text' => '',
            'ui_off_text' => '',
        ),
    ),
    'location' => array(
        array(
            array(
                'param' => 'post_type',
                'operator' => '==',
                'value' => 'post',
            ),
        ),
    ),
    'menu_order' => 2,
    'position' => 'normal',
    'style' => 'default',
    'label_placement' => 'top',
    'instruction_placement' => 'label',
    'hide_on_screen' => '',
    'active' => true,
    'description' => '',
));

acf_add_local_field_group(array(
    'key' => 'group_5464cf5f3e820',
    'title' => __('Page Options', 'tracian'),
    'fields' => array(
        array(
            'key' => 'field_55a7b72d264bc',
            'label' => __('Header', 'tracian'),
            'name' => '',
            'type' => 'tab',
            'instructions' => '',
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '',
                'class' => '',
                'id' => '',
            ),
            'placement' => 'top',
            'endpoint' => 0,
        ),
        array(
            'key' => 'field_5464cfec33375',
            'label' => __('Page header', 'tracian'),
            'name' => 'gg_page_header',
            'type' => 'true_false',
            'instructions' => '',
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '',
                'class' => '',
                'id' => '',
            ),
            'message' => __('Enable/Disable page header.', 'tracian'),
            'default_value' => 1,
            'ui' => 1,
            'ui_on_text' => '',
            'ui_off_text' => '',
        ),
        array(
            'key' => 'field_56ebe432b6184',
            'label' => __('Page header style', 'tracian'),
            'name' => 'gg_page_header_style',
            'type' => 'select',
            'instructions' => '',
            'required' => 0,
            'conditional_logic' => array(
                array(
                    array(
                        'field' => 'field_5464cfec33375',
                        'operator' => '==',
                        'value' => '1',
                    ),
                ),
            ),
            'wrapper' => array(
                'width' => '50',
                'class' => '',
                'id' => '',
            ),
            'choices' => array(
                'style1' => __('Style 1 (Featured image under the title)', 'tracian'),
                'style2' => __('Style 2 (Featured image on top of the title)', 'tracian'),
                'style3' => __('Style 3 (Title over one third of the featured image)', 'tracian'),
                'style4' => __('Style 4 (Title on top of the featured image)', 'tracian'),
            ),
            'default_value' => array(
                0 => 'style1',
            ),
            'allow_null' => 0,
            'multiple' => 0,
            'ui' => 0,
            'return_format' => 'value',
            'ajax' => 0,
            'placeholder' => '',
        ),
        array(
            'key' => 'field_5b7725cbf15a2',
            'label' => __('Page header alignment', 'tracian'),
            'name' => 'gg_page_header_alignment',
            'type' => 'select',
            'instructions' => '',
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '50',
                'class' => '',
                'id' => '',
            ),
            'choices' => array(
                'left' => __('left', 'tracian'),
                'center' => __('center', 'tracian'),
                'right' => __('right', 'tracian'),
            ),
            'default_value' => array(
                0 => 'center',
            ),
            'allow_null' => 0,
            'multiple' => 0,
            'ui' => 0,
            'return_format' => 'value',
            'ajax' => 0,
            'placeholder' => '',
        ),
        array(
            'key' => 'field_5464d01033376',
            'label' => __('Page title', 'tracian'),
            'name' => 'gg_page_title',
            'type' => 'true_false',
            'instructions' => '',
            'required' => 0,
            'conditional_logic' => array(
                array(
                    array(
                        'field' => 'field_5464cfec33375',
                        'operator' => '==',
                        'value' => '1',
                    ),
                ),
            ),
            'wrapper' => array(
                'width' => '33',
                'class' => '',
                'id' => '',
            ),
            'message' => '',
            'default_value' => 1,
            'ui' => 1,
            'ui_on_text' => '',
            'ui_off_text' => '',
        ),
        array(
            'key' => 'field_5b7af7fd02331',
            'label' => __('Page title line separator', 'tracian'),
            'name' => 'gg_page_title_separator',
            'type' => 'true_false',
            'instructions' => '',
            'required' => 0,
            'conditional_logic' => array(
                array(
                    array(
                        'field' => 'field_5464cfec33375',
                        'operator' => '==',
                        'value' => '1',
                    ),
                ),
            ),
            'wrapper' => array(
                'width' => '33',
                'class' => '',
                'id' => '',
            ),
            'message' => '',
            'default_value' => 0,
            'ui' => 1,
            'ui_on_text' => '',
            'ui_off_text' => '',
        ),
        array(
            'key' => 'field_5549e6f6d39ee',
            'label' => __('Page breadcrumbs', 'tracian'),
            'name' => 'gg_page_breadcrumbs',
            'type' => 'true_false',
            'instructions' => '',
            'required' => 0,
            'conditional_logic' => array(
                array(
                    array(
                        'field' => 'field_5464cfec33375',
                        'operator' => '==',
                        'value' => '1',
                    ),
                ),
            ),
            'wrapper' => array(
                'width' => '33',
                'class' => '',
                'id' => '',
            ),
            'message' => '',
            'default_value' => 0,
            'ui' => 1,
            'ui_on_text' => '',
            'ui_off_text' => '',
        ),
        array(
            'key' => 'field_56e81eabc9f18',
            'label' => __('Page subtitle', 'tracian'),
            'name' => 'gg_page_subtitle',
            'type' => 'text',
            'instructions' => __('Insert the page subtitle', 'tracian'),
            'required' => 0,
            'conditional_logic' => array(
                array(
                    array(
                        'field' => 'field_5464cfec33375',
                        'operator' => '==',
                        'value' => '1',
                    ),
                ),
            ),
            'wrapper' => array(
                'width' => '',
                'class' => '',
                'id' => '',
            ),
            'default_value' => '',
            'placeholder' => '',
            'prepend' => '',
            'append' => '',
            'maxlength' => '',
            'readonly' => 0,
            'disabled' => 0,
        ),
        array(
            'key' => 'field_5464d02f33377',
            'label' => __('Page description', 'tracian'),
            'name' => 'gg_page_description',
            'type' => 'textarea',
            'instructions' => __('Insert your page short description here.', 'tracian'),
            'required' => 0,
            'conditional_logic' => array(
                array(
                    array(
                        'field' => 'field_5464cfec33375',
                        'operator' => '==',
                        'value' => '1',
                    ),
                    array(
                        'field' => 'field_5464cfec33375',
                        'operator' => '==',
                        'value' => '1',
                    ),
                ),
            ),
            'wrapper' => array(
                'width' => '',
                'class' => '',
                'id' => '',
            ),
            'default_value' => '',
            'placeholder' => '',
            'maxlength' => '',
            'rows' => '',
            'new_lines' => 'wpautop',
            'readonly' => 0,
            'disabled' => 0,
        ),
        array(
            'key' => 'field_55a7b764264bd',
            'label' => __('Header Slideshow', 'tracian'),
            'name' => '',
            'type' => 'tab',
            'instructions' => '',
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '',
                'class' => '',
                'id' => '',
            ),
            'placement' => 'top',
            'endpoint' => 0,
        ),
        array(
            'key' => 'field_55cb13fa97ee2',
            'label' => __('Header slideshow info', 'tracian'),
            'name' => '',
            'type' => 'message',
            'instructions' => '',
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '',
                'class' => '',
                'id' => '',
            ),
            'message' => __('You can display a Revolution Slider in the theme header, under the menu.', 'tracian'),
            'esc_html' => 0,
            'new_lines' => 'wpautop',
        ),
        array(
            'key' => 'field_54af910f75f0e',
            'label' => __('Page header slideshow', 'tracian'),
            'name' => 'gg_page_header_slider',
            'type' => 'true_false',
            'instructions' => __('Enable/disable page slideshow', 'tracian'),
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '',
                'class' => '',
                'id' => '',
            ),
            'message' => '',
            'default_value' => 0,
            'ui' => 1,
            'ui_on_text' => '',
            'ui_off_text' => '',
        ),
        array(
            'key' => 'field_54af96c4857a4',
            'label' => __('Slideshow', 'tracian'),
            'name' => 'gg_page_header_slider_select',
            'type' => 'select',
            'instructions' => __('Select the slideshow', 'tracian'),
            'required' => 0,
            'conditional_logic' => array(
                array(
                    array(
                        'field' => 'field_54af910f75f0e',
                        'operator' => '==',
                        'value' => '1',
                    ),
                ),
            ),
            'wrapper' => array(
                'width' => 50,
                'class' => '',
                'id' => '',
            ),
            'choices' => array(
                'parallaxscroll' => 'parallaxscroll',
                'homepage-v1' => 'homepage-v1',
                'focusparallax' => 'focusparallax',
                'homepage-v3' => 'homepage-v3',
                'food-carousel' => 'food-carousel',
                'homepage-v5' => 'homepage-v5',
                'homepage-v4' => 'homepage-v4',
                'homepage-v2' => 'homepage-v2',
                'niceandclean_video' => 'niceandclean_video',
                'nice-and-clean-video' => 'nice-and-clean-video',
                'betteryoutube' => 'betteryoutube',
            ),
            'default_value' => array(
            ),
            'allow_null' => 0,
            'multiple' => 0,
            'ui' => 0,
            'ajax' => 0,
            'placeholder' => '',
            'disabled' => 0,
            'readonly' => 0,
            'return_format' => 'value',
        ),
        array(
            'key' => 'field_560a740244924',
            'label' => __('Slideshow position', 'tracian'),
            'name' => 'gg_page_header_slider_position',
            'type' => 'select',
            'instructions' => __('Select the slider position', 'tracian'),
            'required' => 0,
            'conditional_logic' => array(
                array(
                    array(
                        'field' => 'field_54af910f75f0e',
                        'operator' => '==',
                        'value' => '1',
                    ),
                ),
            ),
            'wrapper' => array(
                'width' => 50,
                'class' => '',
                'id' => '',
            ),
            'choices' => array(
                'under_header' => __('Under the header', 'tracian'),
                'beneath_header' => __('Beneath the header', 'tracian'),
            ),
            'default_value' => array(
                'under_header' => 'under_header',
            ),
            'allow_null' => 0,
            'multiple' => 0,
            'ui' => 0,
            'ajax' => 0,
            'placeholder' => '',
            'disabled' => 0,
            'readonly' => 0,
            'return_format' => 'value',
        ),
        array(
            'key' => 'field_5600f8434100f',
            'label' => __('Page background', 'tracian'),
            'name' => '',
            'type' => 'tab',
            'instructions' => '',
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '',
                'class' => '',
                'id' => '',
            ),
            'placement' => 'top',
            'endpoint' => 0,
        ),
        array(
            'key' => 'field_5600f8024100e',
            'label' => __('Background', 'tracian'),
            'name' => 'gg_page_background',
            'type' => 'image',
            'instructions' => __('Upload an image background', 'tracian'),
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '',
                'class' => '',
                'id' => '',
            ),
            'return_format' => 'url',
            'preview_size' => 'thumbnail',
            'library' => 'all',
            'min_width' => '',
            'min_height' => '',
            'min_size' => '',
            'max_width' => '',
            'max_height' => '',
            'max_size' => '',
            'mime_types' => '',
        ),
    ),
    'location' => array(
        array(
            array(
                'param' => 'page_template',
                'operator' => '==',
                'value' => 'default',
            ),
        ),
        array(
            array(
                'param' => 'page_template',
                'operator' => '==',
                'value' => 'theme-templates/blog.php',
            ),
        ),
        array(
            array(
                'param' => 'page_template',
                'operator' => '==',
                'value' => 'default',
            ),
        ),
        array(
            array(
                'param' => 'page_template',
                'operator' => '==',
                'value' => 'theme-templates/contact.php',
            ),
        ),
    ),
    'menu_order' => 4,
    'position' => 'normal',
    'style' => 'default',
    'label_placement' => 'top',
    'instruction_placement' => 'label',
    'hide_on_screen' => '',
    'active' => true,
    'description' => '',
));

acf_add_local_field_group(array(
    'key' => 'group_5bab79696be39',
    'title' => __('Featured image options', 'tracian'),
    'fields' => array(
        array(
            'key' => 'field_5bab79cc362ed',
            'label' => __('Display featured image as', 'tracian'),
            'name' => 'gg_display_featured_image_as',
            'type' => 'select',
            'instructions' => '',
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '',
                'class' => '',
                'id' => '',
            ),
            'choices' => array(
                'fullwidth' => __('Fullwidth of the page', 'tracian'),
                'container' => __('In container', 'tracian'),
            ),
            'default_value' => array(
            ),
            'allow_null' => 0,
            'multiple' => 0,
            'ui' => 0,
            'return_format' => 'value',
            'ajax' => 0,
            'placeholder' => '',
        ),
    ),
    'location' => array(
        array(
            array(
                'param' => 'post_type',
                'operator' => '==',
                'value' => 'post',
            ),
        ),
        array(
            array(
                'param' => 'post_type',
                'operator' => '==',
                'value' => 'page',
            ),
        ),
    ),
    'menu_order' => 10,
    'position' => 'side',
    'style' => 'default',
    'label_placement' => 'top',
    'instruction_placement' => 'label',
    'hide_on_screen' => '',
    'active' => true,
    'description' => '',
));

endif;