<?php
function tracian_import_files() {
    return array(
        array(
            'import_file_name'             => 'Tracian Demo Import',
            'categories'                   => array( 'Category 1'),
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'admin/importer/demo-files/demo-content.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'admin/importer/demo-files/widgets.json',
            'local_import_customizer_file' => trailingslashit( get_template_directory() ) . 'admin/importer/demo-files/customizer.dat',
            'local_import_acf_json' => array(
                array(
                    'file_path'     => trailingslashit( get_template_directory() ) . 'admin/importer/demo-files/theme-options.json',
                ),
            ),
        ),
    );
}
add_filter( 'pt-ocdi/import_files', 'tracian_import_files' );

function tracian_after_import_setup() {

    // Assign menus to their locations.
    $main_menu   = get_term_by('name', 'Main Menu', 'nav_menu');
    $secondary_menu = get_term_by('name', 'Secondary Menu', 'nav_menu');

    set_theme_mod( 'nav_menu_locations', array(
            'main-menu'   => $main_menu->term_id,
            'secondary-menu' => $secondary_menu->term_id
        )
    );

    // Assign front page and posts page (blog page).
    $front_page_id = get_page_by_title( 'Homepage' );
    $blog_page_id  = get_page_by_title( 'Blog' );

    update_option( 'show_on_front', 'page' );
    update_option( 'page_on_front', $front_page_id->ID );
    update_option( 'page_for_posts', $blog_page_id->ID );

    //Set the WC pages
    if ( tracian_is_wc_activated() ) {

        //Shop Page
        $shop_page = get_page_by_title('Shop');
        if($shop_page && $shop_page->ID){
            update_option('woocommerce_shop_page_id',$shop_page->ID);
        }
        
        //Cart Page
        $cart_page = get_page_by_title('Cart');
        if($cart_page && $cart_page->ID){
            update_option('woocommerce_cart_page_id',$cart_page->ID);
        }
        
        //Checkout Page
        $checkout_page = get_page_by_title('Checkout');
        if($checkout_page && $checkout_page->ID){
            update_option('woocommerce_checkout_page_id',$checkout_page->ID);
        }
        
        //My Account Page
        $myaccount_page = get_page_by_title('My Account');
        if($myaccount_page && $myaccount_page->ID){
            update_option('woocommerce_myaccount_page_id',$myaccount_page->ID);
        }

        //Update permalinks
        global $wp_rewrite;
        $wp_rewrite->set_permalink_structure('/%postname%/');
  
    }

    //Set the Revolution Slider
    if( class_exists('RevSlider') ) {
            
        $slider_array = array(
            get_template_directory()."/admin/importer/demo-files/sliders/homepage-v1.zip",
            get_template_directory()."/admin/importer/demo-files/sliders/homepage-v2.zip",
            get_template_directory()."/admin/importer/demo-files/sliders/homepage-v3.zip",
            get_template_directory()."/admin/importer/demo-files/sliders/homepage-v4.zip",
            get_template_directory()."/admin/importer/demo-files/sliders/homepage-v5.zip",
            get_template_directory()."/admin/importer/demo-files/sliders/about-us-video.zip",
        );

        $slider = new RevSlider();
         
        foreach($slider_array as $filepath){
            $slider->importSliderFromPost(false,false,$filepath);
        }
        
    }

}
add_action( 'pt-ocdi/after_import', 'tracian_after_import_setup' );

/**
 * Adding local_import_acf_json and import_json param supports.
 */
if ( ! function_exists( 'tracian_after_content_import_execution' ) ) {
  function tracian_after_content_import_execution( $selected_import_files, $import_files, $selected_index ) {

    $downloader = new OCDI\Downloader();

    if( ! empty( $import_files[$selected_index]['local_import_acf_json'] ) ) {

        foreach( $import_files[$selected_index]['local_import_acf_json'] as $index => $import ) {
            $file_path = $import['file_path'];
            $file_raw  = OCDI\Helpers::data_from_file( $file_path );

            $acf_options = json_decode( $file_raw, true );
            foreach ( $acf_options as $key => $value ) {
                update_option( $key, $value );
            }
        }
    }

  }
  add_action('pt-ocdi/after_content_import_execution', 'tracian_after_content_import_execution', 3, 99 );
}

//Remove branding
add_filter( 'pt-ocdi/disable_pt_branding', '__return_true' );
//Disable generation of smaller images
add_filter( 'pt-ocdi/regenerate_thumbnails_in_content_import', '__return_false' );

function ocdi_change_time_of_single_ajax_call() {
    return 10;
}
add_action( 'pt-ocdi/time_for_one_ajax_call', 'ocdi_change_time_of_single_ajax_call' );
