<?php
/*Custom CSS*/

//Font
$gg_headings_font = _get_field('gg_headings_font', 'option', array('font' => 'Old Standard TT' ));
$gg_body_font = _get_field('gg_body_font', 'option',array('font' => 'Arapey' ));

//Text color
$gg_text_body_color = _get_field('gg_text_body_color', 'option','#666666');
$gg_headings_color = _get_field('gg_headings_color', 'option','#000000');

//Primary color
$gg_primary_color = _get_field('gg_primary_color', 'option','#c89500');
//Primary color alt
$gg_primary_color_alt = _get_field('gg_primary_color_alt', 'option','#000000');
?>

<?php if ( $gg_headings_font['font'] != 'Old Standard TT' ) : ?>
	h1,	h2,	h3,	h4,	h5,	h6,
	body.gg-style_4-header .main-navigation .main-menu ul.menu > li > a,
	.gg-vc-quote,
	.counter-wrapper .counter-content .counter,
	.featured-icon-wrapper .featured-icon-subtitle,
    .timeline-carousel-container .timeline-year,
    .timeline-list-wrapper .timeline-slide-img .title-over-image,
    header.site-header .site-branding div.site-title,
    table.cart td.product-name {
		font-family: <?php echo esc_html($gg_headings_font['font']); ?>;
	}
<?php endif; ?>

<?php if ( $gg_body_font['font'] != 'Arapey' ) : ?>
	body,
    button,
    input,
    select,
    optgroup,
    textarea,
    .gg-vc-quote cite,
    footer.site-footer .widget-title,
    header.site-header .header-searchform input {
		font-family: <?php echo esc_html($gg_body_font['font']); ?>;
    }
<?php endif; ?>


<?php if ( ($gg_text_body_color !='') && ($gg_text_body_color != '#666666') ) { ?>
	body,
    button,
    input,
    select,
    optgroup,
    textarea,
    input[type="text"],
    input[type="email"],
    input[type="url"],
    input[type="password"],
    input[type="search"],
    input[type="number"],
    input[type="tel"],
    input[type="range"],
    input[type="date"],
    input[type="month"],
    input[type="week"],
    input[type="time"],
    input[type="datetime"],
    input[type="datetime-local"],
    input[type="color"],
    textarea,
    .main-navigation ul.menu > li a,
    .special-hover:hover,
    .title-subtitle-box .special-title span,
    .title-subtitle-box .special-subtitle,
    .timeline-list-wrapper .timeline-slide-content,
    .entry-meta,
    .entry-footer,
    .woocommerce-MyAccount-navigation ul li a,
    p.stars a::before,
    p.stars a:hover ~ a::before,
    p.stars.selected a.active ~ a::before,
    .woocommerce-tabs ul.tabs li a {
		color: <?php echo esc_html($gg_text_body_color); ?>;
	}

    .gg-mailchimp-widget.style_1 form input[type="text"]::-webkit-input-placeholder,
    .gg-mailchimp-widget.style_1 form input[type="email"]::-webkit-input-placeholder {
      color: <?php echo esc_html($gg_text_body_color); ?>;
    }
    .gg-mailchimp-widget.style_1 form input[type="text"]:-moz-placeholder,
    .gg-mailchimp-widget.style_1 form input[type="email"]:-moz-placeholder {
      color: <?php echo esc_html($gg_text_body_color); ?>;
    }
    .gg-mailchimp-widget.style_1 form input[type="text"]::-moz-placeholder,
    .gg-mailchimp-widget.style_1 form input[type="email"]::-moz-placeholder {
      color: <?php echo esc_html($gg_text_body_color); ?>;
    }
    .gg-mailchimp-widget.style_1 form input[type="text"]:-ms-input-placeholder, 
    .gg-mailchimp-widget.style_1 form input[type="email"]:-ms-input-placeholder {
      color: <?php echo esc_html($gg_text_body_color); ?>;
    }
	
<?php } ?>


<?php if ( ($gg_headings_color != '') && ($gg_headings_color != '#000000') ) { ?>
	h1,
	h2,
	h3,
	h4,
	h5,
	h6,
	.gg-vc-quote,
    .counter-wrapper .counter-content .counter,
    .featured-icon-wrapper .featured-icon-subtitle,
    article .entry-title a,
    table.cart td.product-name a,
    .products .product .woocommerce-loop-product__title a,
    .cart_totals table.shop_table tr.order-total strong,
    table.woocommerce-checkout-review-order-table .product-name .product-quantity,
    table.woocommerce-checkout-review-order-table tfoot th,
    table.woocommerce-checkout-review-order-table tfoot .order-total strong,
    ul.order_details li strong,
    #comments .comments-body .comment-author a,
    header.site-header .site-branding h1.site-title a,
    header.site-header .site-branding div.site-title a,
    .slick-prev,
    .slick-next,
    .slick-prev:before,
    .slick-next:before {
		color: <?php echo esc_html($gg_headings_color); ?>;
	}

<?php } ?>


<?php
/* Primary color */
if ( ($gg_primary_color != '') && ($gg_primary_color != '#c89500') ) :
?>	
	
	.swiper-pagination-bullet-active,
    .swiper-pagination-progressbar .swiper-pagination-progressbar-fill,
    .special-hover.underline_effect:before,
    .special-hover.underline_effect:after,
    .special-hover.right_horizontal_line_effect:after,
    .special-hover.left_horizontal_line_effect:before,
    .btn.btn-primary,
    .button.btn-primary,
    .btn.btn-secondary:hover,
    .button.btn-secondary:hover,
    .btn.btn-tertiary:hover,
    .button.btn-tertiary:hover,
    .btn.btn-white:hover,
    .button.btn-white:hover,
    .title-subtitle-box .special-title span.toptitle_has_hor_line:before,
    .title-subtitle-box .gg-vertical-line,
    .gg-infobox.use_horizontal_line:not(.text-align-center) .infobox-title:before,
    .gg-horizontal-list .dl-flex dd:before,
    ul.el-grid li article.sticky,
    .site-subheader .page-meta .page-meta-wrapper h1.has-separator:before,
    table.cart td.actions .button:hover,
    .wc-proceed-to-checkout .button.checkout-button:hover,
    .woocommerce-MyAccount-navigation ul li a:after,
    .onsale,
    .woocommerce-tabs ul.tabs li a:after,
    .widget_price_filter .ui-slider .ui-slider-handle,
    .widget_price_filter .ui-slider .ui-slider-range  {
		background: <?php echo esc_html($gg_primary_color); ?>;
	}

	a,
    a:visited,
    a:hover, a:focus, a:active,
    .main-navigation ul.menu > li a:hover,
    .main-navigation ul.menu > li.current-menu-item > a,
    .main-navigation ul.menu ul.sub-menu li.current-menu-item a,
    .btn.btn-primary.outline,
    .button.btn-primary.outline,
    .btn.btn-primary.gradient-outline,
    .button.btn-primary.gradient-outline,
    .btn.btn-white,
    .button.btn-white,
    .btn.btn-white.outline,
    .button.btn-white.outline,
    #payment .payment_methods li.woocommerce-PaymentMethod > input[type=radio]:first-child:checked + label::before,
    #payment .payment_methods li.wc_payment_method > input[type=radio]:first-child:checked + label::before,
    #reviews .commentlist li p.meta .verified::before,
    .gg-vc-quote:before, .gg-vc-quote:after,
    .featured-image-box figure figcaption h4 span,
    .gg-infobox .infobox-title,
    .counter-wrapper .counter-content .counter-title,
    .featured-icon-wrapper .featured-icon-title,
    .timeline-carousel-container .timeline-title span,
    .team-member-box figure figcaption .member-position,
    article .entry-title a:hover,
    .post-social ul li a:hover,
    footer.site-footer .footer-credit ul.footer-social-list li a:hover,
    .woocommerce-password-strength.strong,
    .woocommerce-MyAccount-navigation ul li:hover a,
    .woocommerce-MyAccount-navigation ul li.is-active a,
    .star-rating span::before,
    p.stars:hover a::before,
    p.stars.selected a.active::before,
    p.stars.selected a:not(.active)::before,
    .woocommerce-tabs ul.tabs li:hover a,
    .woocommerce-tabs ul.tabs li.active a,
    .products .product .price,
    .single-product div.product .summary .awards-list td.award-points,
    .single-product div.product p.price,
    .stock.in-stock {
		color: <?php echo esc_html($gg_primary_color); ?>;
	}


	button:hover,
    input[type="button"]:hover,
    input[type="reset"]:hover,
    input[type="submit"]:hover {
      border-color: <?php echo esc_html($gg_primary_color); ?>;
      background: <?php echo esc_html($gg_primary_color); ?>;
    }

    input[type="text"]:focus,
    input[type="email"]:focus,
    input[type="url"]:focus,
    input[type="password"]:focus,
    input[type="search"]:focus,
    input[type="number"]:focus,
    input[type="tel"]:focus,
    input[type="range"]:focus,
    input[type="date"]:focus,
    input[type="month"]:focus,
    input[type="week"]:focus,
    input[type="time"]:focus,
    input[type="datetime"]:focus,
    input[type="datetime-local"]:focus,
    input[type="color"]:focus,
    textarea:focus,
    .btn.btn-primary.outline,
    .button.btn-primary.outline,
    .not_found_wrapper .not_found_box,
    .woocommerce-message,
    .woocommerce-info,
    .woocommerce-error,
    .woocommerce-noreviews,
    p.no-comments {
      border-color: <?php echo esc_html($gg_primary_color); ?>;
    }

    .btn.btn-primary.gradient-outline:before,
    .btn.btn-primary.gradient-outline:after,
    .button.btn-primary.gradient-outline:before,
    .button.btn-primary.gradient-outline:after {
      border-image: linear-gradient(45deg, <?php echo esc_html($gg_primary_color); ?> 0%, #f1f1f1 30%, <?php echo esc_html($gg_primary_color); ?> 100%) 1;
    }
    .btn.btn-primary.gradient-outline:after,
    .button.btn-primary.gradient-outline:after {
      border-image: linear-gradient(45deg, <?php echo esc_html($gg_primary_color); ?> 0%, #f1f1f1 90%, <?php echo esc_html($gg_primary_color); ?> 100%) 1;
    }

    .form-row.woocommerce-validated input.input-text {
      box-shadow-color: <?php echo esc_html($gg_primary_color); ?>;
    }

<?php endif; ?>

<?php
/* Primary color alt */
if ( ($gg_primary_color_alt !='') && ($gg_primary_color_alt != '#000000') ) :
?>	

	.btn.btn-primary.outline:hover,
    .button.btn-primary.outline:hover,
    .btn.btn-secondary.outline,
    .button.btn-secondary.outline {
		border-color: <?php echo esc_html($gg_primary_color_alt); ?>;
    	color: <?php echo esc_html($gg_primary_color_alt); ?>;
	}

	button,
    input[type="button"],
    input[type="reset"],
    input[type="submit"] {
	    background-color: <?php echo esc_html($gg_primary_color_alt); ?>;
	    border-color: <?php echo esc_html($gg_primary_color_alt); ?>;
	}

	.swiper-pagination-black .swiper-pagination-bullet-active,
    .swiper-pagination-progressbar.swiper-pagination-black .swiper-pagination-progressbar-fill,
    .btn.btn-primary:hover,
    .button.btn-primary:hover,
    .btn.btn-secondary,
    .button.btn-secondary,
    .featured-image-box.overlay_style_1 figure,
    .timeline-carousel-container:before,
    .timeline-carousel-container .swiper-button-next,
    .timeline-carousel-container .swiper-button-prev,
    .timeline-list-wrapper .timeline-slide-content,
    footer.site-footer,
    header.site-header .header-searchform.toggled,
    .wc-proceed-to-checkout .button.checkout-button,
    .top-header-cart span,
    .swiper-container-cube .swiper-cube-shadow,
    body.gg-style_4-header .main-navigation .main-menu,
    .mfp-iframe-scaler iframe,
    .swiper-button-prev,
    .swiper-button-next,
    .swiper-pagination-fraction,
    .swiper-pagination-custom,
    .swiper-container-horizontal > .swiper-pagination-bullets,
    .swiper-pagination-progressbar,
    .swiper-container-cube .swiper-cube-shadow {
		background-color: <?php echo esc_html($gg_primary_color_alt); ?>;
	}

    .slick-dots li.slick-active button:before {
        border-color: <?php echo esc_html($gg_primary_color_alt); ?>;
    }

    header.site-header .header-searchform button[type="submit"] svg path {
      stroke: <?php echo esc_html($gg_primary_color_alt); ?>;
    }
	

<?php endif; ?>