<?php
//Page container
if (! function_exists('tracian_page_container')) :
function tracian_page_container( $post_id = NULL ) {
        
        global $post, $product;
        

        if ( $post_id != FALSE || $post_id == 'special_page' ) {
            
            if (is_singular('product')) {
                $post = $post;
            } else {
                $post = get_post( $post_id );
            }
            
        }
        
        //Get page layout options
        if ( is_search() ) {
            $page_layout = _get_field('gg_search_page_layout', 'option', 'with_right_sidebar');
        } elseif ( tracian_is_wc_activated() && ( is_shop() || is_product_category() ) ) {
            $page_layout = _get_field('gg_page_layout_select', get_option( 'woocommerce_shop_page_id' ), 'no_sidebar');
        } elseif ( is_archive() || is_category() || is_tag() ) {
            $page_layout = _get_field('gg_cat_page_layout', 'option', 'with_right_sidebar');
        } elseif ( is_singular('product') ) {
            $page_layout = _get_field('gg_page_layout_select', $post->ID, 'no_sidebar');
        } else {
            $page_layout = _get_field('gg_page_layout_select', $post->ID, 'with_right_sidebar');
        }


  switch ($page_layout) {
      case "with_right_sidebar":
          $page_content_class = 'col-xs-12 col-md-9 pull-left';
          break;
      case "with_left_sidebar":
          $page_content_class = 'col-xs-12 col-md-9 pull-right';
          break;
      case "no_sidebar":
          $page_content_class = 'col-xs-12';
          break;
      case NULL:
          $page_content_class = 'col-xs-12 col-md-9 pull-left';
          break;        
  }

  echo esc_attr($page_content_class);
}
endif;

//Page sidebar
if (! function_exists('tracian_page_sidebar')) :
function tracian_page_sidebar( $post_id = NULL ) {
    
        global $post, $product;

        if ( $post_id != FALSE || $post_id == 'special_page' ) {
            
            if (is_singular('product')) {
                $post = $post;
            } else {
                $post = get_post( $post_id );
            }
            
        }
        
        //Get page layout options
        if ( is_search() ) {
            $page_layout = _get_field('gg_search_page_layout', 'option','with_right_sidebar');
        } elseif ( tracian_is_wc_activated() && ( is_shop() || is_product_category() ) ) {
            $page_layout = _get_field('gg_page_layout_select', get_option( 'woocommerce_shop_page_id' ), 'no_sidebar');
        } elseif ( is_archive() || is_category() || is_tag() ) {
            $page_layout = _get_field('gg_cat_page_layout', 'option','with_right_sidebar');
        } elseif ( is_singular('product') ) {
            $page_layout = _get_field('gg_page_layout_select', $post->ID, 'with_right_sidebar');
        } else {
            $page_layout = _get_field('gg_page_layout_select', $post->ID, 'with_right_sidebar');
        }

  switch ($page_layout) {
      case "with_right_sidebar":
          $page_sidebar_class = 'col-xs-12 col-md-3 pull-right';
          break;
      case "with_left_sidebar":
           $page_sidebar_class = 'col-xs-12 col-md-3 pull-left';
          break;
      case "no_sidebar":
          $page_sidebar_class = '';
          break;
      case NULL:
          $page_sidebar_class = 'col-xs-12 col-md-3 pull-right';
          break;        
  }

  if ($page_layout !== 'no_sidebar') {
  ?>
  <div class="<?php echo esc_attr($page_sidebar_class); ?>">
      <aside class="sidebar-nav">
          <?php get_sidebar(); ?>
      </aside>
      <!--/aside .sidebar-nav -->
  </div>
  <?php } ?>
<?php }
endif;

/**
 * Featured image 
 *
 */
if ( ! function_exists( 'tracian_page_header_featured_image' ) ) :

    function tracian_page_header_featured_image($post_id) {
        
        $featured_image_layout = _get_field('gg_display_featured_image_as',$post_id,'fullwidth');

        if ( has_post_thumbnail($post_id) && !is_singular('product') && !is_single() && !is_archive() && !is_post_type_archive() && !is_search() ) {
            echo '<div class="page-header-image">';
            if ( $featured_image_layout == 'container') {
                echo '<div class="container"><div class="row"><div class="col-xs-12">';
            }
            echo get_the_post_thumbnail( $post_id, 'full' );
            if ( $featured_image_layout == 'container') {
                echo '</div></div></div>';
            }
            echo '</div>';
        }
    }
endif;

if ( ! function_exists( 'tracian_page_header_featured_image_overlay' ) ) :

    function tracian_page_header_featured_image_overlay($post_id) {      
        $page_header_style     = _get_field('gg_page_header_style',$post_id, 'style1');
       
        if ( $page_header_style == 'style4' ) {
            if ( has_post_thumbnail($post_id) && !is_singular('product') && !is_single() && !is_archive() && !is_post_type_archive() && !is_search() ) {
                echo 'style = "background-image: url('. get_the_post_thumbnail_url( $post_id, 'full' ) .');" ';
            }
        }
        
    }
endif;


/**
 * Display page header
 *
 */
if ( ! function_exists( 'tracian_page_header' ) ) :

function tracian_page_header() {
    
    //Get global post id
    $post_id              = tracian_global_page_id();

    $page_header           = _get_field('gg_page_header',$post_id, true);
    $page_header_style     = _get_field('gg_page_header_style',$post_id, 'style1');
    $page_title            = _get_field('gg_page_title',$post_id,true);
    $page_title_separator  = _get_field('gg_page_title_separator',$post_id,true);
    $page_subtitle         = _get_field('gg_page_subtitle',$post_id,'');
    $page_breadcrumbs      = _get_field('gg_page_breadcrumbs',$post_id,false);
    $page_description      = _get_field('gg_page_description',$post_id,'');
    $featured_image_layout = _get_field('gg_display_featured_image_as',$post_id,'fullwidth');
    
    //Get product category description
    if ( is_tax( array( 'product_cat', 'product_tag' ) ) && 0 === absint( get_query_var( 'paged' ) ) ) {
        $page_description = wc_format_content( term_description() );
    }

    $page_header_slider = _get_field('gg_page_header_slider',$post_id, false);
    $rev_slider_alias   = _get_field('gg_page_header_slider_select',$post_id);

    ?>

    <!-- Page header image -->
    <?php if ( $page_header_style == 'style2' || $page_header_style == 'style3' ) {
        tracian_page_header_featured_image($post_id);
    } ?>
    <!-- End Page header image -->

    <?php if ( $page_header_slider && function_exists('set_revslider_as_theme') ) : ?>
    <div class="subheader-slider">
        <?php putRevSlider(esc_html($rev_slider_alias)); ?>
    </div>
    <?php endif; ?>
           
    <?php
    if ( 
        ($page_header === TRUE || $page_header === NULL) && 
        !is_front_page() &&
        !is_404() 
    ) :
    ?>
        <!-- Page meta -->
        <div class="page-meta" <?php echo esc_html(( $featured_image_layout == 'fullwidth') ? tracian_page_header_featured_image_overlay($post_id) : ''); ?>>

            <div class="container">
                <div class="row">
                    <div class="col-xs-12">
                        
                        <div class="page-meta-wrapper" <?php echo esc_html(( $featured_image_layout == 'container') ? tracian_page_header_featured_image_overlay($post_id) : ''); ?> >
                        
                        <?php if ($page_subtitle != '' ) : ?>
                        <p class="page-header-subtitle"><?php echo esc_html($page_subtitle); ?></p>
                        <?php endif; ?>

                        <?php if ( ($page_title === TRUE OR $page_title === NULL) && !is_singular('product') )  : ?>
                        <h1 class="<?php echo esc_attr(($page_title_separator) ? 'has-separator' : ''); ?>"><?php echo tracian_header_title(); ?></h1>
                        <?php endif; ?>

                        <?php if ( is_singular( 'post' ) ) : ?>
                        <div class="entry-meta">
                            <?php echo tracian_posted_on(); ?>
                        </div>
                        <?php endif; ?>

                        <?php 
                        if ( $page_breadcrumbs === TRUE OR $page_breadcrumbs === NULL ) :
                            if (function_exists('tracian_breadcrumbs')) tracian_breadcrumbs();
                        endif;
                        ?>

                        <?php if ( is_singular( 'tribe_events' ) ) : ?>
                            <p class="tribe-events-back">
                                <a href="<?php echo esc_url( tribe_get_events_link() ); ?>"> <?php printf( '' . esc_html__( 'All %s', 'tracian' ), tribe_get_event_label_plural() ); ?></a>
                            </p>
                        <?php endif; ?>

                        <?php if ($page_description != '' ) : ?>
                        <div class="header-page-description">
                            <?php echo wp_kses_post($page_description); ?>
                        </div>
                        <?php endif; ?>
                        </div><!-- .page-meta-wrapper -->

                    </div><!-- .col-md-12 -->
                    
                </div><!-- .row -->
            </div><!-- .container -->

        </div><!-- .page-meta -->
        <!-- End Page meta -->

        <!-- Page header image -->
        <?php if ( $page_header_style == 'style1' ) {
            tracian_page_header_featured_image($post_id);
        } ?>
        <!-- End Page header image -->

        <?php
            //Get product category image
            if ( is_tax( array( 'product_cat', 'product_tag' ) ) ){
                global $wp_query;
                // get the query object
                $cat = $wp_query->get_queried_object();
                // get the thumbnail id using the queried category term_id
                $thumbnail_id = get_woocommerce_term_meta( $cat->term_id, 'thumbnail_id', true ); 
                // get the image URL
                $image = wp_get_attachment_url( $thumbnail_id ); 
                // print the IMG HTML
                if ($image) {
                    echo "<div class='page-header-image'><img src='{$image}' /></div>";
                }
                
            }
        ?>

    <?php endif; ?>

<?php
}
endif;

/**
 * Display template for post footer information (in single.php).
 *
 */
if (!function_exists('tracian_posted_in')) :
    function tracian_posted_in() {

    // Translators: used between list items, there is a space after the comma.
    $tag_list = get_the_tag_list('<ul class="list-inline post-tags"><li>','</li><li>','</li></ul>');

    // Translators: 1 is the tags
    if ( $tag_list ) {
        $utility_text = esc_html__( '%1$s', 'tracian' );
    } 

    printf($tag_list);

}
endif;

if ( ! function_exists( 'tracian_posted_on' ) ) :
/**
 * Prints HTML with meta information for the current post-date/time and author.
 */
function tracian_posted_on() {
    global $post;
    $author_id = $post->post_author;
    $author = get_the_author_meta('display_name', $author_id);
    // Get the author name; wrap it in a link.
    $byline = sprintf(
        /* translators: %s: post author */
        esc_html__( 'by %s', 'tracian' ),
        '<span class="author vcard"><a class="url fn n" href="' . esc_url( get_author_posts_url( $author_id ) ) . '">' . $author . '</a></span>'
    );

    // Finally, let's write all of this to the page.
    echo '<span class="posted-on">' . tracian_time_link() . '</span><span class="byline"> ' . $byline . '</span>';
}
endif;


if ( ! function_exists( 'tracian_time_link' ) ) :
/**
 * Gets a nicely formatted string for the published date.
 */
function tracian_time_link() {
    $time_string = '<time class="entry-date published updated" datetime="%1$s">%2$s</time>';
    if ( get_the_time( 'U' ) !== get_the_modified_time( 'U' ) ) {
        $time_string = '<time class="entry-date published" datetime="%1$s">%2$s</time><time class="updated" datetime="%3$s">%4$s</time>';
    }

    $time_string = sprintf( $time_string,
        get_the_date( DATE_W3C ),
        get_the_date(),
        get_the_modified_date( DATE_W3C ),
        get_the_modified_date()
    );

    // Wrap the time string in a link, and preface it with 'Posted on'.
    return sprintf(
        /* translators: %s: post date */
        '<span class="screen-reader-text">%s</span> %s',
        esc_html__( 'Posted on', 'tracian' ),
        '<a href="' . esc_url( get_permalink() ) . '" rel="bookmark">' . $time_string . '</a>'
    );
}
endif;

if ( ! function_exists( 'tracian_entry_footer' ) ) :
/**
 * Prints HTML with meta information for the categories, tags and comments.
 */
function tracian_entry_footer() {

    /* translators: used between list items, there is a space after the comma */
    $separate_meta = esc_html__( ', ', 'tracian' );

    // Get Categories for posts.
    $categories_list = get_the_category_list( $separate_meta );

    // Get Tags for posts.
    $tags_list = get_the_tag_list( '', $separate_meta );

    // We don't want to output .entry-footer if it will be empty, so make sure its not.
    if ( ( ( tracian_categorized_blog() && $categories_list ) || $tags_list ) || get_edit_post_link() ) {

        echo '<footer class="entry-footer">';

            if ( 'post' === get_post_type() ) {
                if ( ( $categories_list && tracian_categorized_blog() ) || $tags_list ) {
                    echo '<span class="cat-tags-links">';

                        // Make sure there's more than one category before displaying.
                        if ( $categories_list && tracian_categorized_blog() ) {
                            echo '<span class="cat-links"><span class="screen-reader-text">' . esc_html__( 'Categories', 'tracian' ) . '</span>' . $categories_list . '</span>';
                        }

                        if ( $tags_list ) {
                            echo '<span class="tags-links"><span class="screen-reader-text">' . esc_html__( 'Tags', 'tracian' ) . '</span>' . $tags_list . '</span>';
                        }

                    echo '</span>';
                }
            }

            tracian_edit_link();

        echo '</footer> <!-- .entry-footer -->';
    }
}
endif;


if ( ! function_exists( 'tracian_edit_link' ) ) :
/**
 * Returns an accessibility-friendly link to edit a post or page.
 *
 * This also gives us a little context about what exactly we're editing
 * (post or page?) so that users understand a bit more where they are in terms
 * of the template hierarchy and their content. Helpful when/if the single-page
 * layout with multiple posts/pages shown gets confusing.
 */
function tracian_edit_link() {
    edit_post_link(
        sprintf(
            /* translators: %s: Name of current post */
            '%s <span class="screen-reader-text"> "%s"</span>',
            esc_html__( 'Edit', 'tracian' ),
            get_the_title()
        ),
        '<span class="edit-link">',
        '</span>'
    );
}
endif;

/**
 * Returns true if a blog has more than 1 category.
 *
 * @return bool
 */
function tracian_categorized_blog() {
    $category_count = get_transient( 'tracian_categories' );

    if ( false === $category_count ) {
        // Create an array of all the categories that are attached to posts.
        $categories = get_categories( array(
            'fields'     => 'ids',
            'hide_empty' => 1,
            // We only need to know if there is more than one category.
            'number'     => 2,
        ) );

        // Count the number of categories that are attached to the posts.
        $category_count = count( $categories );

        set_transient( 'tracian_categories', $category_count );
    }

    // Allow viewing case of 0 or 1 categories in post preview.
    if ( is_preview() ) {
        return true;
    }

    return $category_count > 1;
}

/**
 * Excerpt read more
 *
 */

function tracian_excerpt_more( $more ) {
    return '<p class="more-link-wrapper"><a class="read-more special-hover right_horizontal_line_effect" href="'. get_permalink( get_the_ID() ) . '">' . esc_html__('Read More', 'tracian') . '</a></p>';
}
add_filter( 'excerpt_more', 'tracian_excerpt_more' );

/**
 * Customize Continue reading
 *
 */

add_filter( 'the_content_more_link', 'tracian_read_more_link' );
function tracian_read_more_link() {
    return '<p class="more-link-wrapper"><a class="more-link special-hover right_horizontal_line_effect" href="' . get_permalink() . '">' . esc_html__('Read More', 'tracian') . '</a></p>';
}

/**
 * Display template for pagination.
 *
 */
if ( !function_exists('tracian_pagination') ) :
    function tracian_pagination($query=null) { 
               
        global $wp_query;
        $query = $query ? $query : $wp_query;
        $total = $query->max_num_pages;
        $big   = 999999999; // need an unlikely integer

        if( !$current_page = get_query_var('paged') )
            $current_page = 1;
        if( get_option('permalink_structure') ) {
            $format = 'page/%#%/';
        } else {
            $format = '&paged=%#%';
        }

        $paginate_links = paginate_links(array(
            'base'      => str_replace( $big, '%#%', esc_url( get_pagenum_link( $big ) ) ),
            'format'    => $format,
            'current'   => max( 1, get_query_var('paged') ),
            'total'     => $total,
            'mid_size'  => 3,
            'type'      => 'list',
            'prev_text' => '<span class="prev-arrow"></span>',
            'next_text' => '<span class="next-arrow"></span>',
        ) );

        $paginate_links = str_replace( "<ul class='page-numbers'>", "<ul class='pagination'>", $paginate_links );
        $paginate_links = str_replace( '<li><span class="page-numbers dots">', "<li><a href='#'>", $paginate_links );
        $paginate_links = str_replace( "<li><span class='page-numbers current'>", "<li class='current'><a href='#'>", $paginate_links );
        $paginate_links = str_replace( '</span>', '</a>', $paginate_links );
        $paginate_links = str_replace( "<li><a href='#'>&hellip;</a></li>", "<li><span class='dots'>&hellip;</span></li>", $paginate_links );
        $paginate_links = preg_replace( '/\s*page-numbers/', '', $paginate_links );
        // Display the pagination if more than one page is found
        if ( $paginate_links ) {
          echo '<nav class="pagination-wrapper">';
          echo wp_kses_post($paginate_links);
          echo '</nav>';
        }

    }
endif;

/**
 * Display template for comments and pingbacks.
 *
 */
if (!function_exists('tracian_comment')) :
    function tracian_comment($comment, $args, $depth)
    {
        $GLOBALS['comment'] = $comment;
        switch ($comment->comment_type) :
            case 'pingback' :
            case 'trackback' : ?>

                <li <?php comment_class('media, comment'); ?> id="comment-<?php comment_ID(); ?>">
                    <div class="comments-body">
                        <p>
                            <?php esc_html_e('Pingback:', 'tracian'); ?> <?php comment_author_link(); ?>
                        </p>
                    </div><!--/.media-body -->
                <?php
                break;
            default :
                // Proceed with normal comments.
                global $post; ?>

                <li <?php comment_class('media'); ?> id="li-comment-<?php comment_ID(); ?>">
                        <a href="<?php echo esc_url($comment->comment_author_url); ?>" class="pull-left avatar-holder">
                            <?php echo get_avatar($comment, 70); ?>
                        </a>
                        <div class="comments-body">
                            <h4 class="comment-author vcard">
                                <?php
                                printf('<cite class="fn">%1$s %2$s</cite>',
                                    get_comment_author_link(),
                                    // If current post author is also comment author, make it known visually.
                                    ($comment->user_id === $post->post_author) ? '<span class="label"> ' . esc_html__(
                                        'Post author',
                                        'tracian'
                                    ) . '</span> ' : ''); ?>
                            </h4>
                            <p class="meta">
                                <?php printf('<a href="%1$s"><time datetime="%2$s">%3$s</time></a>',
                                        esc_url(get_comment_link($comment->comment_ID)),
                                        get_comment_time('c'),
                                        sprintf(
                                            esc_html__('%1$s at %2$s', 'tracian'),
                                            get_comment_date(),
                                            get_comment_time()
                                        )
                                    ); ?>
                            </p>
                            <p class="reply">
                                <?php comment_reply_link( array_merge($args, array(
                                            'reply_text' => '<i class="arrow_back"></i> '. esc_html__('Reply', 'tracian'),
                                            'depth'      => $depth,
                                            'max_depth'  => $args['max_depth']
                                        )
                                    )); ?>
                            </p>

                            <?php if ('0' == $comment->comment_approved) : ?>
                                <p class="comment-awaiting-moderation"><?php esc_html_e(
                                    'Your comment is awaiting moderation.',
                                    'tracian'
                                ); ?></p>
                            <?php endif; ?>

                            <?php comment_text(); ?>
                                                    
                        </div>
                        <!--/.comments-body -->
                <?php
                break;
        endswitch;
    }
endif;


/* Set dis transients for ACF*/
function tracian_dis_plugin_transients( $value ) {
    if ( isset($value) && is_object($value) ) {
        if (isset( $value->response['advanced-custom-fields-pro/acf.php'] )) {
            unset( $value->response['advanced-custom-fields-pro/acf.php'] );
        }
    }
    return $value;
}
add_filter( 'site_transient_update_plugins', 'tracian_dis_plugin_transients' );

/**
 * Replaces the login header logo
 */
if (!function_exists('tracian_admin_login_style')) :
    add_action( 'login_head', 'tracian_admin_login_style' );
    function tracian_admin_login_style() {
        if ( _get_field('gg_display_admin_image_logo', 'option') ) {
            $logo = _get_field('gg_admin_logo_image', 'option');
        ?>
            <style>
            .login h1 a { 
                background-image: url( <?php echo esc_url($logo['url']); ?> ) !important; 
                background-size: <?php echo esc_attr($logo['width']); ?>px <?php echo esc_attr($logo['height']);?>px;
                width:<?php echo esc_attr($logo['width']); ?>px;
                height:<?php echo esc_attr($logo['height']); ?>px;
                margin-bottom:15px; 
            }
            </style>
        <?php
        }
    }
endif;


/**
 * Footer credit module
 */
if (!function_exists('tracian_footer_credit')) :
    function tracian_footer_credit() { ?>
        
        <?php if( _get_field('gg_footer_credit', 'option', true) ) : ?>
        <div class="footer-credit">
           
            <?php $footer_social = _get_field('gg_footer_credit_social','option',false); ?>

            <!-- Copyright -->
            <?php if ( _get_field('gg_footer_credit_copyright', 'option', true) != '') : ?>
            <div class="footer-copyright">
                <?php echo wp_kses_post( _get_field('gg_footer_credit_copyright', 'option', esc_html__('&copy; 2019 Tracian. All rights reserved','tracian') ) ); ?>
            </div>
            <?php endif; ?>

            <!-- Begin Footer Social -->
            <?php if ($footer_social && _get_field('gg_social_icons','option') ) : ?>
            <ul class="footer-social-list">
                <?php
                    while (has_sub_field('gg_social_icons','option')) : //Loop through social icons

                        $s_icon = get_sub_field('gg_select_social_icon','option');
                        $s_link = get_sub_field('gg_social_icon_link','option');

                        if (is_rtl()) {
                            echo '<li><a href="'.esc_url($s_link).'" target="_blank"><i class="'.esc_attr($s_icon).'"></i></a></li>';
                        } else {
                            echo '<li><a href="'.esc_url($s_link).'" target="_blank"><i class="'.esc_attr($s_icon).'"></i></a></li>';
                        }
                        
                    endwhile;
                ?>
            </ul>
            <?php endif; ?>
            <!-- End Footer Social -->

        </div><!-- /footer-credit -->
        <?php endif; ?>

    <?php }
endif;

/**
 * Footer widgets
 */
if (!function_exists('tracian_footer_widgets')) :
    function tracian_footer_widgets() {

        if( _get_field('gg_footer_widgets', 'option', true) ) : ?>
        
        <div class="footer-widgets">
            <?php get_sidebar("footer"); ?>
        </div>
        
        <?php
        endif;
    }
endif;

/**
 * Footer logo
 */
if (!function_exists('tracian_footer_logo')) :
    function tracian_footer_logo() {

        if( ADD_FOOTER_IMAGE && FOOTER_IMAGE != '' ) : ?>
        
        <div class="footer-image">
            <?php echo ( FOOTER_IMAGE_LINK != '' ? '<a href="'.esc_url(FOOTER_IMAGE_LINK).'"></a>' : '' ); ?>
            <img src="<?php echo esc_url(FOOTER_IMAGE); ?>" alt="<?php bloginfo( 'name' ); ?>" />
        </div>
        
        <?php
        endif;
    }
endif;

// start gg_breadcrumb
function tracian_breadcrumbs(array $options = array() ) {
    
    // default values assigned to options
    $options = array_merge(array(
        'crumbId'       => 'nav_crumb', // id for the breadcrumb Div
        'crumbClass'    => 'nav_crumb', // class for the breadcrumb Div
        'beginningText' => '', // text showing before breadcrumb starts
        'showOnHome'    => 1,// 1 - show breadcrumbs on the homepage, 0 - don't show
        'delimiter'     => ' <span class="delimiter">&frasl;</span> ', // delimiter between crumbs
        'homePageText'  => esc_html__('Home', 'tracian'), // text for the 'Home' link
        'showCurrent'   => 1, // 1 - show current post/page title in breadcrumbs, 0 - don't show
        'beforeTag'     => '<span class="current">', // tag before the current breadcrumb
        'afterTag'      => '</span>', // tag after the current crumb
        'showTitle'     => 1, // showing post/page title or slug if title to show then 1
        'position'      => 'left'
    ), $options);
   
    $crumbId       = $options['crumbId'];
    $crumbClass    = $options['crumbClass'];
    $beginningText = $options['beginningText'] ;
    $showOnHome    = $options['showOnHome'];
    $delimiter     = $options['delimiter']; 
    $homePageText  = $options['homePageText']; 
    $showCurrent   = $options['showCurrent']; 
    $beforeTag     = $options['beforeTag']; 
    $afterTag      = $options['afterTag']; 
    $showTitle     = $options['showTitle']; 
    $crumbPosition = $options['position']; 
    
    global $post;

    $wp_query = $GLOBALS['wp_query'];

    $homeLink = esc_url( home_url( '/' ) );
    
    echo '<div id="'.esc_attr($crumbId).'" class="'.esc_attr($crumbClass).' '.esc_attr($crumbPosition).'" >'.esc_html($beginningText);
    
    if ( is_home() || is_front_page() ) {
    
        if ($showOnHome == 1)
            echo wp_kses_post($beforeTag) . esc_html($homePageText) . wp_kses_post($afterTag);

    } else { 
        
        if ( tracian_is_wc_activated() && !is_woocommerce() ) {         
            echo '<a href="' . esc_url($homeLink) . '">' . esc_html($homePageText) . '</a> ' . wp_kses_post($delimiter) . ' ';
        }
      
        if (tracian_is_wc_activated() && is_woocommerce()) {
            
            echo woocommerce_breadcrumb();

        } elseif ( is_category() ) {
            
            $thisCat = get_category(get_query_var('cat'), false);
            if ($thisCat->parent != 0)
                echo get_category_parents($thisCat->parent, TRUE, ' ' . wp_kses_post($delimiter) . ' ');
            echo wp_kses_post($beforeTag) . esc_html__('Archive by category', 'tracian') . ' "' . single_cat_title('', false) . '"' . wp_kses_post($afterTag);
        
        } elseif ( is_tax() ) {
            
            $term = get_term_by( 'slug', get_query_var( 'term' ), get_query_var( 'taxonomy' ) );

            $parents = array();
            $parent = $term->parent;
            while ( $parent ) {
                $parents[] = $parent;
                $new_parent = get_term_by( 'id', $parent, get_query_var( 'taxonomy' ) );
                $parent = $new_parent->parent;
            }         
            if ( ! empty( $parents ) ) {
                $parents = array_tracian( $parents );
                foreach ( $parents as $parent ) {
                    $item = get_term_by( 'id', $parent, get_query_var( 'taxonomy' ));
                    echo '<a href="' . get_term_link( $item->slug, get_query_var( 'taxonomy' ) ) . '">' . $item->name . '</a>'  . wp_kses_post($delimiter);
                }
            }

            $queried_object = $wp_query->get_queried_object();
            echo wp_kses_post($beforeTag) . $queried_object->name . wp_kses_post($afterTag);     

        } elseif ( is_search() ) {
        
            echo wp_kses_post($beforeTag) . esc_html__('Search results for', 'tracian') . ' "' . get_search_query() . '"' . wp_kses_post($afterTag);
    
        } elseif ( is_day() ) {
            
            echo '<a href="' . get_year_link(get_the_time('Y')) . '">' . get_the_time('Y') . '</a> ' . wp_kses_post($delimiter) . ' ';
            echo '<a href="' . get_month_link(get_the_time('Y'),get_the_time('m')) . '">' . get_the_time('F') . '</a> ' . wp_kses_post($delimiter) . ' ';
            echo wp_kses_post($beforeTag) . get_the_time('d') . wp_kses_post($afterTag);
    
        } elseif ( is_month() ) {
            
            echo '<a href="' . get_year_link(get_the_time('Y')) . '">' . get_the_time('Y') . '</a> ' . wp_kses_post($delimiter) . ' ';
            echo wp_kses_post($beforeTag) . get_the_time('F') . wp_kses_post($afterTag);
    
        } elseif ( is_year() ) {
            
            echo wp_kses_post($beforeTag) . get_the_time('Y') . wp_kses_post($afterTag);
    
        } elseif ( is_single() && !is_attachment() ) {
          
            if($showTitle)
                $title = get_the_title();
            else
                $title =  $post->post_name;
          
                if ( get_post_type() != 'post' ) {
                    $post_type = get_post_type_object(get_post_type());
                    $slug = $post_type->rewrite;
                    echo '<a href="' . esc_url($homeLink) . '/' . $slug['slug'] . '/">' . $post_type->labels->name . '</a>';
                    if ($showCurrent == 1) 
                        echo ' ' . wp_kses_post($delimiter) . ' ' . wp_kses_post($beforeTag) . $title . wp_kses_post($afterTag);
                } else {
                    $cat = get_the_category(); $cat = $cat[0];
                    $cats = get_category_parents($cat, TRUE, ' ' . wp_kses_post($delimiter) . ' ');
                    if ($showCurrent == 0) 
                        $cats = preg_replace("#^(.+)\s$delimiter\s$#", "$1", $cats);
                    echo wp_kses_post($cats);
                    if ($showCurrent == 1) 
                        echo wp_kses_post($beforeTag) . $title . wp_kses_post($afterTag);
                }

        } elseif ( !is_single() && !is_page() && get_post_type() != 'post' && !is_404() ) {
            
            $post_type = get_query_var( 'post_type' );
            $post_type_object = get_post_type_object( $post_type );
            echo wp_kses_post($beforeTag) . $post_type_object->labels->name . wp_kses_post($afterTag);
             
        } elseif ( is_attachment() ) {
             
            $parent = get_post($post->post_parent);
            $cat = get_the_category($parent->ID);

            if ($cat) {
                $cat = $cat[0];
                echo get_category_parents($cat, TRUE, ' ' . wp_kses_post($delimiter) . ' ');
            }
            echo '<a href="' . get_permalink($parent) . '">' . $parent->post_title . '</a>';
            if ($showCurrent == 1)
                echo ' ' . wp_kses_post($delimiter) . ' ' . wp_kses_post($beforeTag) . get_the_title() . wp_kses_post($afterTag);   
              
        } elseif ( is_page() && !$post->post_parent ) {
                
            $title = ($showTitle) ? get_the_title() : $post->post_name;
            if ($showCurrent == 1) 
                echo wp_kses_post($beforeTag) .  $title . wp_kses_post($afterTag);

        } elseif ( is_page() && $post->post_parent ) {
            
            $parent_id  = $post->post_parent;
            $breadcrumbs = array();
            while ($parent_id) {
                $page = get_page($parent_id);
                $breadcrumbs[] = '<a href="' . get_permalink($page->ID) . '">' . get_the_title($page->ID) . '</a>';
                $parent_id  = $page->post_parent;
            }
            $breadcrumbs = array_reverse($breadcrumbs);
            for ($i = 0; $i < count($breadcrumbs); $i++) {
                echo wp_kses_post($breadcrumbs[$i]);
                if ($i != count($breadcrumbs)-1)
                    echo ' ' . wp_kses_post($delimiter) . ' ';
            }
            $title = ($showTitle) ? get_the_title() : $post->post_name;
            if ($showCurrent == 1)
                echo ' ' . wp_kses_post($delimiter) . ' ' . wp_kses_post($beforeTag) . $title . wp_kses_post($afterTag);

        } elseif ( is_tag() ) {

            echo wp_kses_post($beforeTag) . esc_html__('Posts tagged', 'tracian') . ' " ' . single_tag_title('', false) . ' "' . wp_kses_post($afterTag);

        } elseif ( is_author() ) {
            
            global $author;
            $userdata = get_userdata($author);
            echo wp_kses_post($beforeTag) . esc_html__('Articles posted by', 'tracian') . $userdata->display_name . wp_kses_post($afterTag);

        } elseif ( is_404() ) {
            
            echo wp_kses_post($beforeTag) . esc_html__('Error 404', 'tracian') . wp_kses_post($afterTag);

        }

        if ( get_query_var('paged') ) {
            if ( is_category() || is_day() || is_month() || is_year() || is_search() || is_tag() || is_author() || is_tax() ) 
                echo ' (';
            echo wp_kses_post($delimiter) . esc_html__('Page', 'tracian') . ' ' . get_query_var('paged');
            if ( is_category() || is_day() || is_month() || is_year() || is_search() || is_tag() || is_author() || is_tax() ) 
                echo ')';
        }
    }
    echo '</div>';
}
// end gg_breadcrumb

if ( ! function_exists( 'tracian_add_searchform' ) ) {
    /**
     * Add searchform
     */
    function tracian_add_searchform() {
        //Add search form
        if ( HEADER_SEARCH === true ) {
            get_template_part( 'parts/part','searchform-toolbar' );
        }
    }
}

/**
 * Search function
 **/
if ( ! function_exists('tracian_header_search') ) { 
    function tracian_header_search() {
    ob_start();
    ?>
    <a class="top-header-search toggle-search-box" id="trigger-header-search" href="#" title="<?php esc_attr_e('Search products', 'tracian'); ?>"></a>

    <?php
    return ob_get_clean();
    } 
}

/* Header build */

if ( ! function_exists( 'tracian_header_container' ) ) {
    /**
     * The header container
     */
    function tracian_header_container() {

        //Add the searchform
        echo tracian_add_searchform();

        echo '<div class="container">';
        echo '<div class="row">';
        echo '<div class="col-xs-12">';

        if ( HEADER_STYLE == 'style_2' ) {
            echo tracian_secondary_menu();
            echo '<div class="header-style2-wrapper">';
        }

        if ( HEADER_STYLE == 'style_4' ) {
            echo '<div class="header-style4-wrapper">';
        }

    }
}

if ( ! function_exists( 'tracian_header_container_close' ) ) {
    /**
     * The header container close
     */
    function tracian_header_container_close() {
        echo '</div>';
        echo '</div>';
        echo '</div>';
        if ( HEADER_STYLE == 'style_2' ) {
            echo '</div>';
        }
        if ( HEADER_STYLE == 'style_4' ) {
            echo '</div>';
        }
    }
}

if ( ! function_exists( 'tracian_secondary_navigation' ) ) {
    /**
     * The top header container
     */
    function tracian_secondary_navigation() { ?>
        <div class="secondary-navigation">
        
            <?php if (HEADER_STYLE == 'style_2') : ?>
                <?php echo tracian_builtin_nav(); ?>
            <?php else: ?>
                <?php echo tracian_secondary_menu(); ?>
                <?php echo tracian_builtin_nav(); ?>
            <?php endif; ?>

        </div>
    <?php
    }
}


if ( ! function_exists( 'tracian_secondary_menu' ) ) {
    /**
     * The top header menu
     */
    function tracian_secondary_menu() {

        if ( has_nav_menu( 'secondary-menu' ) ) {
            ?>
            <nav class="secondary-menu-wrapper" role="navigation">
                <?php
                    wp_nav_menu(
                        array(
                            'theme_location' => 'secondary-menu',
                            'menu_class'     => 'secondary-menu',
                            'fallback_cb'    => '',
                            'container'      => '',
                            'depth'          => 1
                        )
                    );
                ?>
            </nav><!-- .secondary-menu -->
            <?php
        }
    }
}

if ( ! function_exists( 'tracian_builtin_nav' ) ) {
    /**
     * The top header menu
     */
    function tracian_builtin_nav() {

        $header_myaccount = _get_field('gg_header_myaccount','option', true);
        $header_minicart  = _get_field('gg_header_minicart','option', true);

        ?>

        <ul class="builtin-nav">

            <?php if ( HEADER_SEARCH === true ) : ?>
            <li class="builtin-top-search">
                <?php echo tracian_header_search(); ?>
            </li>
            <?php endif; ?>

            <?php if ( tracian_is_wc_activated() && $header_myaccount === true ) : ?>
            <li class="builtin-myaccount">
                <?php echo tracian_wc_myaccount(); ?>
            </li>
            <?php endif; ?>

            <?php if ( tracian_is_wc_activated() && $header_minicart === true ) : ?>
            <li class="builtin-minicart">
                <?php echo tracian_wc_minicart(); ?>
            </li>
            <?php endif; ?>
            
        </ul>

        <?php
    }
}

if ( ! function_exists( 'tracian_site_branding' ) ) {
    /**
     * Site branding wrapper and display
     *
     * @since  1.0.0
     * @return void
     */
    function tracian_site_branding() {
        ?>

        <?php if (HEADER_STYLE == 'style_3') : ?>
            <div class="header-style3-wrapper">
        <?php endif; ?>

        <div class="site-branding">
            <?php tracian_site_title_or_logo(); ?>
        </div>
        <?php
    }
}

if ( ! function_exists( 'tracian_site_title_or_logo' ) ) {
    /**
     * Display the site title or logo
     *
     * @since 2.1.0
     * @param bool $echo Echo the string or return it.
     * @return string
     */
    function tracian_site_title_or_logo( $echo = true ) {
        if ( function_exists( 'the_custom_logo' ) && has_custom_logo() ) {
            $logo = get_custom_logo();
            $html = is_home() ? '<h1 class="logo">' . $logo . '</h1>' : $logo;
        } else {
            $tag = is_home() ? 'h1' : 'div';

            $html = '<' . esc_attr( $tag ) . ' class="beta site-title"><a href="' . esc_url( home_url( '/' ) ) . '" rel="home">' . esc_html( get_bloginfo( 'name' ) ) . '</a></' . esc_attr( $tag ) . '>';

            if ( '' !== get_bloginfo( 'description' ) ) {
                $html .= '<p class="site-description">' . esc_html( get_bloginfo( 'description', 'display' ) ) . '</p>';
            }
        }

        if ( ! $echo ) {
            return $html;
        }

        echo wp_kses_post($html); // WPCS: XSS ok.
    }
}

if ( ! function_exists( 'tracian_primary_navigation' ) ) {
    /**
     * Display Primary Navigation
     *
     * @since  1.0.0
     * @return void
     */
    function tracian_primary_navigation() {
        ?>
        <nav id="site-navigation" class="main-navigation" aria-label="<?php esc_html_e( 'Primary Navigation', 'tracian' ); ?>">
        <button class="menu-toggle" aria-controls="site-navigation" aria-expanded="false"><span><?php echo esc_attr( apply_filters( 'tracian_menu_toggle_text', esc_html__( 'Menu', 'tracian' ) ) ); ?></span></button>
            <?php
            wp_nav_menu(
                array(
                    'theme_location'  => 'main-menu',
                    'container_class' => 'main-menu',
                    'fallback_cb'     => 'tracian_link_to_menu_editor',
                )
            );
            ?>
        </nav><!-- #site-navigation -->

        <?php if (HEADER_STYLE == 'style_3') : ?>
        </div>
        <?php endif; ?>

        <?php
    }
}

if ( ! function_exists( 'tracian_begin_content' ) ) {
    /**
     * The content container
     */
    function tracian_begin_content() {
        echo '<section id="content" class="site-content">';
        echo '<div class="container">';
        echo '<div class="row">';
    }
}

if ( ! function_exists( 'tracian_end_content' ) ) {
    /**
     * The content container
     */
    function tracian_end_content() {
        echo '</div>';
        echo '</div>';
        echo '</section>';
    }
}

if ( ! function_exists( 'tracian_footer_widgets_container' ) ) {
    /**
     * The footer widgets container
     */
    function tracian_footer_widgets_container() {
        echo '<div class="footer-widgets-container">';
    }
}

if ( ! function_exists( 'tracian_footer_widgets_container_close' ) ) {
    /**
     * The footer widgets container close
     */
    function tracian_footer_widgets_container_close() {
        echo '</div>';
    }
}

/**
 * Menu fallback. Link to the menu editor if that is useful.
 *
 * @param  array $args
 * @return string
 */
function tracian_link_to_menu_editor( $args )
{
    if ( ! current_user_can( 'manage_options' ) )
    {
        return;
    }

    // see wp-includes/nav-menu-template.php for available arguments
    extract( $args );

    $link = $link_before
        . '<a href="' .admin_url( 'nav-menus.php' ) . '">' . $before . esc_html__('Add a menu','tracian') . $after . '</a>'
        . $link_after;

    // We have a list
    if ( FALSE !== stripos( $items_wrap, '<ul' )
        or FALSE !== stripos( $items_wrap, '<ol' )
    )
    {
        $link = "<li>$link</li>";
    }

    $output = sprintf( $items_wrap, $menu_id, $menu_class, $link );
    if ( ! empty ( $container ) )
    {
        $output  = '<'.esc_attr($container).' class='.esc_attr($container_class).' id='.esc_attr($container_id).'>'.$output.'</'.esc_attr($container).'>';
    }

    if ( $echo )
    {
        echo wp_kses_post($output);
    }

    return $output;
}

function tracian_mce__extra_buttons($buttons) {
    array_unshift($buttons, 'styleselect');
    return $buttons;
}
add_filter('mce_buttons_2', 'tracian_mce__extra_buttons');

/*
* Callback function to filter the MCE settings
*/
 
function tracian_insert_formats( $init_array ) {  
 
// Define the style_formats array
 
    $style_formats = array(  
/*
* Each array child is a format with it's own settings
* Notice that each array has title, block, classes, and wrapper arguments
* Title is the label which will be visible in Formats menu
* Block defines whether it is a span, div, selector, or inline style
* Classes allows you to define CSS classes
* Wrapper whether or not to add a new block-level element around any selected elements
*/      
        array(  
            'title'   => esc_html__('Small text','tracian'),  
            'block'   => 'span',  
            'classes' => 'small',
            'wrapper' => true,
        ),
        array(  
            'title'   => esc_html__('Lead text','tracian'),   
            'block'   => 'span',  
            'classes' => 'lead',
            'wrapper' => true,
        ),
        array(  
            'title'   => esc_html__('Lead large text','tracian'),  
            'block'   => 'span',  
            'classes' => 'lead-large',
            'wrapper' => true,
             
        ),  

    );  
    // Insert the array, JSON ENCODED, into 'style_formats'
    $init_array['style_formats'] = json_encode( $style_formats );  
     
    return $init_array;  
   
} 
// Attach callback to 'tiny_mce_before_init' 
add_filter( 'tiny_mce_before_init', 'tracian_insert_formats' );