<?php
/**
 * Tracian WooCommerce hooks
 *
 * @package tracian
 */

/**
 * Product loop hooks
 */

// Wrap product image
remove_action( 'woocommerce_before_shop_loop_item', 'woocommerce_template_loop_product_link_open', 10);
remove_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_product_link_close', 5);

add_action( 'woocommerce_before_shop_loop_item_title', 'tracian_open_product_image_wrap', 5, 2);
add_action( 'woocommerce_before_shop_loop_item_title', 'tracian_close_product_image_wrap', 13, 2);

// Wrap product meta
add_action( 'woocommerce_before_shop_loop_item_title','woocommerce_template_loop_product_link_open',6,2);
add_action( 'woocommerce_before_shop_loop_item_title','woocommerce_template_loop_product_link_close',11,2);

add_action( 'woocommerce_before_shop_loop_item_title', 'tracian_open_product_meta_wrap', 15, 2);
add_action( 'woocommerce_after_shop_loop_item', 'tracian_close_product_meta_wrap', 15, 2);

// Add permalink to title
remove_action( 'woocommerce_shop_loop_item_title','woocommerce_template_loop_product_title', 10 );
add_action('woocommerce_shop_loop_item_title', 'tracian_add_permalink_to_title', 10 );

// Move the add to cart button in the image wrapper - for overlay effect
remove_action( 'woocommerce_after_shop_loop_item','woocommerce_template_loop_add_to_cart',10);
add_action( 'woocommerce_before_shop_loop_item_title','woocommerce_template_loop_add_to_cart',12,2);


/**
 * Product single hooks
 */

//Wrap the product image gallery and summary in a scrolling div
add_action( 'woocommerce_before_single_product_summary','tracian_open_scrolly_div',0);
add_action( 'woocommerce_single_product_summary','tracian_close_scrolly_div',100);

// Move the tabs in product summary
remove_action( 'woocommerce_after_single_product_summary','woocommerce_output_product_data_tabs',10);
add_action( 'woocommerce_single_product_summary','woocommerce_output_product_data_tabs',70);

//Move product meta under tabs (in product summary)
remove_action( 'woocommerce_single_product_summary','woocommerce_template_single_meta',40);
add_action( 'woocommerce_single_product_summary','woocommerce_template_single_meta',80);
add_action( 'woocommerce_single_product_summary','woocommerce_template_single_sharing',80);

//Remove Description tab
add_filter( 'woocommerce_product_tabs', 'tracian_remove_description_tab', 98 );
//Move product description before upsells
add_action( 'woocommerce_after_single_product_summary', 'tracian_product_description', 12 );

//Remove description tab title
add_filter( 'woocommerce_product_description_heading', '__return_empty_string');
add_filter( 'woocommerce_product_additional_information_heading', '__return_empty_string' );
add_filter( 'woocommerce_product_reviews_heading', '__return_empty_string' );

//Rename additional information tab
add_filter( 'woocommerce_product_tabs', 'tracian_rename_additional_information_tab', 98 );

// Move price under short descrition
remove_action( 'woocommerce_single_product_summary','woocommerce_template_single_price',10);
add_action( 'woocommerce_single_product_summary','woocommerce_template_single_price',25);

//Add product category on top of the product title
add_action( 'woocommerce_single_product_summary','tracian_category_on_title', 4 );

//Add Factsheet PDF download link under tabs
add_action( 'woocommerce_single_product_summary','tracian_product_factsheet_link',75);

//Add awards after title
add_action( 'woocommerce_single_product_summary','tracian_product_awards',6);

/**
 * My Account page hooks
 */
add_action( 'woocommerce_account_navigation', 'tracian_open_my_account_wrapper', 0 );
add_action( 'woocommerce_account_content', 'tracian_close_my_account_wrapper' );

/**
 * Remove product category description - its included in page_header function
 **/
remove_action( 'woocommerce_archive_description', 'woocommerce_taxonomy_archive_description', 10 );