<?php
/**
 * The default template for displaying content. Used for both single and index/archive/search.
 *
 * @package WordPress
 * @subpackage tracian
 */
?>

<?php
    $blog_read_more    = _get_field('gg_blog_show_read_more','option', false);
    $blog_post_content = _get_field('gg_blog_post_content','option', 'show_content'); 
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>	

		<?php if ( '' !== get_the_post_thumbnail() && ! is_single() ) : ?>
        <div class="post-thumbnail">
            <a href="<?php the_permalink(); ?>">
                <?php the_post_thumbnail(); ?>
            </a>
        </div><!-- .post-thumbnail -->
        <?php endif; ?>

        <div class="post-content-wrapper">

        <?php if ( ! is_single() ) : ?>
        <header class="entry-header">
            <?php
            if ( 'post' === get_post_type() ) {
                echo '<div class="entry-meta">'.tracian_time_link().'</div><!-- .entry-meta -->';
            };
                the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
            ?>
        </header><!-- .entry-header -->

        <?php if ( $blog_post_content == 'show_content' ) : ?>
            <div class="entry-content">
                <?php
                /* translators: %s: Name of current post */
                the_content( sprintf(
                    esc_html__( 'Continue reading %s', 'tracian' ),
                    the_title( '<span class="screen-reader-text">', '</span>', false )
                ) );
                ?>
            </div><!-- .entry-content -->
        <?php elseif ( has_excerpt() && $blog_post_content == 'show_excerpt' ): ?>
            <div class="entry-summary">
                <?php the_excerpt(); ?>
            </div><!-- .entry-summary -->
        <?php endif; ?>

        <?php if ( $blog_read_more ) : ?>
            <div class="entry-read-more">
                <a class="more-link special-hover right_horizontal_line_effect" href="<?php echo get_permalink(); ?>"><?php esc_html_e('Read more', 'tracian'); ?></a>
            </div>
        <?php endif; ?>

        

        <?php else : ?>

        <?php if ( '' !== get_the_post_thumbnail() ) : ?>
        <div class="post-thumbnail">
            <?php the_post_thumbnail(); ?>
        </div><!-- .post-thumbnail -->
        <?php endif; ?>

		<div class="entry-content">
			<?php
			/* translators: %s: Name of current post */
			the_content( sprintf(
				esc_html__( 'Continue reading %s', 'tracian' ),
				the_title( '<span class="screen-reader-text">', '</span>', false )
			) );

			wp_link_pages( array(
				'before'      => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages:', 'tracian' ) . '</span>',
				'after'       => '</div>',
				'link_before' => '<span>',
				'link_after'  => '</span>',
				'pagelink'    => '<span class="screen-reader-text">' . esc_html__( 'Page', 'tracian' ) . ' </span>%',
				'separator'   => '<span class="screen-reader-text">, </span>',
			) );
		?>
		</div><!-- .entry-content -->
        <?php endif; ?>

        </div>

		<?php
        if ( is_single() ) {
            tracian_entry_footer();
        }
        ?>


</article><!-- article -->
