<?php
/**
 * The dynamically generated footer sidebar
 */
?>

<?php 
// count the active widgets to determine column sizes
$footerwidgets = is_active_sidebar('sidebar-footer-first') + is_active_sidebar('sidebar-footer-second') + is_active_sidebar('sidebar-footer-third');

switch ($footerwidgets) {
    case '1':
        $footergrid = "col-xs-12 col-sm-12 col-md-12";
        break;
    case '2':
        $footergrid = "col-xs-12 col-sm-6 col-md-6";
        break;
    case '3':
        $footergrid = "col-xs-12 col-sm-4 col-md-4";
        break;
    
    default:
        $footergrid = "col-xs-12 col-sm-4 col-md-4";
        break;
}

?>

<?php if ($footerwidgets) : ?>

<div class="row">	

	<?php if (is_active_sidebar('sidebar-footer-first')) : ?>
	<div class="<?php echo esc_attr($footergrid);?>">
		<?php dynamic_sidebar('sidebar-footer-first'); ?>
	</div>
	<?php endif;?>

	<?php if (is_active_sidebar('sidebar-footer-second')) : ?>
	<div class="<?php echo esc_attr($footergrid);?>">
		  <?php dynamic_sidebar('sidebar-footer-second'); ?>
	</div>
	<?php endif;?>

	<?php if (is_active_sidebar('sidebar-footer-third')) : ?>
	<div class="<?php echo esc_attr($footergrid);?>">
		  <?php dynamic_sidebar('sidebar-footer-third'); ?>
	</div>
	<?php endif;?>

</div>

<?php endif;?>