<?php
/**
 * Template Name: Blog page
 *
 * @package WordPress
 * @subpackage tracian
 */
get_header(); ?>

<?php
$blog_layout       = _get_field('gg_blog_layout','','fitRows');
$blog_layout_style = _get_field('gg_blog_layout_style','','gap');
$blog_columns      = _get_field('gg_blog_columns','',1);
$blog_no_posts     = _get_field('gg_blog_no_of_posts_to_show','',5);
$blog_pagination   = _get_field('gg_blog_pagination','','numbered');

global $more;

// WP_Query arguments
$paged = ( get_query_var('paged') ) ? get_query_var('paged') : 1;
$args = array (
    'post_type'              => 'post',
    'posts_per_page'         => $blog_no_posts,
    'paged' => $paged
);
// The Query
$blog_query = new WP_Query( $args );
?>

<section id="content">
    <div class="container">
        <div class="row">
            <div class="<?php tracian_page_container(); ?>">

                <div class="gg_posts_grid">
                    <?php if ( $blog_query->have_posts() ) : ?>
                        <ul class="el-grid" data-layout-mode="<?php echo esc_attr($blog_layout); ?>" data-gap="<?php echo esc_attr($blog_layout_style); ?>" data-pagination="<?php echo esc_attr($blog_pagination); ?>" data-columns="<?php echo esc_attr($blog_columns); ?>">
                        <?php while ( $blog_query->have_posts() ) : $blog_query->the_post(); $more = 0; ?>
                            <li class="isotope-item col-xs-6 col-md-<?php echo esc_attr(floor( 12 / $blog_columns )); ?>">
                                <?php get_template_part( 'parts/post-formats/part', get_post_format() ); ?>
                            </li>
                        <?php endwhile; ?>
                        </ul>

                        <?php if ( function_exists("tracian_pagination") ) {
                            tracian_pagination($blog_query);
                        } ?>

                    <?php 
                    // clean up after the query and pagination
                    wp_reset_postdata(); 
                    ?>

                    <?php else : ?>

                        <?php get_template_part( 'parts/post-formats/part', 'none' ); ?>

                    <?php endif; // end have_posts() check ?>
                </div><!--/ .gg_posts_grid-->
        
            </div><!-- end page container -->
            <?php tracian_page_sidebar(); ?>

        </div><!-- .row -->
    </div><!-- .container -->    
</section>
<?php get_footer(); ?>