<?php
/**
 * Get tax term slug
 */
if (!function_exists('tracian_shortcodes_tax_terms_slug')) :
	function tracian_shortcodes_tax_terms_slug($taxonomy) {
		global $post, $post_id;
		$return = '';
		// get post by post id
		$post = get_post($post->ID);
		// get post type by post
		$post_type = $post->post_type;
		// get post type taxonomies
		$terms = get_the_terms( $post->ID, $taxonomy );
		if ( !empty( $terms ) ) {
			$out = array();
			foreach ( $terms as $term )
				$out[] = 'grid-cat-' . $term->slug;
			$return = join( ' ', $out );
		}
		return $return;
	}
endif;

/**
 * Minify CSS
 *
 * @since 1.0.0
 */
if ( ! function_exists( 'tracian_minify_css' ) ) {

    function tracian_minify_css( $css = '' ) {

        // Return if no CSS
        if ( ! $css ) return;

        // Normalize whitespace
        $css = preg_replace( '/\s+/', ' ', $css );

        // Remove ; before }
        $css = preg_replace( '/;(?=\s*})/', '', $css );

        // Remove space after , : ; { } */ >
        $css = preg_replace( '/(,|:|;|\{|}|\*\/|>) /', '$1', $css );

        // Remove space before , ; { }
        $css = preg_replace( '/ (,|;|\{|})/', '$1', $css );

        // Strips leading 0 on decimal values (converts 0.5px into .5px)
        $css = preg_replace( '/(:| )0\.([0-9]+)(%|em|ex|px|in|cm|mm|pt|pc)/i', '${1}.${2}${3}', $css );

        // Strips units if value is 0 (converts 0px to 0)
        $css = preg_replace( '/(:| )(\.?)0(%|em|ex|px|in|cm|mm|pt|pc)/i', '${1}0', $css );

        // Trim
        $css = trim( $css );

        // Return minified CSS
        return $css;
        
    }

}

/**
 * Minify JS
 *
 * @since 1.1.0
 */
if ( ! function_exists( 'tracian_minify_js' ) ) {

    function tracian_minify_js( $js = '' ) {

        // Return if no JS
        if ( ! $js ) return;

        $replace = array(
            '#\'([^\n\']*?)/\*([^\n\']*)\'#'    => "'\1/'+\'\'+'*\2'",  // remove comments from ' strings
            '#\"([^\n\"]*?)/\*([^\n\"]*)\"#'    => '"\1/"+\'\'+"*\2"',  // remove comments from " strings
            '#/\*.*?\*/#s'                      => "",                  // strip C style comments
            '#[\r\n]+#'                         => "\n",                // remove blank lines and \r's
            '#\n([ \t]*//.*?\n)*#s'             => "\n",                // strip line comments (whole line only)
            '#([^\\])//([^\'"\n]*)\n#s'         => "\\1\n",             // strip line comments
            '#\n\s+#'                           => "\n",                // strip excess whitespace
            '#\s+\n#'                           => "\n",                // strip excess whitespace
            '#(//[^\n]*\n)#s'                   => "\\1\n",             // extra line feed after any comments left
            '#/([\'"])\+\'\'\+([\'"])\*#'       => "/*"                 // restore comments in strings
        );

        $search = array_keys( $replace );
        $script = preg_replace( $search, $replace, $js );

        $replace = array(
            "&&\n" => "&&",
            "||\n" => "||",
            "(\n"  => "(",
            ")\n"  => ")",
            "[\n"  => "[",
            "]\n"  => "]",
            "+\n"  => "+",
            ",\n"  => ",",
            "?\n"  => "?",
            ":\n"  => ":",
            ";\n"  => ";",
            "{\n"  => "{",
            "\n]"  => "]",
            "\n)"  => ")",
            "\n}"  => "}",
            "\n\n" => "\n"
        );

        $search = array_keys( $replace );
        $script = str_replace( $search, $replace, $script );

        // Return minified JS
        return trim( $script );

    }

}