<?php
/*
Plugin Name: OKThemes Tracian Shortcodes
Plugin URI: http://www.okthemes.com
Description: Custom shortcodes for Tracian theme
Version: 1.6
Author: Gogoneata Cristian
Author URI: http://okthemes.com/
License: GPLv2
*/

// Do not load this file directly!
if ( ! defined( 'ABSPATH' ) ) {
    die( '-1' );
}

function test_vc_map_dependencies() {
    if ( ! defined( 'WPB_VC_VERSION' ) ) {
        $plugin_data = get_plugin_data(__FILE__);
        echo '
        <div class="updated">
          <p>'.sprintf(__('<strong>%s</strong> requires <strong><a href="http://bit.ly/vcomposer" target="_blank">Visual Composer</a></strong> plugin to be installed and activated on your site.', 'vc_extend'), $plugin_data['Name']).'</p>
        </div>';
    }
}
add_action( 'admin_notices', 'test_vc_map_dependencies' );

if(!defined('TRACIAN_SHORTCODES_VERSION')) 
	define( 'TRACIAN_SHORTCODES_VERSION', '1.6' );
if(!defined('TRACIAN_SHORTCODES_PATH')) 
	define( 'TRACIAN_SHORTCODES_PATH', plugin_dir_path(__FILE__) );
if(!defined('TRACIAN_SHORTCODES_DIR')) 
	define( 'TRACIAN_SHORTCODES_DIR', plugin_dir_url(__FILE__) );

load_plugin_textdomain( 'tracian-shortcodes', false, dirname( plugin_basename( __FILE__ ) ) . '/languages/' );

//Include each file from the visualcomposer directory
foreach (glob(TRACIAN_SHORTCODES_PATH.'/widgets/'."*.php") as $filename) {
    require_once $filename;
}

// Do not proceed if VC class WPBakeryShortCode does not exists
if ( ! class_exists( 'WPBakeryShortCode' ) ) {
    return;
}

//Include each file from the visualcomposer directory
foreach (glob(TRACIAN_SHORTCODES_PATH.'/shortcodes/'."*.php") as $filename) {
    require_once $filename;
}

//Include functions file
require_once TRACIAN_SHORTCODES_PATH . 'functions.php';
