<?php
if ( ! class_exists( 'WPBakeryShortCode_gg_blockquote' ) ) {
	
	class WPBakeryShortCode_gg_blockquote extends WPBakeryShortCode {

		public function __construct() {  
			add_shortcode('blockquote', array($this, 'gg_blockquote'));  
		}

		public function gg_blockquote( $atts, $content = null ) { 

			$output = $quote = $quote_color_style = $quote_color = $author_cls = '';
			extract(shortcode_atts(array(
                    'quote'           => '',
                    'author'          => '',
                    'quote_color'     => '',
                    'quote_font_size' => '',
                    'css_animation'   => '',
                    'css'             => '',
			), $atts));

            $css_class = $this->getCSSAnimation($css_animation);
            $css_class .= $quote_font_size;

			if ($quote_color != '') {
				$quote_color_style = 'style="color: '.$quote_color.';"';
			}

			if ($author == '') {
				$author_cls = ' without_author';
			}

			$output .= "\n\t".'<blockquote '.$quote_color_style.' class="gg-vc-quote '.$author_cls.' ' . esc_attr($css_class) . ' ' . esc_attr( trim( vc_shortcode_custom_css_class( $css ) ) ) . '">';
			$output .= "\n\t".$quote;
            if ($author) {
                $output .= "\n\t".'<cite>'.$author.'</cite>';
            }
			$output .= "\n\t".'</blockquote>';

			return $output;
		}
		
	}// END class WPBakeryShortCode_gg_blockquote

	$WPBakeryShortCode_gg_blockquote = new WPBakeryShortCode_gg_blockquote();

}// END if ( ! class_exists( 'WPBakeryShortCode_gg_blockquote' ) ) {


if ( function_exists( 'vc_map' ) ) {

	vc_map( array(
		 "name" => esc_html__("Blockquote", "tracian-shortcodes"),
		 "description" => esc_html__('Display a blockquote.', 'tracian-shortcodes'),
		 "base" => "blockquote",
		 "icon"              => "gg_vc_icon",
		 'admin_enqueue_css' => array(TRACIAN_SHORTCODES_DIR . '/shortcodes/css/styles.css'),
		 'admin_enqueue_js' => array(TRACIAN_SHORTCODES_DIR . '/shortcodes/js/custom-vc.js'),
		 "category" => esc_html__('Tracian', 'tracian-shortcodes'),
		 "params" => array(
				array(
					"type" => "textarea",
					"heading" => esc_html__("Quote", "tracian-shortcodes"),
					"param_name" => "quote",
					"admin_label" => true,
				),
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Author", "tracian-shortcodes"),
                    "param_name" => "author",
                    "admin_label" => true,
                ),
				array(
					"type" => "colorpicker",
					"heading" => esc_html__("Quote color", "tracian-shortcodes"),
					"param_name" => "quote_color"
				),
                array(
                    "type" => "dropdown",
                    "heading" => esc_html__("Quote font size", "tracian-shortcodes"),
                    "param_name" => "quote_font_size",
                    "value" => array(
                        esc_html__("Large", "tracian-shortcodes") => "font_size_large",
                        esc_html__("Normal", "tracian-shortcodes") => "font_size_normal",
                        esc_html__("Small", "tracian-shortcodes") => "font_size_small"
                    ),
                ),                


				$add_css_animation,
                array(
                    'type'       => 'css_editor',
                    'heading'    => __( 'CSS box', 'tracian-shortcodes' ),
                    'param_name' => 'css',
                    'group'      => __( 'Design Options', 'tracian-shortcodes' ),
                ),
		 ),
	) );
}

?>