<?php
if ( ! class_exists( 'WPBakeryShortCode_gg_counter' ) ) {

	class WPBakeryShortCode_gg_counter extends WPBakeryShortCode {

		public function __construct() {  
			add_shortcode('counter', array($this, 'gg_counter'));  
		}


		public function gg_counter( $atts, $content = null ) { 

			$output = $type = $icon_fontawesome = $icon_openiconic = $icon_typicons = $icon_entypoicons = $icon_linecons = $title = $subtitle = $counter_style = '';
			extract(shortcode_atts(array(
                'title'            => '',
                'subtitle'         => '',
                'align'            => 'text-align-left',
                'number'           => '',
                'font_size'        => '60',
                'font_color'       => '',
                'interval'         => '100',
                'speed'            => '1500',
                'size'             => '',
                'add_icon'         => '',
                'title_color'      => '',
                'subtitle_color'   => '',
                'icon_color'       => '',
                'type'             => 'fontawesome',
                'icon_fontawesome' => 'fa fa-adjust',
                'icon_openiconic'  => '',
                'icon_typicons'    => '',
                'icon_entypoicons' => '',
                'icon_linecons'    => '',
                'icon_entypo'      => '',
                'el_class'         => '',
                'css_animation'    => '',
                'css'              => ''
			), $atts));

            $css_class = $this->getCSSAnimation($css_animation);
            //Add classes
            $css_class .= ' ' . $align;

			wp_enqueue_script('waypoints');

			// Enqueue needed icon font.
			vc_icon_element_fonts_enqueue( $type );
			$iconClass = isset( ${"icon_" . $type} ) ? esc_attr( ${"icon_" . $type} ) : 'fa fa-adjust';

            if($css_animation != ""){
                $clsss_css_animation =  " wpb_animate_when_almost_visible wpb_start_animation wpb_" . $css_animation;
            } else {
                $clsss_css_animation =  "";
            }
		
            if ($font_size != '') {
                $counter_style .= ' font-size:'.$font_size.'px;';
            }

            if ($font_color != '') {
                $counter_style .= ' color:'.$font_color.';';
            }

            if ($title_color != "") {
                $title_color = 'style="color:'.$title_color.'"';  
            }
		
			$output  = "\n\t".'<div class="counter-wrapper '.$css_class.' '.$clsss_css_animation.' ' . esc_attr( trim( vc_shortcode_custom_css_class( $css ) ) ) . '">';

            if ($add_icon == 'use_icon') {
                $output .= "\n\t".'<div class="vc_icon_element vc_icon_element-outer vc_icon_element-align-'.esc_attr( $align ).'">';
                $output .= "\n\t".'<div class="vc_icon_element-inner vc_icon_element-size-'.esc_attr( $size ).'">';
                $output .= "\n\t".'<span class="vc_icon_element-icon '.esc_attr( $iconClass ).'" '.( $icon_color != '' ? 'style="color:' . esc_attr( $icon_color ) . ' !important"' : '' ).'></span>';
                $output .= "\n\t".'</div></div>';
            }

            $output .= "\n\t\t\t".'<div class="counter-content">';
            $output .= "\n\t\t\t\t".'<span style="'.$counter_style.'" class="counter" data-number="'.$number.'" data-interval="'.$interval.'" data-speed="'.$speed.'">'.$number.'</span>';
            $output .= "\n\t\t\t\t".'<span class="counter-title" '.$title_color.'>'.$title.'</span>';
            $output .= "\n\t\t\t".'</div>';
            $output .= "\n\t".'</div> ';

            return $output;
			 
		}

	}// END class WPBakeryShortCode_gg_counter

	$WPBakeryShortCode_gg_counter = new WPBakeryShortCode_gg_counter();

}// END if ( ! class_exists( 'WPBakeryShortCode_gg_counter' ) ) { 

if ( function_exists( 'vc_map' ) ) {

vc_map( array(
   "name"              => esc_html__("Counter","tracian-shortcodes"),
   "description"       => esc_html__('A counter from 0 to a specified number.', 'tracian-shortcodes'),
   "base"              => "counter",
   "icon"              => "gg_vc_icon",
   "weight"            => -50,
   'admin_enqueue_css' => array(TRACIAN_SHORTCODES_DIR . '/shortcodes/css/styles.css'),
   "category"          => esc_html__('Tracian', 'tracian-shortcodes'),
   "params" => array(
        array(
            "type"             => "textfield",
            "heading"          => esc_html__("Title","tracian-shortcodes"),
            "param_name"       => "title",
            "admin_label"      => true,
            "edit_field_class" => "vc_col-sm-8 vc_column",
        ),
        array(
            "type"             => "colorpicker",
            "heading"          => esc_html__("Title color","tracian-shortcodes"),
            "param_name"       => "title_color",
            "edit_field_class" => "vc_col-sm-4 vc_column",
        ),
        array(
            "type"             => "textfield",
            "heading"          => esc_html__("Number", "tracian-shortcodes"),
            "param_name"       => "number",
            "admin_label"      => true,
            "edit_field_class" => "vc_col-sm-4 vc_column",
        ),
        array(
            "type"             => "textfield",
            "heading"          => esc_html__("Number font size (px)", "tracian-shortcodes"),
            "param_name"       => "font_size",
            "value"            => '60',
            "edit_field_class" => "vc_col-sm-4 vc_column",
        ),
        array(
            "type"             => "colorpicker",
            "heading"          => esc_html__("Number color", "tracian-shortcodes"),
            "param_name"       => "font_color",
            "edit_field_class" => "vc_col-sm-4 vc_column",
        ),
        array(
            "type"       => "checkbox",
            "heading"    => esc_html__("Icon?","tracian-shortcodes"),
            "value"      => array(esc_html__("Use an icon for your counter.","tracian-shortcodes") => "use_icon" ),
            "param_name" => "add_icon",
            'group' => __( 'Icon', 'tracian-shortcodes' ),
        ),
        array(
            'type' => 'dropdown',
            'heading' => __( 'Icon library', 'js_composer' ),
            'value' => array(
                __( 'Font Awesome', 'js_composer' ) => 'fontawesome',
                __( 'Open Iconic', 'js_composer' ) => 'openiconic',
                __( 'Typicons', 'js_composer' ) => 'typicons',
                __( 'Entypo', 'js_composer' ) => 'entypo',
                __( 'Linecons', 'js_composer' ) => 'linecons',
                __( 'Mono Social', 'js_composer' ) => 'monosocial',
                __( 'Material', 'js_composer' ) => 'material',
            ),
            'param_name' => 'type',
            'description' => __( 'Select icon library.', 'js_composer' ),
            "dependency" => Array('element' => "add_icon", 'value' => array('use_icon')),
            'group' => __( 'Icon', 'tracian-shortcodes' ),
        ),
        array(
            'type' => 'iconpicker',
            'heading' => __( 'Icon', 'js_composer' ),
            'param_name' => 'icon_fontawesome',
            'value' => 'fa fa-adjust',
            // default value to backend editor admin_label
            'settings' => array(
                'emptyIcon' => false,
                // default true, display an "EMPTY" icon?
                'iconsPerPage' => 4000,
                // default 100, how many icons per/page to display, we use (big number) to display all icons in single page
            ),
            'dependency' => array(
                'element' => 'type',
                'value' => 'fontawesome',
            ),
            'description' => __( 'Select icon from library.', 'js_composer' ),
            'group' => __( 'Icon', 'tracian-shortcodes' ),
        ),
        array(
            'type' => 'iconpicker',
            'heading' => __( 'Icon', 'js_composer' ),
            'param_name' => 'icon_openiconic',
            'value' => 'vc-oi vc-oi-dial',
            // default value to backend editor admin_label
            'settings' => array(
                'emptyIcon' => false,
                // default true, display an "EMPTY" icon?
                'type' => 'openiconic',
                'iconsPerPage' => 4000,
                // default 100, how many icons per/page to display
            ),
            'dependency' => array(
                'element' => 'type',
                'value' => 'openiconic',
            ),
            'description' => __( 'Select icon from library.', 'js_composer' ),
            'group' => __( 'Icon', 'tracian-shortcodes' ),
        ),
        array(
            'type' => 'iconpicker',
            'heading' => __( 'Icon', 'js_composer' ),
            'param_name' => 'icon_typicons',
            'value' => 'typcn typcn-adjust-brightness',
            // default value to backend editor admin_label
            'settings' => array(
                'emptyIcon' => false,
                // default true, display an "EMPTY" icon?
                'type' => 'typicons',
                'iconsPerPage' => 4000,
                // default 100, how many icons per/page to display
            ),
            'dependency' => array(
                'element' => 'type',
                'value' => 'typicons',
            ),
            'description' => __( 'Select icon from library.', 'js_composer' ),
            'group' => __( 'Icon', 'tracian-shortcodes' ),
        ),
        array(
            'type' => 'iconpicker',
            'heading' => __( 'Icon', 'js_composer' ),
            'param_name' => 'icon_entypo',
            'value' => 'entypo-icon entypo-icon-note',
            // default value to backend editor admin_label
            'settings' => array(
                'emptyIcon' => false,
                // default true, display an "EMPTY" icon?
                'type' => 'entypo',
                'iconsPerPage' => 4000,
                // default 100, how many icons per/page to display
            ),
            'dependency' => array(
                'element' => 'type',
                'value' => 'entypo',
            ),
            'group' => __( 'Icon', 'tracian-shortcodes' ),
        ),
        array(
            'type' => 'iconpicker',
            'heading' => __( 'Icon', 'js_composer' ),
            'param_name' => 'icon_linecons',
            'value' => 'vc_li vc_li-heart',
            // default value to backend editor admin_label
            'settings' => array(
                'emptyIcon' => false,
                // default true, display an "EMPTY" icon?
                'type' => 'linecons',
                'iconsPerPage' => 4000,
                // default 100, how many icons per/page to display
            ),
            'dependency' => array(
                'element' => 'type',
                'value' => 'linecons',
            ),
            'description' => __( 'Select icon from library.', 'js_composer' ),
            'group' => __( 'Icon', 'tracian-shortcodes' ),
        ),
        array(
            'type' => 'iconpicker',
            'heading' => __( 'Icon', 'js_composer' ),
            'param_name' => 'icon_monosocial',
            'value' => 'vc-mono vc-mono-fivehundredpx',
            // default value to backend editor admin_label
            'settings' => array(
                'emptyIcon' => false,
                // default true, display an "EMPTY" icon?
                'type' => 'monosocial',
                'iconsPerPage' => 4000,
                // default 100, how many icons per/page to display
            ),
            'dependency' => array(
                'element' => 'type',
                'value' => 'monosocial',
            ),
            'description' => __( 'Select icon from library.', 'js_composer' ),
            'group' => __( 'Icon', 'tracian-shortcodes' ),
        ),
        array(
            'type' => 'iconpicker',
            'heading' => __( 'Icon', 'js_composer' ),
            'param_name' => 'icon_material',
            'value' => 'vc-material vc-material-cake',
            // default value to backend editor admin_label
            'settings' => array(
                'emptyIcon' => false,
                // default true, display an "EMPTY" icon?
                'type' => 'material',
                'iconsPerPage' => 4000,
                // default 100, how many icons per/page to display
            ),
            'dependency' => array(
                'element' => 'type',
                'value' => 'material',
            ),
            'description' => __( 'Select icon from library.', 'js_composer' ),
            'group' => __( 'Icon', 'tracian-shortcodes' ),
        ),

        array(
            'type' => 'dropdown',
            'heading' => esc_html__( 'Size', 'tracian-shortcodes' ),
            'param_name' => 'size',
            'value' => array(
                esc_html__( 'Small', 'tracian-shortcodes' ) => 'sm',
                esc_html__( 'Normal', 'tracian-shortcodes' ) => 'md',
                esc_html__( 'Large', 'tracian-shortcodes' ) => 'lg',
                esc_html__( 'Extra Large', 'tracian-shortcodes' ) => 'xl',
            ),
            'std' => 'md',
            'description' => esc_html__( 'Icon size.', 'tracian-shortcodes' ),
            "dependency" => Array('element' => "add_icon", 'value' => array('use_icon')),
            'group' => __( 'Icon', 'tracian-shortcodes' ),
        ),
        array(
            "type"       => "colorpicker",
            "heading"    => esc_html__("Icon color","tracian-shortcodes"),
            "param_name" => "icon_color",
            "dependency" => Array('element' => "add_icon", 'value' => array('use_icon')),
            'group' => __( 'Icon', 'tracian-shortcodes' ),
        ),

        array(
            "type"       => "textfield",
            "heading"    => esc_html__("Refresh interval", "tracian-shortcodes"),
            "param_name" => "interval",
            "value"      => '100',
            "edit_field_class" => "vc_col-sm-6 vc_column",
        ),
        array(
            "type"       => "textfield",
            "heading"    => esc_html__("Speed", "tracian-shortcodes"),
            "param_name" => "speed",
            "value"      => '1500',
            "edit_field_class" => "vc_col-sm-6 vc_column",
        ),

        $align_param,

        //
        vc_map_add_css_animation(),
        array(
            'type'        => 'el_id',
            'heading'     => __( 'Element ID', 'tracian-shortcodes' ),
            'param_name'  => 'el_id',
            'description' => sprintf( __( 'Enter element ID (Note: make sure it is unique and valid according to <a href="%s" target="_blank">w3c specification</a>).', 'tracian-shortcodes' ), 'http://www.w3schools.com/tags/att_global_id.asp' ),
        ),
        array(
            'type'        => 'textfield',
            'heading'     => __( 'Extra class name', 'tracian-shortcodes' ),
            'param_name'  => 'el_class',
            'description' => __( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'tracian-shortcodes' ),
        ),
        array(
            'type'       => 'css_editor',
            'heading'    => __( 'CSS box', 'tracian-shortcodes' ),
            'param_name' => 'css',
            'group'      => __( 'Design Options', 'tracian-shortcodes' ),
        ),

   )
) );

}

?>