<?php
if ( ! class_exists( 'WPBakeryShortCode_gg_featured_icon' ) ) {
	class WPBakeryShortCode_gg_featured_icon extends WPBakeryShortCode {

	   public function __construct() {  
			 add_shortcode('featured_icon', array($this, 'gg_featured_icon'));  
	   }

	   public function gg_featured_icon( $atts, $content = null ) { 

			 $output = $css_class = $margin_style = $style = $icon_box_style_start = $icon_box_style_end = $icon_size_css = $icon_color_css = $featured_title = $image = $align_center = $icon_box_css = $icon_box_back = $icon_border_style = '';
			 $icon = $color = $new_color = $align = $el_class = $custom_color = $link = $background_style = $background_color = $type = $icon_fontawesome = $icon_openiconic = $icon_typicons = $icon_entypoicons = $icon_linecons = $css_animation = $read_more_link = $media_type = '';
			 extract(shortcode_atts(array(
				 'featured_title'      => '',
                 'featured_subtitle'      => '',
				 'featured_desc'       => '',
				 'link'                => '',
				 'featured_icon'       => '',
				 'read_more'           => '',
				 'read_more_link'      => '',
				 'align'            => 'text-align-left',
				 'icon_box'            => '',
				 'icon_box_color'      => '',
				 'el_class'            => '',
                 'image'                   => $image,
                'img_size'                => 'full',
				 'css_animation'       => '',
				 'icon_size'           => 'normal',
				 'icon_box_style'      => '',
				 'icon_color'          => '',
				 'icon_border'         => '',
				 'media_type' => 'use_icon',
				 'type'                => 'fontawesome',
				 'icon_fontawesome'    => 'fa fa-adjust',
				 'icon_openiconic'     => '',
				 'icon_typicons'       => '',
				 'icon_entypoicons'    => '',
				 'icon_linecons'       => '',
				 'icon_entypo'         => '',
				 'css'                 => '',
				 'style'               => 'style_1',
				 'replace_color'       => '',
				 'custom_color'       => ''
			 ), $atts));

            $css_class .= $this->getCSSAnimation($css_animation);
            $css_class .= vc_shortcode_custom_css_class( $css, ' ' ) . $this->getExtraClass( $el_class ); 
			$css_class .= ' '. $style;
            $css_class .= ' ' . $align;

            //Build image
            $img_id = preg_replace( '/[^\d]/', '', $image );
            $img = wpb_getImageBySize( array(
                'attach_id'  => $img_id,
                'thumb_size' => $img_size,
                'class'      => 'featured-image-icon',
            ) );
			
			// Enqueue needed icon font.
			vc_icon_element_fonts_enqueue( $type ); 

			$url = vc_build_link( $link );
			$read_more_url = vc_build_link( $read_more_link );
			$has_style = false;

			$output .= "\n\t".'<div class="featured-icon-wrapper '.esc_attr( $css_class ).'">';

            $output .= "\n\t".'<div class="featured-icon-media-wrapper">';
			
            if ($media_type == 'use_icon') {
                $output .= "\n\t".'<div class="vc_icon_element vc_icon_element-outer vc_icon_element-align-pull-left">';
                $output .= "\n\t".'<div class="vc_icon_element-inner vc_icon_element-size-md">';
                $output .= "\n\t".'<span class="vc_icon_element-icon '.esc_attr( ${"icon_" . $type} ).'" '.( $custom_color ? 'style="color:' . esc_attr( $custom_color ) . ' !important"' : '' ).'></span>';

                if ( strlen( $link ) > 0 && strlen( $url['url'] ) > 0 ) {
                    $output .= "\n\t".'<a class="vc_icon_element-link" href="' . esc_url( $url['url'] ) . '" title="' . esc_attr( $url['title'] ) . '" target="' . ( strlen( $url['target'] ) > 0 ? esc_attr( $url['target'] ) : '_self' ) . '"></a>';
                }

                $output .= "\n\t".'</div></div>';
			} elseif ($media_type == 'use_image_icon') {
                $output .= "\n\t". $img['thumbnail'];
            }

            $output .= "\n\t".'</div>';

            $output .= "\n\t".'<div class="featured-icon-content-wrapper">';
            if ( $featured_title ) {
                $output .= "\n\t".'<div class="featured-icon-title">'.esc_html($featured_title).'</div>';
            }
            if ( $featured_subtitle ) {
                $output .= "\n\t".'<div class="featured-icon-subtitle">'.esc_html($featured_subtitle).'</div>';
            }
			if ( strlen( $featured_desc ) > 0 ) {
			  $output .= "\n\t". '<div class="featured-icon-desc" '.$new_color.'>'. wp_kses_post( $featured_desc ).'</div>';
			}

			if ($read_more == 'use_read_more') {
                if ( strlen( $read_more_link ) > 0 && strlen( $read_more_url['url'] ) > 0 ) {
                    if ($style == 'style_1') {
                        $output .= "\n\t".'<a class="btn btn-default" href="' . esc_url( $read_more_url['url'] ) . '" title="' . esc_attr( $read_more_url['title'] ) . '" target="' . ( strlen( $read_more_url['target'] ) > 0 ? esc_attr( $read_more_url['target'] ) : '_self' ) . '">' . esc_attr( $read_more_url['title'] ) . '</a>';
                    } else {
                        $output .= "\n\t".'<a class="more-link" '.$new_color.' href="' . esc_url( $read_more_url['url'] ) . '" title="' . esc_attr( $read_more_url['title'] ) . '" target="' . ( strlen( $read_more_url['target'] ) > 0 ? esc_attr( $read_more_url['target'] ) : '_self' ) . '">' . esc_attr( $read_more_url['title'] ) . '</a>';
                    }
				  
				}
			}
			$output .= "\n\t".'</div>';

			$output .= "\n\t".'</div>';

			return $output;
			 
	   }
	   
	}// END class WPBakeryShortCode_gg_featured_icon

	$WPBakeryShortCode_gg_featured_icon = new WPBakeryShortCode_gg_featured_icon();

}// END if ( ! class_exists( 'WPBakeryShortCode_gg_featured_icon' ) ) { 

if ( function_exists( 'vc_map' ) ) {

vc_map( array(
   "name" => esc_html__("Icon box","tracian-shortcodes"),
   "description" => esc_html__('Box with title, description and icon', 'tracian-shortcodes'),
   "base" => "featured_icon",
   "icon"              => "gg_vc_icon",
   "weight"            => -50,
   'admin_enqueue_css' => array(TRACIAN_SHORTCODES_DIR . '/shortcodes/css/styles.css'),
   'admin_enqueue_js' => array(TRACIAN_SHORTCODES_DIR . '/shortcodes/js/custom-vc.js'),
   "category" => esc_html__('Tracian', 'tracian-shortcodes'),
   "params" => array(
        array(
            'type' => 'dropdown',
            'heading' => esc_html__( 'Style', 'tracian-shortcodes' ),
            'value' => array(
                esc_html__( 'Style 1', 'tracian-shortcodes' ) => 'style_1',
                esc_html__( 'Style 2', 'tracian-shortcodes' ) => 'style_2',
            ),
            'param_name' => 'style',
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Title","tracian-shortcodes"),
            "param_name" => "featured_title",
            "admin_label" => true,
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Subtitle","tracian-shortcodes"),
            "param_name" => "featured_subtitle",
            "admin_label" => true,
        ),
        array(
            "type" => "vc_link",
            "heading" => esc_html__("URL (Link)", "tracian-shortcodes"),
            "param_name" => "link",
            "description" => esc_html__("Insert the link.", "tracian-shortcodes"),
        ),
        array(
            "type" => "textarea",
            "heading" => esc_html__("Description","tracian-shortcodes"),
            "param_name" => "featured_desc",
        ),
        array(
            "type" => "checkbox",
            "heading" => esc_html__("Use an Read more link?","tracian-shortcodes"),
            "value" => array(esc_html__("Yes, please","tracian-shortcodes") => "use_read_more" ),
            "param_name" => "read_more",
            "dependency" => Array('element' => "featured_desc", 'not_empty' => true)
        ),
        array(
            "type" => "vc_link",
            "heading" => esc_html__("Read more URL (Link)", "tracian-shortcodes"),
            "param_name" => "read_more_link",
            "description" => esc_html__("Insert the link.", "tracian-shortcodes"),
            "dependency" => Array('element' => "read_more", 'value' => array('use_read_more'))
        ),
        array(
            'type' => 'colorpicker',
            'heading' => esc_html__( 'Overwrite default colors', 'tracian-shortcodes' ),
            'param_name' => 'replace_color',
            'description' => esc_html__( 'Set the new color.', 'tracian-shortcodes' )
        ),
        $align_param,

        array(
            'type' => 'dropdown',
            'heading' => __( 'Use and icon or an image icon', 'js_composer' ),
            'value' => array(
                __( 'Icon', 'js_composer' ) => 'use_icon',
                __( 'Image icon', 'js_composer' ) => 'use_image_icon',
            ),
            'param_name' => 'media_type',
            'group' => __( 'Icon or image icon', 'tracian-shortcodes' ),
        ),
        array(
            'type' => 'dropdown',
            'heading' => __( 'Icon library', 'js_composer' ),
            'value' => array(
                __( 'Font Awesome', 'js_composer' ) => 'fontawesome',
                __( 'Open Iconic', 'js_composer' ) => 'openiconic',
                __( 'Typicons', 'js_composer' ) => 'typicons',
                __( 'Entypo', 'js_composer' ) => 'entypo',
                __( 'Linecons', 'js_composer' ) => 'linecons',
                __( 'Mono Social', 'js_composer' ) => 'monosocial',
                __( 'Material', 'js_composer' ) => 'material',
            ),
            'admin_label' => true,
            'param_name' => 'type',
            'description' => __( 'Select icon library.', 'js_composer' ),
            "dependency" => Array('element' => "media_type", 'value' => array('use_icon')),
            'group' => __( 'Icon or image icon', 'tracian-shortcodes' ),
        ),
        array(
            'type' => 'iconpicker',
            'heading' => __( 'Icon', 'js_composer' ),
            'param_name' => 'icon_fontawesome',
            'value' => 'fa fa-adjust',
            // default value to backend editor admin_label
            'settings' => array(
                'emptyIcon' => false,
                // default true, display an "EMPTY" icon?
                'iconsPerPage' => 4000,
                // default 100, how many icons per/page to display, we use (big number) to display all icons in single page
            ),
            'dependency' => array(
                'element' => 'type',
                'value' => 'fontawesome',
            ),
            'description' => __( 'Select icon from library.', 'js_composer' ),
            'group' => __( 'Icon or image icon', 'tracian-shortcodes' ),
        ),
        array(
            'type' => 'iconpicker',
            'heading' => __( 'Icon', 'js_composer' ),
            'param_name' => 'icon_openiconic',
            'value' => 'vc-oi vc-oi-dial',
            // default value to backend editor admin_label
            'settings' => array(
                'emptyIcon' => false,
                // default true, display an "EMPTY" icon?
                'type' => 'openiconic',
                'iconsPerPage' => 4000,
                // default 100, how many icons per/page to display
            ),
            'dependency' => array(
                'element' => 'type',
                'value' => 'openiconic',
            ),
            'description' => __( 'Select icon from library.', 'js_composer' ),
            'group' => __( 'Icon or image icon', 'tracian-shortcodes' ),
        ),
        array(
            'type' => 'iconpicker',
            'heading' => __( 'Icon', 'js_composer' ),
            'param_name' => 'icon_typicons',
            'value' => 'typcn typcn-adjust-brightness',
            // default value to backend editor admin_label
            'settings' => array(
                'emptyIcon' => false,
                // default true, display an "EMPTY" icon?
                'type' => 'typicons',
                'iconsPerPage' => 4000,
                // default 100, how many icons per/page to display
            ),
            'dependency' => array(
                'element' => 'type',
                'value' => 'typicons',
            ),
            'description' => __( 'Select icon from library.', 'js_composer' ),
            'group' => __( 'Icon or image icon', 'tracian-shortcodes' ),
        ),
        array(
            'type' => 'iconpicker',
            'heading' => __( 'Icon', 'js_composer' ),
            'param_name' => 'icon_entypo',
            'value' => 'entypo-icon entypo-icon-note',
            // default value to backend editor admin_label
            'settings' => array(
                'emptyIcon' => false,
                // default true, display an "EMPTY" icon?
                'type' => 'entypo',
                'iconsPerPage' => 4000,
                // default 100, how many icons per/page to display
            ),
            'dependency' => array(
                'element' => 'type',
                'value' => 'entypo',
            ),
            'group' => __( 'Icon or image icon', 'tracian-shortcodes' ),
        ),
        array(
            'type' => 'iconpicker',
            'heading' => __( 'Icon', 'js_composer' ),
            'param_name' => 'icon_linecons',
            'value' => 'vc_li vc_li-heart',
            // default value to backend editor admin_label
            'settings' => array(
                'emptyIcon' => false,
                // default true, display an "EMPTY" icon?
                'type' => 'linecons',
                'iconsPerPage' => 4000,
                // default 100, how many icons per/page to display
            ),
            'dependency' => array(
                'element' => 'type',
                'value' => 'linecons',
            ),
            'description' => __( 'Select icon from library.', 'js_composer' ),
            'group' => __( 'Icon or image icon', 'tracian-shortcodes' ),
        ),
        array(
            'type' => 'iconpicker',
            'heading' => __( 'Icon', 'js_composer' ),
            'param_name' => 'icon_monosocial',
            'value' => 'vc-mono vc-mono-fivehundredpx',
            // default value to backend editor admin_label
            'settings' => array(
                'emptyIcon' => false,
                // default true, display an "EMPTY" icon?
                'type' => 'monosocial',
                'iconsPerPage' => 4000,
                // default 100, how many icons per/page to display
            ),
            'dependency' => array(
                'element' => 'type',
                'value' => 'monosocial',
            ),
            'description' => __( 'Select icon from library.', 'js_composer' ),
            'group' => __( 'Icon or image icon', 'tracian-shortcodes' ),
        ),
        array(
            'type' => 'iconpicker',
            'heading' => __( 'Icon', 'js_composer' ),
            'param_name' => 'icon_material',
            'value' => 'vc-material vc-material-cake',
            // default value to backend editor admin_label
            'settings' => array(
                'emptyIcon' => false,
                // default true, display an "EMPTY" icon?
                'type' => 'material',
                'iconsPerPage' => 4000,
                // default 100, how many icons per/page to display
            ),
            'dependency' => array(
                'element' => 'type',
                'value' => 'material',
            ),
            'description' => __( 'Select icon from library.', 'js_composer' ),
            'group' => __( 'Icon or image icon', 'tracian-shortcodes' ),
        ),
        array(
            'type' => 'colorpicker',
            'heading' => esc_html__( 'Custom Icon Color', 'tracian-shortcodes' ),
            'param_name' => 'custom_color',
            'description' => esc_html__( 'Select custom icon color.', 'tracian-shortcodes' ),
            "dependency" => Array('element' => "media_type", 'value' => array('use_icon')),
            'group' => __( 'Icon or image icon', 'tracian-shortcodes' ),
        ),

        array(
            "type" => "attach_image",
            "heading" => esc_html__("Icon image", "tracian-shortcodes"),
            "param_name" => "image",
            "value" => "",
            "description" => esc_html__("Select image from media library.", "tracian-shortcodes"),
            "dependency" => Array('element' => "media_type", 'value' => array('use_image_icon')),
            'group' => __( 'Icon or image icon', 'tracian-shortcodes' ),
        ),
        array(
            'type' => 'textfield',
            'heading' => __( 'Featured image size', 'tracian-shortcodes' ),
            'param_name' => 'img_size',
            'value' => 'full',
            'description' => __( 'Enter image size. Example: thumbnail, medium, large, full or other sizes defined by current theme. Alternatively enter image size in pixels: 200x100 (Width x Height). Leave empty to use "thumbnail" size.', 'tracian-shortcodes' ),
            "dependency" => Array('element' => "media_type", 'value' => array('use_image_icon')),
            'group' => __( 'Icon or image icon', 'tracian-shortcodes' ),
        ),

    	vc_map_add_css_animation(),
        array(
            'type' => 'el_id',
            'heading' => __( 'Element ID', 'tracian-shortcodes' ),
            'param_name' => 'el_id',
            'description' => sprintf( __( 'Enter element ID (Note: make sure it is unique and valid according to <a href="%s" target="_blank">w3c specification</a>).', 'tracian-shortcodes' ), 'http://www.w3schools.com/tags/att_global_id.asp' ),
        ),
        array(
            'type' => 'textfield',
            'heading' => __( 'Extra class name', 'tracian-shortcodes' ),
            'param_name' => 'el_class',
            'description' => __( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'tracian-shortcodes' ),
        ),
        array(
            'type'       => 'css_editor',
            'heading'    => __( 'CSS box', 'tracian-shortcodes' ),
            'param_name' => 'css',
            'group'      => __( 'Design Options', 'tracian-shortcodes' ),
        ),

   ),
  //'js_view'  => 'tracian-shortcodesVcFeaturedIconView',
) );
}
?>