<?php
if ( ! class_exists( 'WPBakeryShortCode_gg_featured_image' ) ) {
class WPBakeryShortCode_gg_featured_image extends WPBakeryShortCode {

   public function __construct() {  
		 add_shortcode('featured_image', array($this, 'gg_featured_image'));  
   }

   public function gg_featured_image( $atts, $content = null ) { 

		$output = $link_html = $link_html_class = $featured_link_open = $featured_link_close = $img_style_class = $featured_box_style_cls = $featured_title = $image = '';
		extract(shortcode_atts(array(
                'featured_title'          => '',
                'featured_toptitle'       => '',
                'featured_desc'           => '',
                'featured_link'           => '',
                'featured_box_style'      => 'normal',
                'featured_box_text_align' => 'left',
                'image'                   => $image,
                'img_size'                => 'full',
                'add_link'                => '',
                'featured_link_mode'      => '',
                'add_border_effect'       => '',
                'el_class'                => '',
                'css_animation'           => '',
                'css'                => ''
		), $atts));

        $css_class = $this->getCSSAnimation($css_animation);
        
        //Build image
        $img_id = preg_replace( '/[^\d]/', '', $image );
        $img = wpb_getImageBySize( array(
            'attach_id' => $img_id,
            'thumb_size' => $img_size,
            'class' => 'vc_single_image-img',
        ) );

        //Build link
        $featured_link = ( '||' === $featured_link ) ? '' : $featured_link;
        $featured_link = vc_build_link( $featured_link );

        //Add classes
		$css_class .= ' ' . $featured_box_text_align;
        $css_class .= ' ' . $featured_box_style;
        $css_class .= ' ' . $add_border_effect;

        //Toptitle
        if ( $featured_toptitle ) {
            $featured_toptitle = '<span>'.esc_html($featured_toptitle).'</span> ';
        }

        //Title
        if ( $featured_title ) {
            $featured_title = '<h4>'.$featured_toptitle.$featured_title.'</h4>';
        }

        if ( strlen( $featured_link['url'] ) > 0 ) {

            switch ($featured_link_mode) {
                case 'as_button':
                    $link_html_class = 'btn btn-primary';
                    break;
                case 'as_link':
                    $link_html_class = 'gg-special-link special-hover underline_effect';
                    break;
            }

            $link_html = '<a class="'.$link_html_class.'" href="' . esc_url( $featured_link['url'] ) . '" title="' . esc_attr( $featured_link['title'] ) . '" target="' . ( strlen( $featured_link['target'] ) > 0 ? esc_attr( $featured_link['target'] ) : '_self' ) . '">' . esc_html( $featured_link['title'] ) . '</a>';
            
        }
		 
		$output = "\n\t".'<div class="featured-image-box '.$css_class.' ' . esc_attr( trim( vc_shortcode_custom_css_class( $css ) ) ) . '">';

        if ( strlen( $featured_link['url'] ) > 0 && ($featured_link_mode == '' || $featured_link_mode == 'as_wrapper')  ) {
            $output .= "\n\t\t".'<a class="wrapper-link" href="' . esc_url( $featured_link['url'] ) . '" title="' . esc_attr( $featured_link['title'] ) . '" target="' . ( strlen( $featured_link['target'] ) > 0 ? esc_attr( $featured_link['target'] ) : '_self' ) . '"></a>';
        }

		$output .= "\n\t\t".'<figure class="'.$featured_box_style_cls.'">';

        $output .= "\n\t\t\t".'<div class="image-wrapper">';
        if ( $add_border_effect == 'use_border_effect' ) {
            $output .= "\n\t\t\t".'<div class="border-effect top-border"></div>';
            $output .= "\n\t\t\t".'<div class="border-effect left-border"></div>';
            $output .= "\n\t\t\t".'<div class="border-effect right-border"></div>';
        }
		$output .= "\n\t\t\t".$img['thumbnail'];
        $output .= "\n\t\t\t".'</div>';

        if ( $featured_title ) {
    		$output .= "\n\t\t".'<figcaption>';

            if ( $featured_box_style == 'normal_box' ) {
                $output .= "\n\t\t".'<div class="inner-box">';
            }

            $output .= "\n\t\t\t".$featured_title;

            if ( $featured_desc ) {
                $output .= "\n\t\t\t".'<p>'.$featured_desc.'</p>';
            }
            
            $output .= "\n\t\t\t".$link_html;

            if ( $featured_box_style == 'normal_box' ) {
                $output .= "\n\t\t".'</div>';
            }

    		$output .= "\n\t\t".'</figcaption>';
        }
		$output .= "\n\t\t".'</figure>';
		 
		$output .= "\n\t".'</div> ';

		return $output;
		 
   }
}// END class WPBakeryShortCode_gg_featured_image

$WPBakeryShortCode_gg_featured_image = new WPBakeryShortCode_gg_featured_image();

}// END if ( ! class_exists( 'WPBakeryShortCode_gg_featured_image' ) ) { 

if ( function_exists( 'vc_map' ) ) {

vc_map( array(
   "name"              => esc_html__("Image box","tracian-shortcodes"),
   "description"       => esc_html__('Image box with title, description and link', 'tracian-shortcodes'),
   "base"              => "featured_image",
   "icon"              => "gg_vc_icon",
   "weight"            => -50,
   'admin_enqueue_css' => array(TRACIAN_SHORTCODES_DIR . '/shortcodes/css/styles.css'),
   'admin_enqueue_js'  => array(TRACIAN_SHORTCODES_DIR . '/shortcodes/js/custom-vc.js'),
   "category"          => esc_html__('Tracian', 'tracian-shortcodes'),
   "params" => array(
        array(
			"type" => "dropdown",
			"heading" => esc_html__("Box style", "tracian-shortcodes"),
			"param_name" => "featured_box_style",
			"value" => array(
                esc_html__("Normal (text under image)", "tracian-shortcodes") => "normal",
                esc_html__("Normal box (text under image in a white box)", "tracian-shortcodes") => "normal_box",
                esc_html__("Overlay (text on the image)", "tracian-shortcodes") => "overlay_style_1"
            ),
        ),
        array(
			"type" => "dropdown",
			"heading" => esc_html__("Box text align", "tracian-shortcodes"),
			"param_name" => "featured_box_text_align",
			"value" => array(
                esc_html__("Left", "tracian-shortcodes") => "text-align-left",
                esc_html__("Right", "tracian-shortcodes") => "text-align-right",
                esc_html__("Center", "tracian-shortcodes") => "text-align-center"
            ),
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Top title","tracian-shortcodes"),
            "param_name" => "featured_toptitle",
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Title","tracian-shortcodes"),
            "param_name" => "featured_title",
            "admin_label" => true,
        ),
        
        array(
            "type" => "textarea",
            "heading" => esc_html__("Description","tracian-shortcodes"),
            "param_name" => "featured_desc",
        ),
        array(
            "type"       => "checkbox",
            "heading"    => esc_html__("Add link?", "tracian-shortcodes"),
            "value"      => array(esc_html__("Yes, please", "tracian-shortcodes") => "use_link" ),
            "param_name" => "add_link",
        ),

        array(
            "type" => "dropdown",
            "heading" => esc_html__("Use link as", "tracian-shortcodes"),
            "param_name" => "featured_link_mode",
            "value" => array(
                esc_html__("Wrapper (covers the entire box)", "tracian-shortcodes") => "as_wrapper",
                esc_html__("Button", "tracian-shortcodes") => "as_button",
                esc_html__("Normal link", "tracian-shortcodes") => "as_link"
            ),
            "dependency" => Array('element' => "add_link", 'value' => array('use_link')),
        ),

        array(
            "type" => "vc_link",
            "heading" => esc_html__("URL (Link)", "tracian-shortcodes"),
            "param_name" => "featured_link",
            "description" => esc_html__("Insert the link.", "tracian-shortcodes"),
            "dependency" => Array('element' => "add_link", 'value' => array('use_link')),
        ),
        array(
            "type" => "attach_image",
            "heading" => esc_html__("Featured image", "tracian-shortcodes"),
            "param_name" => "image",
            "value" => "",
            "description" => esc_html__("Select image from media library.", "tracian-shortcodes")
        ),
        array(
            'type' => 'textfield',
            'heading' => __( 'Featured image size', 'tracian-shortcodes' ),
            'param_name' => 'img_size',
            'value' => 'full',
            'description' => __( 'Enter image size. Example: thumbnail, medium, large, full or other sizes defined by current theme. Alternatively enter image size in pixels: 200x100 (Width x Height). Leave empty to use "thumbnail" size.', 'tracian-shortcodes' ),
        ),

        array(
            "type"       => "checkbox",
            "heading"    => esc_html__("Add border effect?", "tracian-shortcodes"),
            "value"      => array(esc_html__("Yes, please", "tracian-shortcodes") => "use_border_effect" ),
            "param_name" => "add_border_effect",
        ),

        //$add_css_animation,
        vc_map_add_css_animation(),
        array(
            'type' => 'el_id',
            'heading' => __( 'Element ID', 'tracian-shortcodes' ),
            'param_name' => 'el_id',
            'description' => sprintf( __( 'Enter element ID (Note: make sure it is unique and valid according to <a href="%s" target="_blank">w3c specification</a>).', 'tracian-shortcodes' ), 'http://www.w3schools.com/tags/att_global_id.asp' ),
        ),
        array(
            'type' => 'textfield',
            'heading' => __( 'Extra class name', 'tracian-shortcodes' ),
            'param_name' => 'el_class',
            'description' => __( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'tracian-shortcodes' ),
        ),
        array(
            'type'       => 'css_editor',
            'heading'    => __( 'CSS box', 'tracian-shortcodes' ),
            'param_name' => 'css',
            'group'      => __( 'Design Options', 'tracian-shortcodes' ),
        ),
   ),
   'js_view'  => 'tracian-shortcodesVcFeaturedImageView',
) );
}

?>