<?php

if(!function_exists('horizontal_list_output')){
    
    function horizontal_list_output( $atts, $content = null){

        $output = $css_class = '';

        $atts =  extract(shortcode_atts( 
            array( 
            'horizontal_list_style' => 'horizontal',
            'module_title'          => '',
            'list_items'            => '',
            'el_class'              => '',
            'css'                   => '',
        ),$atts )) ;

        $css_class .= vc_shortcode_custom_css_class( $css, ' ' ) . $el_class;
        $items_v = vc_param_group_parse_atts( $list_items );     
        

        $output .= '<div class="gg-horizontal-list ' . esc_attr( $css_class ) . '">';
        $output .= '<p class="subtitle">'.$module_title.'</p>';
        $output .= '<dl class="dl-flex">';
        if ( $items_v ) {
            foreach ( $items_v as $item ) {

                $title_color_style = $description_color_style = '';

                if ( isset($item['title_color']) && $item['title_color'] != '' ) {
                    $title_color_style = 'style="color: '.$item['title_color'].';"';
                }

                if ( isset($item['description_color']) && $item['description_color'] != '' ) {
                    $description_color_style = 'style="color: '.$item['description_color'].';"';
                }

                $output  .= "\n\t".'<dt '.$title_color_style.'>'.$item['title'].'</dt>';
                $output  .= "\n\t".'<dd '.$description_color_style.'>'.$item['description'].'</dd>';
            }
        }
        $output .= '</dl>';
        $output .= '</div>';

        return $output;
    }

    add_shortcode( 'horizontal_list' , 'horizontal_list_output' );
}

if ( function_exists( 'vc_map' ) ) {
// Parent container
vc_map( array(
    'name'                    => esc_html__( 'Horizontal List' , 'tracian-shortcodes' ),
    'base'                    => 'horizontal_list',
    "icon"                    => "gg_vc_icon",
    "weight"                  => -50,
    'admin_enqueue_css'       => array(TRACIAN_SHORTCODES_DIR . '/shortcodes/css/styles.css'),
    'description'             => esc_html__( 'Display a horizontal list', 'tracian-shortcodes' ),
    "category"                => esc_html__('Tracian', 'tracian-shortcodes'),
    'params'                  => array(

        array(
            "type" => "textfield",
            "heading" => esc_html__("Module Title","tracian-shortcodes"),
            "param_name" => "module_title",
            "admin_label" => true,
            "description" => esc_html__("Insert the title here","tracian-shortcodes")
        ),

        array(
        'type' => 'param_group',
        'value' => '',
        'param_name' => 'list_items',
        'params' => array(
                array(
                    "type"             => "textfield",
                    "heading"          => esc_html__("Title","tracian-shortcodes"),
                    "param_name"       => "title",
                    "admin_label"      => true,
                    "edit_field_class" => "vc_col-sm-8 vc_column",
                ),
                array(
                    "type"             => "colorpicker",
                    "heading"          => esc_html__("Title color", "tracian-shortcodes"),
                    "param_name"       => "title_color",
                    "edit_field_class" => "vc_col-sm-4 vc_column",
                  ),
                array(
                    "type"             => "textarea",
                    "heading"          => esc_html__("Description","tracian-shortcodes"),
                    "param_name"       => "description",
                    "admin_label"      => true,
                    "edit_field_class" => "vc_col-sm-8 vc_column",
                ),
                array(
                    "type"             => "colorpicker",
                    "heading"          => esc_html__("Description color", "tracian-shortcodes"),
                    "param_name"       => "description_color",
                    "edit_field_class" => "vc_col-sm-4 vc_column",
                ),
            )
        ),

        //Custom design options
        vc_map_add_css_animation(),
        array(
            'type' => 'textfield',
            'heading' => __( 'Extra class name', 'tracian-shortcodes' ),
            'param_name' => 'el_class',
            'description' => __( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'tracian-shortcodes' ),
        ),
        array(
            'type' => 'css_editor',
            'heading' => __( 'CSS box', 'tracian-shortcodes' ),
            'param_name' => 'css',
            'group' => __( 'Design Options', 'tracian-shortcodes' ),
        ),
    ),
) );
}

?>