<?php
if ( ! class_exists( 'WPBakeryShortCode_gg_infoboxes' ) ) {
class WPBakeryShortCode_gg_infoboxes extends WPBakeryShortCode {

   public function __construct() {  
		 add_shortcode('infoboxes', array($this, 'gg_infoboxes'));  
   }


   public function gg_infoboxes( $atts, $content = null ) { 

		$infotitle = $title_color = $description = $description_color = $description_color_style = $title_color_style = $align = '';

		extract(shortcode_atts(array(
                'infotitle'           => '',
                'title_color'         => '',
                'description_color'   => '',
                'align'               => 'text-align-left',
                'add_horizontal_line' => '',
                'el_class'            => '',
                'css_animation'       => '',
                'css'                 => ''
		), $atts));

        //Add classes
        $css_class = $this->getCSSAnimation($css_animation);
        $css_class .= ' ' . $align;
        $css_class .= ' ' . $add_horizontal_line;

		if ($title_color != '') {
		  $title_color_style = 'style="color: '.$title_color.';"';
		}

		if ($description_color != '') {
		  $description_color_style = 'style="color: '.$description_color.';"';
		}
	   
		$output = "\n\t".'<div class="gg-infobox '.$css_class.' ' . esc_attr( trim( vc_shortcode_custom_css_class( $css ) ) ) . '" >';
		$output .= "\n\t\t".'<div class="infobox-title" '.$title_color_style.'>'.$infotitle.'</div>';
		$output .= "\n\t\t".'<div class="infobox-description" '.$description_color_style.'>' . wpb_js_remove_wpautop( $content, true ) . '</div>';
		$output .= "\n\t".'</div> ';

		return $output;
		 
   }
}// END class WPBakeryShortCode_gg_infoboxes

$WPBakeryShortCode_gg_infoboxes = new WPBakeryShortCode_gg_infoboxes();

}// END if ( ! class_exists( 'WPBakeryShortCode_gg_infoboxes' ) ) { 

if ( function_exists( 'vc_map' ) ) {

vc_map( array(
    "name"              => esc_html__("Infobox","tracian-shortcodes"),
    "description"       => esc_html__('A infobox box module', 'tracian-shortcodes'),
    "base"              => "infoboxes",
    "icon"              => "gg_vc_icon",
    "weight"            => -50,
    'admin_enqueue_css' => array(TRACIAN_SHORTCODES_DIR . '/shortcodes/css/styles.css'),
    'admin_enqueue_js'  => array(TRACIAN_SHORTCODES_DIR . '/shortcodes/js/custom-vc.js'),
    "category"          => esc_html__('Tracian', 'tracian-shortcodes'),
    "params" => array(
    	array(
            "type" => "textfield",
            "heading" => esc_html__("Title","tracian-shortcodes"),
            "param_name" => "infotitle",
            "admin_label" => true,
            "edit_field_class" => "vc_col-sm-8 vc_column",
    	),
    	array(
            "type" => "colorpicker",
            "heading" => esc_html__("Title color", "tracian-shortcodes"),
            "param_name" => "title_color",
            "edit_field_class" => "vc_col-sm-4 vc_column",
    	),
        array(
            "type"       => "checkbox",
            "heading"    => esc_html__("Add horizontal line in front of title?", "tracian-shortcodes"),
            "value"      => array(esc_html__("Yes, please", "tracian-shortcodes") => "use_horizontal_line" ),
            "param_name" => "add_horizontal_line",
            "description" => esc_html__("Not working with text align center","tracian-shortcodes")
        ),
    	array(
            'type' => 'textarea_html',
            'holder' => 'div',
            'heading' => esc_html__( 'Message text', 'tracian-shortcodes' ),
            'param_name' => 'content',
            'value' => esc_html__( 'I am message box. Click edit button to change this text.', 'tracian-shortcodes' ),
    	),
    	array(
            "type" => "colorpicker",
            "heading" => esc_html__("Description color", "tracian-shortcodes"),
            "param_name" => "description_color"
    	),
    	$align_param,
    	vc_map_add_css_animation(),
        array(
            'type' => 'el_id',
            'heading' => __( 'Element ID', 'tracian-shortcodes' ),
            'param_name' => 'el_id',
            'description' => sprintf( __( 'Enter element ID (Note: make sure it is unique and valid according to <a href="%s" target="_blank">w3c specification</a>).', 'tracian-shortcodes' ), 'http://www.w3schools.com/tags/att_global_id.asp' ),
        ),
        array(
            'type' => 'textfield',
            'heading' => __( 'Extra class name', 'tracian-shortcodes' ),
            'param_name' => 'el_class',
            'description' => __( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'tracian-shortcodes' ),
        ),
        array(
            'type'       => 'css_editor',
            'heading'    => __( 'CSS box', 'tracian-shortcodes' ),
            'param_name' => 'css',
            'group'      => __( 'Design Options', 'tracian-shortcodes' ),
        ),
    ),
   'js_view' => 'VcCustomElementView',
   'custom_markup' => '<div class="vc_custom-element-container vc_custom-element-infoboxes"><div class="{{ params.add_horizontal_line }}"><span class="title">{{ params.infotitle }}</span><span class="content">{{ params.content }}</span></div></div>',
) );
}

?>