<?php
if ( ! class_exists( 'WPBakeryShortCode_gg_media_carousel' ) ) {
class WPBakeryShortCode_gg_media_carousel extends WPBakeryShortCode {

   public function __construct() {  
         add_shortcode('media_carousel', array($this, 'gg_media_carousel'));  
   }

   public function gg_media_carousel( $atts, $content = null ) { 

         $output = $onclick_img = $thumbnail = $source = $custom_links = $custom_links_target = $img_size = $images = $media_carousel_title = $carousel_data = $carousel_data_html = $product_featured = $product_onsale = $product_best_seller = $link_html = $image = $el_class = $isotope_item = $is_carousel = $carousel_data = $carousel_nav =  $carousel_pag = $slidesperview = '';
         extract(shortcode_atts(array(
            'media_carousel_title'      => '',
            'slidesperview'             => 'auto',
            'slidespercolumn'           => '1',
            'spacebetween'              => '0',
            'initialslide'              => '0',
            'direction'                 => 'horizontal',
            'speed'                     => '300',
            'add_navigation'            => '',
            'add_pagination'            => '',
            'paginationtype'            => 'bullets',
            'effect'                    => 'slide',
            'add_loop'                  => '',
            'add_centered_slides'       => '',
            'autoplay'                  => '',
            'orderby'                   => '',
            'order'                     => '',
            'meta_key'                  => '',
            'grid_layout_mode'          => 'fitRows',
            'grid_layout_style'         => 'gap',
            'el_class'                  => '',
            'css_animation'             => '',
            'carousel_nav'              => '',
            'carousel_pag'              => '',
            'carousel_autoplay'         => '',
            'media_carousel_pagination' => '',
            'show_filter'               => '',
            'onclick_img'                   => '',
            'custom_links'              => '',
            'custom_links_target'       => '',
            'img_size'                  => '',
            'images'                    => '',
            'source'                    => '',
         ), $atts));

        //Defaults
        global $gg_is_vc;

        $default_src = vc_asset_url( 'vc/no_image.png' );

        $rtlmode = '';
        $gal_images = '';
        $link_start = '';
        $link_end = '';
        $el_start = '';
        $el_end = '';
        $slides_wrap_start = '';
        $slides_wrap_end = '';
        $unique_id = rand();

        if ( 'link_image_pretty' === $onclick_img ) {
            wp_enqueue_script( 'prettyphoto' );
            wp_enqueue_style( 'prettyphoto' );
        }

        if ( '' === $images ) {
            $images = '-1,-2,-3';
        }
        $images = explode( ',', $images );

        $pretty_rel_random = ' data-rel="prettyPhoto[rel-' . get_the_ID() . '-' . rand() . ']"';

        if ( 'custom_link' === $onclick_img ) {
            $custom_links = vc_value_from_safe( $custom_links );
            $custom_links = explode( ',', $custom_links );
        }

        //RTL
        if ( is_rtl() ) {
            $rtlmode = 'dir="rtl"';
        }

        //Animation
        $css_class = $this->getCSSAnimation($css_animation);
        //Extra class
        $css_class .= $this->getExtraClass( $el_class );

        if ( $add_loop == 'use_loop' ) { $loop = 'true'; } else { $loop = 'false'; }
        if ( $add_centered_slides == 'use_centered_slides' ) { $centeredslides = 'true'; } else { $centeredslides = 'false'; }

        //Load carousel
        $carousel_data .= ' data-slidesperview ="'.$slidesperview.'"'; //Number of slides per view. Def: auto
        $carousel_data .= ' data-slidespercolumn ="'.$slidespercolumn.'"'; //Number of slides per column, for multirow layout
        $carousel_data .= ' data-spacebetween ="'.$spacebetween.'"'; //Distance between slides in px. Def: 0
        $carousel_data .= ' data-initialslide ="'.$initialslide.'"'; //Index number of initial slide. Def: 0
        $carousel_data .= ' data-direction ="'.$direction.'"'; //Could be 'horizontal' or 'vertical' (for vertical slider). Def: 'horizontal'
        $carousel_data .= ' data-speed ="'.$speed.'"'; //Duration of transition between slides (in ms). Def: 300
        $carousel_data .= ' data-loop ="'.$loop.'"'; //Set to true to enable continuous loop mode
        $carousel_data .= ' data-centeredslides ="'.$centeredslides.'"'; // If true, then active slide will be centered, not always on the left side.
        $carousel_data .= ' data-effect ="'.$effect.'"'; //Could be "slide", "fade", "cube", "coverflow" or "flip"
        $carousel_data .= ' data-autoplay ="'.$autoplay.'"'; // Delay between transitions (in ms).
        $carousel_data .= ' data-paginationtype ="'.$paginationtype.'"'; //String with type of pagination. Can be "bullets", "fraction", "progress" or "custom"

        //Start the insanity
        $output .= "\n\t".'<div class="'.$css_class.'">';
        $output .= "\n\t\t".'<div class="swiper-container" data-uid="swiper-'.$unique_id.'" '.$carousel_data.' '.$rtlmode.' >';

        $output .= "\n\t\t\t".'<div class="swiper-wrapper">';
        foreach ( $images as $i => $image ) {
          
            if ( $image > 0 ) {
                $img = wpb_getImageBySize( array(
                    'attach_id' => $image,
                    'thumb_size' => $img_size,
                ) );
                $thumbnail = $img['thumbnail'];
                $large_img_src = $img['p_img_large'][0];
            } else {
                $large_img_src = $default_src;
                $thumbnail = '<img src="' . $default_src . '" />';
            }
 
            switch ( $onclick_img ) {
                case 'img_link_large':
                    $link_start = '<a href="' . $large_img_src . '" target="' . $custom_links_target . '">';
                    $link_end = '</a>';
                break;

                case 'link_image_pretty':
                    $link_start = '<a class="prettyphoto" href="' . $large_img_src . '"' . $pretty_rel_random . '>';
                    $link_end = '</a>';
                break;

                case 'custom_link':
                    if ( ! empty( $custom_links[ $i ] ) ) {
                        $link_start = '<a href="' . $custom_links[ $i ] . '"' . ( ! empty( $custom_links_target ) ? ' target="' . $custom_links_target . '"' : '' ) . '>';
                        $link_end = '</a>';
                    }
                break;
            }

            $output .= '<div class="swiper-slide">' . $el_start . $link_start . $thumbnail . $link_end . $el_end .'</div>';
        }
        $output .= "\n\t\t\t".'</div>';

        //Pagination
        if ( $add_pagination == 'use_pagination' ) {
            $output .= "\n\t\t".'<div id="pagination-swiper-'.$unique_id.'" class="swiper-pagination"></div>';
        }

        //Navigation
        if ( $add_navigation == 'use_navigation' ) {
            $output .= "\n\t\t".'<div id="btn-next-swiper-'.$unique_id.'" class="swiper-button-next"><span></span></div>';
            $output .= "\n\t\t".'<div id="btn-prev-swiper-'.$unique_id.'" class="swiper-button-prev"><span></span></div>';
        }

        $output .= "\n\t\t".'</div>';
        $output .= "\n\t".'</div>';
        //End the insanity

        return $output;
   }

}// END class WPBakeryShortCode_gg_media_carousel

$WPBakeryShortCode_gg_media_carousel = new WPBakeryShortCode_gg_media_carousel();

}// END if ( ! class_exists( 'WPBakeryShortCode_gg_media_carousel' ) ) { 

if ( function_exists( 'vc_map' ) ) {

vc_map( array(
   "name"              => esc_html__("Media carousel","tracian-shortcodes"),
   "description"       => esc_html__('Tracian media carousel', 'tracian-shortcodes'),
   "base"              => "media_carousel",
   "weight"            => -50,
   "icon"              => "gg_vc_icon",
   'admin_enqueue_css' => array(TRACIAN_SHORTCODES_DIR . '/shortcodes/css/styles.css'),
   "category"          => esc_html__('Tracian', 'tracian-shortcodes'),
   "params" => array(
    array(
        "type" => "textfield",
        "heading" => esc_html__("Title","tracian-shortcodes"),
        "param_name" => "media_carousel_title",
        "value" =>'',
        "description" => esc_html__("Insert the title","tracian-shortcodes"),
    ),
    array(
        'type' => 'attach_images',
        'heading' => __( 'Images', 'tracian-shortcodes' ),
        'param_name' => 'images',
        'value' => '',
        'description' => __( 'Select images from media library.', 'tracian-shortcodes' ),
    ),
    array(
        'type' => 'textfield',
        'heading' => __( 'Image size', 'tracian-shortcodes' ),
        'param_name' => 'img_size',
        'value' => 'thumbnail',
        'description' => __( 'Enter image size. Example: thumbnail, medium, large, full or other sizes defined by current theme. Alternatively enter image size in pixels: 200x100 (Width x Height). Leave empty to use "thumbnail" size.', 'tracian-shortcodes' ),
    ),
    array(
        'type' => 'dropdown',
        'heading' => __( 'On click action', 'tracian-shortcodes' ),
        'param_name' => 'onclick_img',
        'value' => array(
            __( 'None', 'tracian-shortcodes' ) => '',
            __( 'Link to large image', 'tracian-shortcodes' ) => 'img_link_large',
            __( 'Open prettyPhoto', 'tracian-shortcodes' ) => 'link_image_pretty',
            __( 'Open custom link', 'tracian-shortcodes' ) => 'custom_link',
        ),
        'description' => __( 'Select action for click action.', 'tracian-shortcodes' ),
    ),
    array(
        'type' => 'exploded_textarea_safe',
        'heading' => __( 'Custom links', 'tracian-shortcodes' ),
        'param_name' => 'custom_links',
        'description' => __( 'Enter links for each slide (Note: divide links with linebreaks (Enter)).', 'tracian-shortcodes' ),
        'dependency' => array(
        'element' => 'onclick_img',
            'value' => array( 'custom_link' ),
        ),
    ),
    array(
        'type' => 'dropdown',
        'heading' => __( 'Custom link target', 'tracian-shortcodes' ),
        'param_name' => 'custom_links_target',
        'description' => __( 'Select where to open  custom links.', 'tracian-shortcodes' ),
        'dependency' => array(
            'element' => 'onclick_img',
                'value' => array(
                    'custom_link',
                    'img_link_large',
                    ),
                ),
            'value' => array(
                __( 'Same window', 'tracian-shortcodes' ) => '_self',
                __( 'New window', 'tracian-shortcodes' ) => '_blank',
                ),
        ),
    array(
        "type" => "dropdown",
        "edit_field_class" => "vc_col-sm-6 vc_column",
        "heading" => esc_html__("Number of slides per view", "tracian-shortcodes"),
        "param_name" => "slidesperview",
        "value" => array('auto',1,2,3,4,5,6,7,8,9,10),
        "admin_label" => true,
    ),
    array(
        "type" => "dropdown",
        "edit_field_class" => "vc_col-sm-6 vc_column",
        "heading" => esc_html__("Number of slides per column", "tracian-shortcodes"),
        "param_name" => "slidespercolumn",
        "value" => array(1,2,3,4),
        "admin_label" => true,
    ),
    array(
        "type" => "textfield",
        "edit_field_class" => "vc_col-sm-4 vc_column",
        "heading" => esc_html__("Distance between slides","tracian-shortcodes"),
        "param_name" => "spacebetween",
        "value" =>'0',
        'description' => __( 'Number without "px"', 'tracian-shortcodes' ),
    ),
    array(
        "type" => "textfield",
        "edit_field_class" => "vc_col-sm-4 vc_column",
        "heading" => esc_html__("Index of initial slide","tracian-shortcodes"),
        "param_name" => "initialslide",
        "value" =>'0',
    ),
    array(
        "type" => "textfield",
        "edit_field_class" => "vc_col-sm-4 vc_column",
        "heading" => esc_html__("Autoplay","tracian-shortcodes"),
        "param_name" => "autoplay",
        "value" =>'',
        "description" => __( 'Delay between transitions (in ms). If this parameter is not specified, auto play will be disabled', 'tracian-shortcodes' ),
    ),
    array(
        'type' => 'dropdown',
        "edit_field_class" => "vc_col-sm-6 vc_column",
        'heading' => __( 'Slider direction', 'tracian-shortcodes' ),
        'param_name' => 'direction',
        'value' => array(
            __( 'Horizontal', 'tracian-shortcodes' ) => 'horizontal',
            __( 'Vertical', 'tracian-shortcodes' ) => 'vertical',
        ),
        'std' => 'horizontal',
    ),
    array(
        "type" => "textfield",
        "edit_field_class" => "vc_col-sm-6 vc_column",
        "heading" => esc_html__("Duration between slides (in ms)","tracian-shortcodes"),
        "param_name" => "speed",
        "value" =>'300',
    ),
    array(
        "type" => "checkbox",
        "heading" => esc_html__("Add pagination?", "tracian-shortcodes"),
        "value" => array(esc_html__("Yes, please", "tracian-shortcodes") => "use_pagination" ),
        "param_name" => "add_pagination",
    ),
    array(
        'type' => 'dropdown',
        'heading' => __( 'Pagination type', 'tracian-shortcodes' ),
        'param_name' => 'paginationtype',
        'value' => array(
            __( 'Bullets', 'tracian-shortcodes' ) => 'bullets',
            __( 'Fraction', 'tracian-shortcodes' ) => 'fraction',
            __( 'Progress', 'tracian-shortcodes' ) => 'progressbar',
        ),
        'std' => 'bullets',
        "dependency" => Array('element' => "add_pagination", 'value' => array('use_pagination')),
    ),
    array(
        "type" => "checkbox",
        "heading" => esc_html__("Add navigation?", "tracian-shortcodes"),
        "value" => array(esc_html__("Yes, please", "tracian-shortcodes") => "use_navigation" ),
        "param_name" => "add_navigation",
    ),
    array(
        "type" => "checkbox",
        "heading" => esc_html__("Continuous loop mode?", "tracian-shortcodes"),
        "value" => array(esc_html__("Yes, please", "tracian-shortcodes") => "use_loop" ),
        "param_name" => "add_loop",
    ),
    array(
        "type" => "checkbox",
        "heading" => esc_html__("Centered slides?", "tracian-shortcodes"),
        "value" => array(esc_html__("Yes, please", "tracian-shortcodes") => "use_centered_slides" ),
        "param_name" => "add_centered_slides",
    ),
    array(
        'type' => 'dropdown',
        'heading' => __( 'Effect', 'tracian-shortcodes' ),
        'param_name' => 'effect',
        'value' => array(
            __( 'Slide', 'tracian-shortcodes' )     => 'slide',
            __( 'Fade', 'tracian-shortcodes' )      => 'fade',
            __( 'Cube', 'tracian-shortcodes' )      => 'cube',
            __( 'Coverflow', 'tracian-shortcodes' ) => 'coverflow',
            __( 'Flip', 'tracian-shortcodes' )      => 'flip',
        ),
        'description' => __( 'Choose the slide effect', 'tracian-shortcodes' ),
        'std' => 'slide',
    ),
    vc_map_add_css_animation(),
    array(
        'type' => 'el_id',
        "edit_field_class" => "vc_col-sm-6 vc_column",
        'heading' => __( 'Element ID', 'tracian-shortcodes' ),
        'param_name' => 'el_id',
        'description' => sprintf( __( 'Enter element ID (Note: make sure it is unique and valid according to <a href="%s" target="_blank">w3c specification</a>).', 'tracian-shortcodes' ), 'http://www.w3schools.com/tags/att_global_id.asp' ),
    ),
    array(
        'type' => 'textfield',
        "edit_field_class" => "vc_col-sm-6 vc_column",
        'heading' => __( 'Extra class name', 'tracian-shortcodes' ),
        'param_name' => 'el_class',
        'description' => __( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'tracian-shortcodes' ),
    ),
    array(
        'type' => 'css_editor',
        'heading' => __( 'CSS box', 'tracian-shortcodes' ),
        'param_name' => 'css',
        'group' => __( 'Design Options', 'tracian-shortcodes' ),
    ),

   )
) );
}


?>