<?php
if ( ! class_exists( 'WPBakeryShortCode_gg_special_button' ) ) {
class WPBakeryShortCode_gg_special_button extends WPBakeryShortCode {

   	public function __construct() {  
		add_shortcode('special_button', array($this, 'gg_special_button'));  
   	}

   	public function gg_special_button( $atts, $content = null ) { 

		$output = $color = $css_class = $align = $special_button = $special_button_line_pos = $css = $css_animation = $special_button_html = '';
		extract(shortcode_atts(array(
            'special_button' => '',
            'button_style'   => 'btn-primary',
            'align'          => 'left',
            'el_class'       => '',
            'css'            => '',
            'css_animation'  => ''
		), $atts));

		$url = vc_build_link( $special_button );

		$css_class .= $this->getCSSAnimation($css_animation);
		$css_class .= vc_shortcode_custom_css_class( $css, ' ' ) . $this->getExtraClass( $el_class ); 
		$css_class .= ' special-button-align-'.$align;
        $css_class .= ' special-button-style-'.$button_style;

		if ( strlen( $special_button ) > 0 && strlen( $url['url'] ) > 0 ) {
			$special_button_html .= '<div class="gg-special-button-wrapper '.esc_attr($css_class).'">';
			$special_button_html .= '<a class="btn '.esc_attr($button_style).'" href="' . esc_url( $url['url'] ) . '" title="' . esc_attr( $url['title'] ) . '" target="' . ( strlen( $url['target'] ) > 0 ? esc_attr( $url['target'] ) : '_self' ) . '">' . esc_html( $url['title'] ) . '</a>';
			$special_button_html .= '</div>';
		}
		 
		$output .= "\n\t".$special_button_html; 

		return $output;
		 
   	}
}// END class WPBakeryShortCode_gg_special_button

$WPBakeryShortCode_gg_special_button = new WPBakeryShortCode_gg_special_button();

}// END if ( ! class_exists( 'WPBakeryShortCode_gg_special_button' ) ) { 

if ( function_exists( 'vc_map' ) ) {

vc_map( array(
   "name"              => esc_html__("Special button","tracian-shortcodes"),
   "description"       => esc_html__('Simple button with multiple styles', 'tracian-shortcodes'),
   "base"              => "special_button",
   "icon"              => "gg_vc_icon",
   "weight"            => -50,
   'admin_enqueue_css' => array(TRACIAN_SHORTCODES_DIR . '/shortcodes/css/styles.css'),
   'admin_enqueue_js'  => array(TRACIAN_SHORTCODES_DIR . '/shortcodes/js/custom-vc.js'),
   "category"          => esc_html__('Tracian', 'tracian-shortcodes'),
   "params" => array(

   		array(
			"type" => "vc_link",
			"heading" => esc_html__("URL (Link)", "tracian-shortcodes"),
			"param_name" => "special_button",
		),
	  	array(
			"type" => "dropdown",
			"heading" => esc_html__("Button style", "tracian-shortcodes"),
			"param_name" => "button_style",
			"value" => array(
                esc_html__("Primary", "tracian-shortcodes")         => "btn-primary",
                esc_html__("Secondary", "tracian-shortcodes")       => "btn-secondary",
                esc_html__("Tertiary", "tracian-shortcodes")        => "btn-tertiary",
                esc_html__("Primary outline", "tracian-shortcodes") => "btn-primary outline",
                esc_html__("White outline", "tracian-shortcodes")   => "btn-white outline",
                esc_html__("Black outline", "tracian-shortcodes")   => "btn-black outline",
                esc_html__("Gradient outline", "tracian-shortcodes")   => "btn-primary gradient-outline",
			),
			"std" => "btn-primary"
	  	),
	  	array(
			"type" => "dropdown",
			"heading" => esc_html__("Align", "tracian-shortcodes"),
			"param_name" => "align",
			"value" => array(esc_html__("Align left", "tracian-shortcodes") => "left", esc_html__("Align right", "tracian-shortcodes") => "right", esc_html__("Align center", "tracian-shortcodes") => "center"),
		),
		//Custom design options
		vc_map_add_css_animation(),
		array(
			'type' => 'textfield',
			'heading' => __( 'Extra class name', 'tracian-shortcodes' ),
			'param_name' => 'el_class',
			'description' => __( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'tracian-shortcodes' ),
		),
		array(
			'type' => 'css_editor',
			'heading' => __( 'CSS box', 'tracian-shortcodes' ),
			'param_name' => 'css',
			'group' => __( 'Design Options', 'tracian-shortcodes' ),
		),
   ),
) );
}

?>