<?php
if ( ! class_exists( 'WPBakeryShortCode_gg_special_link' ) ) {
class WPBakeryShortCode_gg_special_link extends WPBakeryShortCode {

   	public function __construct() {  
		add_shortcode('special_link', array($this, 'gg_special_link'));  
   	}

   	public function gg_special_link( $atts, $content = null ) { 

		$output = $color = $css_class = $align = $special_link = $special_link_style = $css = $css_animation = $special_link_html = '';
		extract(shortcode_atts(array(
            'special_link_title'    => '',
            'special_link'          => '',
            'special_link_style' => 'underline_effect',
            'align'                 => 'text-align-left',
            'special_link_color'    => '',
            'el_class'              => '',
            'css'                   => '',
            'css_animation'         => ''
		), $atts));

		$url = vc_build_link( $special_link );

		if ( $special_link_color ) {
			$color = 'style="color: '.$special_link_color.';"';
		}

		$css_class .= $this->getCSSAnimation($css_animation);
		$css_class .= vc_shortcode_custom_css_class( $css, ' ' ) . $this->getExtraClass( $el_class ); 
		$css_class .= ' ' . $align;

		if ( $special_link_title && strlen( $url['url'] ) > 0 ) {
			$special_link_html .= '<div class="gg-special-link-wrapper '.$css_class.'">';
			$special_link_html .= '<a '.$color.' class="gg-special-link special-hover '.$special_link_style.' " href="' . esc_url( $url['url'] ) . '" title="' . esc_attr( $url['title'] ) . '" target="' . ( strlen( $url['target'] ) > 0 ? esc_attr( $url['target'] ) : '_self' ) . '">' . esc_html( $special_link_title ) . '</a>';
			$special_link_html .= '</div>';
		}
		 
		$output .= "\n\t".$special_link_html; 

		return $output;
		 
   	}
}// END class WPBakeryShortCode_gg_special_link

$WPBakeryShortCode_gg_special_link = new WPBakeryShortCode_gg_special_link();

}// END if ( ! class_exists( 'WPBakeryShortCode_gg_special_link' ) ) { 

if ( function_exists( 'vc_map' ) ) {

vc_map( array(
   "name"              => esc_html__("Special link","tracian-shortcodes"),
   "description"       => esc_html__('Simple link with a horizonatal line left or right.', 'tracian-shortcodes'),
   "base"              => "special_link",
   "icon"              => "gg_vc_icon",
   "weight"            => -50,
   'admin_enqueue_css' => array(TRACIAN_SHORTCODES_DIR . '/shortcodes/css/styles.css'),
   'admin_enqueue_js'  => array(TRACIAN_SHORTCODES_DIR . '/shortcodes/js/custom-vc.js'),
   "category"          => esc_html__('Tracian', 'tracian-shortcodes'),
   "params" => array(

        array(
            'type'       => 'textfield',
            'heading'    => __( 'Link text', 'tracian-shortcodes' ),
            'param_name' => 'special_link_title',
        ),
   		array(
			"type" => "vc_link",
			"heading" => esc_html__("URL (Link)", "tracian-shortcodes"),
			"param_name" => "special_link",
		),
		array(
			"type" => "colorpicker",
			"heading" => esc_html__('Link color', 'tracian-shortcodes'),
			"param_name" => "special_link_color",
		),
	  	array(
			"type" => "dropdown",
			"heading" => esc_html__("Link style", "tracian-shortcodes"),
			"param_name" => "special_link_style",
			"value" => array(
				esc_html__("With underline effect", "tracian-shortcodes") => "underline_effect",
                esc_html__("With right horizontal line", "tracian-shortcodes") => "right_horizontal_line_effect",
                esc_html__("With left horizontal line", "tracian-shortcodes") => "left_horizontal_line_effect",

			),
			"description" => esc_html__("Choose the horizontal line position", "tracian-shortcodes"),
			"std" => "underline_effect"
	  	),
	  	$align_param,
		//Custom design options
		vc_map_add_css_animation(),
		array(
			'type' => 'textfield',
			'heading' => __( 'Extra class name', 'tracian-shortcodes' ),
			'param_name' => 'el_class',
			'description' => __( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'tracian-shortcodes' ),
		),
		array(
			'type' => 'css_editor',
			'heading' => __( 'CSS box', 'tracian-shortcodes' ),
			'param_name' => 'css',
			'group' => __( 'Design Options', 'tracian-shortcodes' ),
		),
    ),
   'js_view' => 'VcCustomElementView',
   'custom_markup' => '<div class="vc_custom-element-container vc_custom-element-special_link"><div class="{{ params.align }}"><a class="special_link" href="#">{{ params.special_link_title }}</a></div></div>',
) );
}

?>