<?php
if ( ! class_exists( 'WPBakeryShortCode_gg_timeline_carousel' ) ) {
class WPBakeryShortCode_gg_timeline_carousel extends WPBakeryShortCode {

   public function __construct() {  
         add_shortcode('timeline_carousel', array($this, 'gg_timeline_carousel'));  
   }

   public function gg_timeline_carousel( $atts, $content = null ) { 

         $output = $css_class = $carousel_data = '';
         extract(shortcode_atts(array(
            'autoplay'       => '',
            'direction'      => '',
            'speed'          => '',
            'timeline_items' => '',
            'css_animation'  => '',
            'el_class'       => '',
            'css'            => '',
         ), $atts));

        $rtlmode = '';
        $gal_images = '';
        $link_start = '';
        $link_end = '';
        $el_start = '';
        $el_end = '';
        $slides_wrap_start = '';
        $slides_wrap_end = '';
        $unique_id = rand();

        $css_class .= vc_shortcode_custom_css_class( $css, ' ' ) . $el_class . $css_animation;        
        $items_v = vc_param_group_parse_atts( $timeline_items );

        //RTL
        if ( is_rtl() ) {
            $rtlmode = 'dir="rtl"';
        }

        //Load carousel
        $carousel_data .= ' data-slidesperview ="1"'; //Number of slides per view. Def: auto
        $carousel_data .= ' data-slidespercolumn ="1"'; //Number of slides per column, for multirow layout
        $carousel_data .= ' data-spacebetween ="0"'; //Distance between slides in px. Def: 0
        $carousel_data .= ' data-initialslide ="1"'; //Index number of initial slide. Def: 0
        $carousel_data .= ' data-direction ="horizontal"'; //Could be 'horizontal' or 'vertical' (for vertical slider). Def: 'horizontal'
        $carousel_data .= ' data-speed ="'.$speed.'"'; //Duration of transition between slides (in ms). Def: 300
        $carousel_data .= ' data-loop ="true"'; //Set to true to enable continuous loop mode
        $carousel_data .= ' data-centeredslides ="false"'; // If true, then active slide will be centered, not always on the left side.
        $carousel_data .= ' data-effect ="fade"'; //Could be "slide", "fade", "cube", "coverflow" or "flip"
        $carousel_data .= ' data-autoplay ="'.$autoplay.'"'; // Delay between transitions (in ms).
        $carousel_data .= ' data-paginationtype ="bullets"'; //String with type of pagination. Can be "bullets", "fraction", "progress" or "custom"

        //Start the insanity
        $output .= "\n\t".'<div class="'.$css_class.'">';
        $output .= "\n\t\t".'<div class="swiper-container timeline-carousel-container" data-uid="swiper-'.$unique_id.'" '.$carousel_data.' '.$rtlmode.' >';

        $output .= "\n\t\t\t".'<div class="swiper-wrapper timeline-carousel-wrapper">';
        if ( $items_v ) {
            foreach ( $items_v as $item ) {

                $img = wpb_getImageBySize( array(
                    'attach_id'  => $item['image'],
                    'thumb_size' => 'full',
                    'class'      => 'vc_single_image-img',
                ) );

                $output .= '<div class="swiper-slide timeline-carousel-slide">';
                
                $output .= '<div class="timeline-slide-img">';
                $output .= $img['thumbnail'];
                $output .= '</div>';

                $output .= '<div class="timeline-slide-content row">';
                $output .= '<div class="timeline-year col-xs-12 col-sm-4">';
                if ( isset($item['year']) && $item['year'] != '' ) {
                    $output .= $item['year'];
                }
                $output .= '</div>';
                $output .= '<div class="timeline-title col-xs-12 col-sm-8">';

                if ( isset($item['description']) && $item['description'] != '' ) {
                    $output .= '<span>'.$item['title'].'</span>';
                }

                if ( isset($item['description']) && $item['description'] != '' ) {
                    $output .= $item['description'];
                }
                $output .= '</div>';
                $output .= '</div>';

                $output .= '</div>';
            }
        } 

        $output .= "\n\t\t\t".'</div>';

        //Navigation
        $output .= "\n\t\t".'<div id="btn-next-swiper-'.$unique_id.'" class="swiper-button-next"></div>';
        $output .= "\n\t\t".'<div id="btn-prev-swiper-'.$unique_id.'" class="swiper-button-prev"></div>';

        $output .= "\n\t\t".'</div>';
        $output .= "\n\t".'</div>';
        //End the insanity

        return $output;
   }

}// END class WPBakeryShortCode_gg_timeline_carousel

$WPBakeryShortCode_gg_timeline_carousel = new WPBakeryShortCode_gg_timeline_carousel();

}// END if ( ! class_exists( 'WPBakeryShortCode_gg_timeline_carousel' ) ) { 

if ( function_exists( 'vc_map' ) ) {

vc_map( array(
   "name"              => esc_html__("Timeline carousel","tracian-shortcodes"),
   "description"       => esc_html__('Tracian timeline carousel', 'tracian-shortcodes'),
   "base"              => "timeline_carousel",
   "weight"            => -50,
   "icon"              => "gg_vc_icon",
   'admin_enqueue_css' => array(TRACIAN_SHORTCODES_DIR . '/shortcodes/css/styles.css'),
   "category"          => esc_html__('Tracian', 'tracian-shortcodes'),
   "params" => array(


    array(
        "type"             => "textfield",
        "edit_field_class" => "vc_col-sm-4 vc_column",
        "heading"          => esc_html__("Autoplay","tracian-shortcodes"),
        "param_name"       => "autoplay",
        "value"            =>'',
        "description"      => __( 'Delay between transitions (in ms). If this parameter is not specified, auto play will be disabled', 'tracian-shortcodes' ),
    ),
    array(
        'type'             => 'dropdown',
        "edit_field_class" => "vc_col-sm-6 vc_column",
        'heading'          => __( 'Slider direction', 'tracian-shortcodes' ),
        'param_name'       => 'direction',
        'value' => array(
            __( 'Horizontal', 'tracian-shortcodes' ) => 'horizontal',
            __( 'Vertical', 'tracian-shortcodes' ) => 'vertical',
        ),
        'std' => 'horizontal',
    ),
    array(
        "type"             => "textfield",
        "edit_field_class" => "vc_col-sm-6 vc_column",
        "heading"          => esc_html__("Duration between slides (in ms)","tracian-shortcodes"),
        "param_name"       => "speed",
        "value"            =>'300',
    ),
    array(
        'type' => 'param_group',
        'value' => '',
        'param_name' => 'timeline_items',
        'params' => array(
            array(
                "type"             => "textfield",
                "heading"          => esc_html__("Title","tracian-shortcodes"),
                "param_name"       => "title",
                "admin_label"      => true,
            ),
            array(
                "type"             => "textfield",
                "heading"          => esc_html__("Year","tracian-shortcodes"),
                "param_name"       => "year",
                "admin_label"      => true,
            ),
            array(
                "type"             => "textarea",
                "heading"          => esc_html__("Description","tracian-shortcodes"),
                "param_name"       => "description",
            ),
            array(
                'type' => 'attach_image',
                'heading' => __( 'Image', 'tracian-shortcodes' ),
                'param_name' => 'image',
                'value' => '',
                'description' => __( 'Select images from media library.', 'tracian-shortcodes' ),
            ),
        ),
    ), 
    

    vc_map_add_css_animation(),
    array(
        'type' => 'el_id',
        "edit_field_class" => "vc_col-sm-6 vc_column",
        'heading' => __( 'Element ID', 'tracian-shortcodes' ),
        'param_name' => 'el_id',
        'description' => sprintf( __( 'Enter element ID (Note: make sure it is unique and valid according to <a href="%s" target="_blank">w3c specification</a>).', 'tracian-shortcodes' ), 'http://www.w3schools.com/tags/att_global_id.asp' ),
    ),
    array(
        'type' => 'textfield',
        "edit_field_class" => "vc_col-sm-6 vc_column",
        'heading' => __( 'Extra class name', 'tracian-shortcodes' ),
        'param_name' => 'el_class',
        'description' => __( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'tracian-shortcodes' ),
    ),
    array(
        'type' => 'css_editor',
        'heading' => __( 'CSS box', 'tracian-shortcodes' ),
        'param_name' => 'css',
        'group' => __( 'Design Options', 'tracian-shortcodes' ),
    ),

   )
) );
}


?>