<?php
if ( ! class_exists( 'WPBakeryShortCode_gg_timeline_list' ) ) {
class WPBakeryShortCode_gg_timeline_list extends WPBakeryShortCode {

   public function __construct() {  
         add_shortcode('timeline_list', array($this, 'gg_timeline_list'));  
   }

   public function gg_timeline_list( $atts, $content = null ) { 

         $output = $css_class = $carousel_data = '';
         extract(shortcode_atts(array(
            'title'          => '',
            'timeline_items' => '',
            'css_animation'  => '',
            'el_class'       => '',
            'css'            => '',
         ), $atts));

        $css_class .= vc_shortcode_custom_css_class( $css, ' ' ) . $el_class . $css_animation;        
        $items_v = vc_param_group_parse_atts( $timeline_items );

        //Start the insanity
        $output .= "\n\t\t\t".'<div class="timeline-list-wrapper '.$css_class.'">';
        if ( $items_v ) {
            foreach ( $items_v as $item ) {

                $img = wpb_getImageBySize( array(
                    'attach_id'  => $item['image'],
                    'thumb_size' => 'full',
                    'class'      => 'vc_single_image-img',
                ) );

                $output .= '<div class="timeline-carousel-slide">';
                
                $output .= '<div class="timeline-slide-img">';
                $output .= $img['thumbnail'];
                if ( isset($item['year']) && $item['year'] != '' ) {
                    $output .= '<span class="year">'.$item['year'].'</span>';
                }
                if ( isset($item['title_over_image']) && $item['title_over_image'] != '' ) {
                    $output .= '<span class="title-over-image">'.$item['title_over_image'].'</span>';
                }
                $output .= '</div>';

                if ( isset($item['title']) || isset($item['description']) ) {
                    $output .= '<div class="timeline-slide-content">';
                    if ( isset($item['description']) && $item['description'] != '' ) {
                        $output .= '<h2 class="title">'.$item['title'].'</h2>';
                    }
                    if ( isset($item['description']) && $item['description'] != '' ) {
                        $output .= '<span class="description">'.$item['description'].'</span>';
                    }
                    $output .= '</div>';
                }
                $output .= '</div>';
            }
        } 

        $output .= "\n\t\t".'</div>';
        //End the insanity

        return $output;
   }

}// END class WPBakeryShortCode_gg_timeline_list

$WPBakeryShortCode_gg_timeline_list = new WPBakeryShortCode_gg_timeline_list();

}// END if ( ! class_exists( 'WPBakeryShortCode_gg_timeline_list' ) ) { 

if ( function_exists( 'vc_map' ) ) {

vc_map( array(
   "name"              => esc_html__("Timeline list","tracian-shortcodes"),
   "description"       => esc_html__('Tracian timeline list', 'tracian-shortcodes'),
   "base"              => "timeline_list",
   "weight"            => -50,
   "icon"              => "gg_vc_icon",
   'admin_enqueue_css' => array(TRACIAN_SHORTCODES_DIR . '/shortcodes/css/styles.css'),
   "category"          => esc_html__('Tracian', 'tracian-shortcodes'),
   "params" => array(


    array(
        "type"             => "textfield",
        "heading"          => esc_html__("Title","tracian-shortcodes"),
        "param_name"       => "title",
        "value"            =>'',
    ),
    
    array(
        'type' => 'param_group',
        'value' => '',
        'param_name' => 'timeline_items',
        'params' => array(
            array(
                "type"             => "textfield",
                "heading"          => esc_html__("Title","tracian-shortcodes"),
                "param_name"       => "title",
                "admin_label"      => true,
            ),
            array(
                "type"             => "textfield",
                "heading"          => esc_html__("Title over image","tracian-shortcodes"),
                "param_name"       => "title_over_image",
                "admin_label"      => true,
            ),
            array(
                "type"             => "textfield",
                "heading"          => esc_html__("Year","tracian-shortcodes"),
                "param_name"       => "year",
                "admin_label"      => true,
            ),
            array(
                "type"             => "textarea",
                "heading"          => esc_html__("Description","tracian-shortcodes"),
                "param_name"       => "description",
            ),
            array(
                'type'        => 'attach_image',
                'heading'     => __( 'Image', 'tracian-shortcodes' ),
                'param_name'  => 'image',
                'value'       => '',
                'description' => __( 'Select images from media library.', 'tracian-shortcodes' ),
            ),
        ),
    ), 
    

    vc_map_add_css_animation(),
    array(
        'type' => 'el_id',
        "edit_field_class" => "vc_col-sm-6 vc_column",
        'heading' => __( 'Element ID', 'tracian-shortcodes' ),
        'param_name' => 'el_id',
        'description' => sprintf( __( 'Enter element ID (Note: make sure it is unique and valid according to <a href="%s" target="_blank">w3c specification</a>).', 'tracian-shortcodes' ), 'http://www.w3schools.com/tags/att_global_id.asp' ),
    ),
    array(
        'type' => 'textfield',
        "edit_field_class" => "vc_col-sm-6 vc_column",
        'heading' => __( 'Extra class name', 'tracian-shortcodes' ),
        'param_name' => 'el_class',
        'description' => __( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'tracian-shortcodes' ),
    ),
    array(
        'type' => 'css_editor',
        'heading' => __( 'CSS box', 'tracian-shortcodes' ),
        'param_name' => 'css',
        'group' => __( 'Design Options', 'tracian-shortcodes' ),
    ),

   )
) );
}


?>