<?php
if ( ! class_exists( 'WPBakeryShortCode_gg_title_subtitle' ) ) {
class WPBakeryShortCode_gg_title_subtitle extends WPBakeryShortCode {

    public function __construct() {  
		add_shortcode('title_subtitle', array($this, 'gg_title_subtitle'));  
    }

    public function gg_title_subtitle( $atts, $content = null ) { 

		$output = $title = $title_html = $toptitle_html = $style = $padding = $subtitle = $font_size = $t_font_style = $t_font_transform = $t_font_white_space = $t_font_color = $tt_font_color = $s_font_color ='';
		extract(shortcode_atts(array(
            'title'               => '',
            'title_type'          => 'h1',
            'subtitle'            => '',
            'add_subtitle'        => '',
            'toptitle'            => '',
            'toptitle_font_color' => '',
            'add_toptitle'        => '',
            'add_toptitle_hor_line'        => '',
            'custom_font_size'    => '',
            'custom_font_size_px' => '',
            'title_font_color'    => '',
            'subtitle_font_color' => '',
            'padding'             => '',
            'align'               => 'left',
            'add_vertical_line'       => '',
            'vertical_line_color'     => '',
            'margin_bottom'       => '',
            'font_style'          => 'normal',
            'font_transform'      => '',
            'font_white_space'    => '',
            'title_special_style' => '',
            'el_class'            => '',
            'css_animation'       => '',
            'css'                 => '',
		), $atts));

		$css_class = $this->getCSSAnimation($css_animation);
		 
		if( $align != '') {

			if (is_rtl() && $align == 'left')
				$style .= ' text-align: right;';
			elseif (is_rtl() && $align == 'right')
				$style .= ' text-align: else;';
			else
				$style .= ' text-align: '.$align.';';
		}

		if( $font_style != '' ) {
			$t_font_style = ' font-style: '.$font_style.';';
		}

		if( $font_transform != '' ) {
			$t_font_transform = ' text-transform: '.$font_transform.';';
		}
		if( $font_white_space != '' ) {
			$t_font_white_space = ' white-space: '.$font_white_space.';';
		}

	    if ( $custom_font_size == 'use_custom_font_size' ) {
			$font_size = ' font-size:'.$custom_font_size_px.'px; line-height: normal;';
		}

		if (!empty($title_font_color)) {
			$t_font_color = ' color:'.$title_font_color.'; ';
		}

        if (!empty($toptitle_font_color)) {
            $tt_font_color = ' color:'.$toptitle_font_color.'; ';
        }

		if (!empty($subtitle_font_color)) {
			$s_font_color = ' color:'.$subtitle_font_color.'; ';
		}

		if ($title_special_style == 'line_over_text') {
			$css_class .= ' '.$title_special_style;
		}

        

		$title_style_array = 'style="'.$font_size.$t_font_color.$t_font_style.$t_font_transform.$t_font_white_space.'"';
		$subtitle_style_array = 'style="'.$s_font_color.'"';
        $toptitle_style_array = 'style="'.$tt_font_color.'"';

        if ($add_toptitle_hor_line == 'use_toptitle_hor_line') {
            $toptitle_style_array .= ' class="toptitle_has_hor_line"';
        }
		 
		$output  = "\n\t".'<div class="title-subtitle-box '.$css_class.' ' . esc_attr( trim( vc_shortcode_custom_css_class( $css ) ) ) . '" style="'.$style.'">';
		
        //Vertical line
        if ( $add_vertical_line == 'use_vertical_line' ) {
            $output .= "\n\t\t".'<span class="gg-vertical-line" '.($vertical_line_color !== '' ? 'style="background: '.$vertical_line_color.'"' : '').' ></span>';
        }

        //Toptitle
        if( $add_toptitle == 'use_toptitle' && $toptitle != '' ) {
            $toptitle_html .= "\n\t\t".'<span '.$toptitle_style_array.'>'.$toptitle.'</span>';
        }

		//Title
		if( $title != '' ) {
			$output .= "\n\t\t".'<'.$title_type.' '.$title_style_array.' class="special-title" >' . $toptitle_html . $title . '</'.$title_type.'>';
		}

        //Subtitle
        if( $add_subtitle == 'use_subtitle' && $subtitle != '' ) {
            $output .= "\n\t\t".'<p '.$subtitle_style_array.' class="special-subtitle">'.$subtitle.'</p>';
        }

        //Description
        if ($content) {
            $output .= "\n\t\t".'<div class="box-description">'.wpb_js_remove_wpautop( $content, true ).'</div>';
        }
        
		$output .= "\n\t".'</div> ';

		return $output;
		 
   }

}// END class WPBakeryShortCode_gg_title_subtitle

$WPBakeryShortCode_gg_title_subtitle = new WPBakeryShortCode_gg_title_subtitle();

}// END if ( ! class_exists( 'WPBakeryShortCode_gg_title_subtitle' ) ) { 

if ( function_exists( 'vc_map' ) ) {

vc_map( array(
    "name"              => esc_html__("Title and Subtitle", "tracian-shortcodes"),
    "description"       => esc_html__('Display a title and a subtitle.', 'tracian-shortcodes'),
    "base"              => "title_subtitle",
    "icon"              => "gg_vc_icon",
    "weight"            => -50,
    'admin_enqueue_css' => array(TRACIAN_SHORTCODES_DIR . '/shortcodes/css/styles.css'),
    'admin_enqueue_js'  => array(TRACIAN_SHORTCODES_DIR . '/shortcodes/js/custom-vc.js'),
    "category"          => esc_html__('Tracian', 'tracian-shortcodes'),
    "params" => array(

        array(
            "type"        => "textfield",
            "heading"     => esc_html__("Title", "tracian-shortcodes"),
            "param_name"  => "title",
            "admin_label" => true,
        ),
        array(
            "type"             => "dropdown",
            'edit_field_class' => 'vc_col-sm-6 vc_column',
            "heading"          => esc_html__("Title type", "tracian-shortcodes"),
            "param_name"       => "title_type",
            "value"            => $headings_array,
            "description"      => esc_html__("Choose the heading type", "tracian-shortcodes"),
            "dependency"       => Array('element' => "title", 'not_empty' => true)
        ),

        array(
            "type"             => "dropdown",
            'edit_field_class' => 'vc_col-sm-6 vc_column',
            "heading"          => esc_html__("Align", "tracian-shortcodes"),
            "param_name"       => "align",
            "value"            => array(
                                    esc_html__("Align left", "tracian-shortcodes") => "left",
                                    esc_html__("Align right", "tracian-shortcodes") => "right",
                                    esc_html__("Align center", "tracian-shortcodes") => "center"
                                ),
            "description"      => esc_html__("Set the alignment", "tracian-shortcodes")
        ),
	  
        array(
            "type" => "dropdown",
            'edit_field_class' => 'vc_col-sm-6 vc_column',
            "heading" => esc_html__("Title font style", "tracian-shortcodes"),
            "param_name" => "font_style",
            "value" => array(esc_html__("Normal", "tracian-shortcodes") => "normal", esc_html__("Bold", "tracian-shortcodes") => "bold", esc_html__("Italic", "tracian-shortcodes") => "italic"),
            "dependency" => Array('element' => "title", 'not_empty' => true)
        ),
        array(
            "type" => "dropdown",
            'edit_field_class' => 'vc_col-sm-6 vc_column',
            "heading" => esc_html__("Title font transform", "tracian-shortcodes"),
            "param_name" => "font_transform",
            "value" => array(esc_html__("None", "tracian-shortcodes") => "",esc_html__("Uppercase", "tracian-shortcodes") => "uppercase", esc_html__("Lowercase", "tracian-shortcodes") => "lowercase", esc_html__("Capitalize", "tracian-shortcodes") => "capitalize"),
            "description" => esc_html__("Set the font transform", "tracian-shortcodes"),
            "dependency" => Array('element' => "title", 'not_empty' => true)
        ),
        array(
            "type" => "dropdown",
            'edit_field_class' => 'vc_col-sm-6 vc_column',
            "heading" => esc_html__("Title white space", "tracian-shortcodes"),
            "param_name" => "font_white_space",
            "value" => array(esc_html__("Normal", "tracian-shortcodes") => "normal",esc_html__("Nowrap", "tracian-shortcodes") => "nowrap", esc_html__("Pre", "tracian-shortcodes") => "pre"),
            "description" => esc_html__("Set the font white space", "tracian-shortcodes"),
            "dependency" => Array('element' => "title", 'not_empty' => true)
        ),
        array(
            "type" => "dropdown",
            'edit_field_class' => 'vc_col-sm-6 vc_column',
            "heading" => esc_html__("Title special style", "tracian-shortcodes"),
            "param_name" => "title_special_style",
            "value" => array(
                esc_html__("None", "tracian-shortcodes") => "", 
                esc_html__("Line over text", "tracian-shortcodes") => "line_over_text",
            ),
            "std" => "",
            "description" => esc_html__("Choose a special title style", "tracian-shortcodes"),
            "dependency" => Array('element' => "title", 'not_empty' => true)
        ),

        array(
            "type"        => "colorpicker",
            "heading"     => esc_html__('Title font color', 'tracian-shortcodes'),
            "param_name"  => "title_font_color",
            "description" => esc_html__("Select the title font color", "tracian-shortcodes"),
            "dependency"  => Array('element' => "title", 'not_empty' => true)
        ),
        array(
            "type" => "checkbox",
            "class" => "",
            "heading" => esc_html__("Custom font size for title?", "tracian-shortcodes"),
            "value" => array(esc_html__("Yes, please", "tracian-shortcodes") => "use_custom_font_size" ),
            "param_name" => "custom_font_size",
            "dependency" => Array('element' => "title", 'not_empty' => true)
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Insert the title font size", "tracian-shortcodes"),
            "param_name" => "custom_font_size_px",
            "description" => esc_html__("Insert the custom font size in px.", "tracian-shortcodes"),
            "dependency" => Array('element' => "custom_font_size", 'value' => array('use_custom_font_size'))
        ),
        array(
            "type"       => "checkbox",
            "heading"    => esc_html__("Add toptitle?", "tracian-shortcodes"),
            "value"      => array(esc_html__("Yes, please", "tracian-shortcodes") => "use_toptitle" ),
            "param_name" => "add_toptitle",
            'group'      => __( 'Toptitle Options', 'tracian-shortcodes' ),
        ),
        array(
            "type"        => "textfield",
            "heading"     => esc_html__("Top title", "tracian-shortcodes"),
            "param_name"  => "toptitle",
            'group'       => __( 'Toptitle Options', 'tracian-shortcodes' ),
            "admin_label" => true,
            "dependency" => Array('element' => "add_toptitle", 'value' => array('use_toptitle')),
        ),
        array(
            "type"        => "colorpicker",
            "heading"     => esc_html__('Top title font color', 'tracian-shortcodes'),
            "param_name"  => "toptitle_font_color",
            "dependency"  => Array('element' => "toptitle", 'not_empty' => true),
            'group'       => __( 'Toptitle Options', 'tracian-shortcodes' ),
        ),
        array(
            "type"       => "checkbox",
            "heading"    => esc_html__("Use horizontal line effect?", "tracian-shortcodes"),
            "value"      => array(esc_html__("Yes, please", "tracian-shortcodes") => "use_toptitle_hor_line" ),
            "dependency"  => Array('element' => "toptitle", 'not_empty' => true),
            "param_name" => "add_toptitle_hor_line",
            'group'      => __( 'Toptitle Options', 'tracian-shortcodes' ),
        ),
        array(
            "type"       => "checkbox",
            "heading"    => esc_html__("Add subtitle?", "tracian-shortcodes"),
            "value"      => array(esc_html__("Yes, please", "tracian-shortcodes") => "use_subtitle" ),
            "param_name" => "add_subtitle",
            'group'      => __( 'Subtitle Options', 'tracian-shortcodes' ),
        ),
        array(
            "type" => "textarea",
            "heading" => esc_html__("Subtitle", "tracian-shortcodes"),
            "param_name" => "subtitle",
            "admin_label" => true,
            "dependency" => Array('element' => "add_subtitle", 'value' => array('use_subtitle')),
            'group' => __( 'Subtitle Options', 'tracian-shortcodes' ),
        ),
        array(
            "type" => "colorpicker",
            "heading" => esc_html__('Subtitle font color', 'tracian-shortcodes'),
            "param_name" => "subtitle_font_color",
            "description" => esc_html__("Select the subtitle font color", "tracian-shortcodes"),
            "dependency" => Array('element' => "add_subtitle", 'value' => array('use_subtitle')),
            'group' => __( 'Subtitle Options', 'tracian-shortcodes' ),
        ),
        array(
            "type" => "textarea_html",
            "heading" => esc_html__("Description", "tracian-shortcodes"),
            "param_name" => "content",
            'group' => __( 'Description', 'tracian-shortcodes' ),
        ),
        array(
            "type" => "checkbox",
            "class" => "",
            "heading" => esc_html__("Add vertical line?", "tracian-shortcodes"),
            "value" => array(esc_html__("Yes, please", "tracian-shortcodes") => "use_vertical_line" ),
            "param_name" => "add_vertical_line"
        ),
        array(
            "type" => "colorpicker",
            "heading" => esc_html__('Vertical line color', 'tracian-shortcodes'),
            "param_name" => "vertical_line_color",
            "dependency" => Array('element' => "add_vertical_line", 'value' => array('use_vertical_line'))
        ),

        vc_map_add_css_animation(),
        array(
            'type'       => 'css_editor',
            'heading'    => __( 'CSS box', 'tracian-shortcodes' ),
            'param_name' => 'css',
            'group'      => __( 'Design Options', 'tracian-shortcodes' ),
        ),
    ),
    'js_view' => 'VcCustomElementView',
    'custom_markup' => '<div class="vc_custom-element-container vc_custom-element-title_subtitle"><div class="{{ params.align }}"><span class="toptitle">{{ params.toptitle }}</span><span class="title"><h2>{{ params.title }}</h2></span><span class="subtitle">{{ params.subtitle }}</span><span class="desc">{{ params.content }}</span></div></div>',
) );
}

?>