<?php
function register_tracian_Instagram_Widget() {
    register_widget( 'tracian_Instagram_Widget' );
}
add_action( 'widgets_init', 'register_tracian_Instagram_Widget' );

class tracian_Instagram_Widget extends WP_Widget {

    function __construct() {
        parent::__construct(
            'gg-instagram-feed',
            esc_html__( 'Instagram', 'tracian-shortcodes' ),
            array( 'classname' => 'gg-instagram-feed', 'description' => esc_html__( 'Displays your latest Instagram photos', 'tracian-shortcodes' ) )
        );
    }

    function widget( $args, $instance ) {

        extract( $args, EXTR_SKIP );

        $title = empty( $instance['title'] ) ? '' : apply_filters( 'widget_title', $instance['title'] );
        $limit = empty( $instance['number'] ) ? 6 : $instance['number'];
        $link_label = empty( $instance['link_label'] ) ? '' : $instance['link_label'];

        echo wp_kses_post($before_widget);
        ?>
        <div class="gg-instagram-widget">
        <div class="gg-instagram-meta">
        <?php 
        if ( ! empty( $title ) ) { 
            echo wp_kses_post($before_title . $title . $after_title);
        }

        $insta_username = '';
        if ( defined( 'SBIVER' ) ) {
            $insta = get_option('sb_instagram_settings');
            if ( isset($insta['sb_instagram_user_id']) ) {
                $insta_id = $insta['sb_instagram_user_id'];
            }
            if ( isset($insta['connected_accounts']) ) {
                $insta_username = $insta['connected_accounts'][$insta_id[0]]['username'];
            }            
        }
        ?>

        <?php if ( $link_label != '' ) { ?>
        <a class="gg-special-link special-hover hover-3" href="//instagram.com/<?php echo esc_attr( trim( $insta_username ) ); ?>" rel="me">
            <i class="fab fa-instagram"></i>
            <?php echo esc_html($link_label); ?>
        </a>
        <?php } ?>
        </div>

        <div class="instagram-pics">
            <?php 
            //If Instagram Feed plugin is active, run shortcode
            if ( defined( 'SBIVER' ) ) {
                echo do_shortcode("[instagram-feed num=".$limit." imagepadding=0 cols=".$limit." hoverdisplay=likes showheader=false showbutton=false showfollow=false]");
            } else {
                printf( __('<a href="%s">Instagram Feed plugin</a> is not installed!','villenoir'),
                    esc_url( 'https://wordpress.org/plugins/instagram-feed/') );
            }
            ?>
        </div> <!-- .instagram-pics -->

        </div><!-- .gg-instagram-widget -->
        
        <?php
        echo wp_kses_post($after_widget);
    }

    function form( $instance ) {
        $instance = wp_parse_args( (array) $instance, array( 'title' => esc_html__( 'Instagram', 'tracian-shortcodes' ), 'username' => '', 'followers' => '', 'link' => esc_html__( 'Follow Us', 'tracian-shortcodes' ), 'number' => 9 ) );
        $title     = esc_attr( $instance['title'] );
        $number    = absint( $instance['number'] );
        $link_label      = esc_attr( $instance['link_label'] );
        ?>
        <p><label for="<?php echo esc_attr($this->get_field_id( 'title' )); ?>"><?php esc_html_e( 'Title', 'tracian-shortcodes' ); ?>: <input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'title' ) ); ?>" name="<?php echo esc_attr($this->get_field_name( 'title' ) ); ?>" type="text" value="<?php echo esc_html($title); ?>" /></label></p>
        <p><label for="<?php echo esc_attr($this->get_field_id( 'number' )); ?>"><?php esc_html_e( 'Number of photos', 'tracian-shortcodes' ); ?>: <input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'number' ) ); ?>" name="<?php echo esc_attr($this->get_field_name( 'number' ) ); ?>" type="text" value="<?php echo esc_html($number); ?>" /></label></p>
        <p><label for="<?php echo esc_attr($this->get_field_id( 'followers' )); ?>"><?php esc_html_e( 'Number of followers', 'tracian-shortcodes' ); ?>: <input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'followers' ) ); ?>" name="<?php echo esc_attr($this->get_field_name( 'followers' ) ); ?>" type="text" value="<?php echo esc_html($followers); ?>" /></label></p>
        
        <p><label for="<?php echo esc_attr($this->get_field_id( 'link_label' )); ?>"><?php esc_html_e( 'Link text', 'tracian-shortcodes' ); ?>: <input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'link_label' ) ); ?>" name="<?php echo esc_attr($this->get_field_name( 'link_label' ) ); ?>" type="text" value="<?php echo esc_attr($link_label); ?>" /></label></p>
        <?php

    }

    function update( $new_instance, $old_instance ) {
        $instance = $old_instance;
        $instance['title']     = strip_tags( $new_instance['title'] );
        $instance['number']    = ! absint( $new_instance['number'] ) ? 9 : $new_instance['number'];
        $instance['followers'] = trim( strip_tags( $new_instance['followers'] ) );
        $instance['link_label']      = strip_tags( $new_instance['link_label'] );
        return $instance;
    }

}